commit 8e19ecd054978352abc01bc33ee91ab4573c491d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 30 14:51:38 2020 +0100

    macosx: Fix make dist after l10n update

commit 6a19791144ed2c5e3d2bbbdb0f41921387d56fdb
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Fri Dec 25 17:27:18 2020 +0100

    l10n: added source strings for uncompleted macOS translations

commit fa2f34c3007e1368be0eafb13e2be29e26767cec
Author: Kahina Messaoudi <kahinamessaoudi03@gmail.com>
Date:   Sat Dec 26 10:37:07 2020 +0100

    l10n: Kabyle update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 33b3665179271799057cd285e052239af92cde84
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Fri Dec 25 17:34:26 2020 +0100

    l10n: vlc.desktop update
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b8c4f3a991fd6412272d3f7a342301a766cb28c3
Author: Nattee Niparnan <nattee@gmail.com>
Date:   Tue Dec 15 11:25:41 2020 +0100

    l10n: Thai update
    
    58% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 8c229afe98bcf1e0c032fb8a3ae03da74b7eb39e
Author: Aleksa Savić <unstoppablegamers87@gmail.com>
Date:   Sat Dec 19 13:38:17 2020 +0100

    l10n: Serbian update
    
    50% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 9e6ab16c30c0630bcfe9172a919eda6b3d20544c
Author: Quentin PAGÈS <quentinantonin@free.fr>
Date:   Thu Dec 24 09:22:12 2020 +0100

    l10n: Occitan update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit a2b0d29f6c8992fd5d0e2dc9981d15b0dd769043
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Dec 18 09:32:35 2020 +0100

    l10n: Hebrew update
    
    73% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 507ce77dc4412697179dbb07e3c4bf27e6a03589
Author: Kimmo Kujansuu <mrkujansuu@gmail.com>
Date:   Tue Dec 22 20:46:32 2020 +0100

    l10n: Finnish update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit cd2263fdf94da222281a6b85501117ef1eefea9a
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Thu Dec 17 20:06:45 2020 +0100

    l10n: Estonian update
    
    78% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit d505de56078c5ead93d3fe09c3a1eac0525aebc1
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Fri Dec 25 01:27:35 2020 +0100

    l10n: Czech update
    
    63% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 0c0db47a298f10bfac0191296ee06abae966e4db
Author: TeaFiber <teafiber-coin@yahoo.com>
Date:   Wed Dec 16 14:37:29 2020 +0100

    l10n: Chinese (Taiwan) update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b7401d01fd5b3ad1d8301875f8ccbed298c4d04b
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Nov 28 15:21:32 2020 +0100

    l10n: Sardinian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 6574d260a0fccabd8856ac2eec96aaff19fc9239
Author: Bjørn I <bjorn.svindseth@online.no>
Date:   Sun Dec 20 15:10:38 2020 +0100

    l10n: Norwegian Nynorsk update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 008b0f162d2de997e70766d0a1a8ccf8ab517f78
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 23 09:54:21 2020 +0100

    l10n: Korean update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 9cd33f8c348adf4edc8cc5cc564985b02efa9da8
Author: Patriccollu <Patrick.Santa-Maria@laposte.net>
Date:   Mon Nov 30 13:11:43 2020 +0100

    l10n: Corsican update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 170157402b9c9ee5651838499549328c6715b5fe
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 16 19:47:56 2020 +0100

    Update NEWS

commit cc3acb1fd76e80bda1631bc2dfc31e04380b7b42
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 16 19:42:24 2020 +0100

    On the road to 3.0.12.1

commit d147bb5e7e8bfda63cbfbed310d0bbcf3f110614
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 16 08:23:12 2020 +0100

    macosx: Fix animations in open panel
    
    Open panel was showing only half of the tab view, because
    the animation was interrupted right in the middle.
    
    (manual bp of 12c8eb0c7f02b3bac3bd08ce07292183bf20d327)

commit a1d577518d6665ba0567f9f5b0b2176e111da37f
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Dec 15 22:29:29 2020 +0100

    macosx: Move Base.lproj back to English.lproj
    
    Base.lproj is not recognised yet as a known directory on 10.7.
    This seems to be supported only for 10.8 and later.

commit d590d61de4001c9ddb155613bbe9b269a9fc9daa
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Dec 15 01:02:38 2020 +0100

    l10n: vlc.desktop update
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3bc2b7171de40589b6f3b38522be6392efdbe752
Author: brad freedom <brad.freedom@gmail.com>
Date:   Wed Dec 9 14:08:15 2020 +0100

    l10n: Vietnamese update
    
    73% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit a95c46222415a49dd7df1102e1d24f17cc80de71
Author: Branko Kokanovic <branko@kokanovic.org>
Date:   Tue Dec 8 23:48:17 2020 +0100

    l10n: Serbian update
    
    50% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 11092e6419d0ba07c44848a5e853f473218d32b4
Author: Eduard Pintilie <eduard.pintilie@gmail.com>
Date:   Wed Dec 9 17:45:55 2020 +0100

    l10n: Romanian update
    
    72% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit a7c080cbf1ea3a6cbd76c9bd64c264b8af5cc51d
Author: Kimmo Kujansuu <mrkujansuu@gmail.com>
Date:   Mon Dec 14 22:45:23 2020 +0100

    l10n: Finnish update
    
    87% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 6b8b31c1f2f12068220d80d57db5c6c782311d72
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Sat Dec 12 19:37:18 2020 +0100

    l10n: Estonian update
    
    78% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 412d24132c05a70366f49a87ff0fe33eb44f7090
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Wed Dec 9 08:31:39 2020 +0100

    l10n: Czech update
    
    63% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 7afc14537149572b1ae322eb868011574355ccbb
Author: Ammar Salem <amar_s1414@hotmail.com>
Date:   Sun Dec 6 09:13:50 2020 +0100

    l10n: Arabic update
    
    56% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit a377443bd9471d8c8172a68191e7ea695b7d6957
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Sun Nov 29 22:27:01 2020 +0100

    l10n: Slovenian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 30d467ba35a1f080d840ae6690d8c4b96351b6b4
Author: Oskari Lavinto <oskari.lavinto@gmail.com>
Date:   Wed Dec 9 01:43:47 2020 +0100

    l10n: Finnish NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 0660acc3ab64d2c3ad99cae887a438f0648faa72
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 9 10:30:59 2020 +0100

    demux: avi: fix invalid deref
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 16504feba9aa9ea946dc711eed113943f5285f05)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 56cbe9c4b59edbdc5e1bb2687992f3bbf492eccb
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Nov 9 09:54:27 2020 +0100

    avi: Fix integer overflow
    
    Which would in turn cause a size verification failure, leading to a
    buffer overflow
    Reported by: Zhen Zhou, NSFOCUS Security Team
    
    (cherry picked from commit a4b1de184faf86617b4432954c1984e0027fb246)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ec1f55ee9ace5cc675395a1bc9700d99679e7e8c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Sep 18 14:53:15 2020 +0200

    mkv: Ensure we don't use an EbmlDummy element for something it's not
    
    Reported by: Zhen Zhou, NSFOCUS Security
    
    (cherry picked from commit 89093b8c033d6dee3d16bebf4a7df6abad4105b8)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a7f577ec26d35bbd7b2a3cda89d1b41bde69de9c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 22 15:30:10 2020 +0200

    demux: avi: fix invalid dereference
    
    the stored track index might not match the one
    at parsing time
    
    Reported by: Zhen Zhou, NSFOCUS Security Team
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 41541125de479fdff0ed0dcd73a6bbc64e598727)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f5f8cc3ab8825f178de3f6714bfbff8b3f293fd2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 22 16:40:48 2020 +0200

    demux: avi: check subindex, fix potential invalid deref
    
    Reported by: Zhen Zhou, NSFOCUS Security Team
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 072c3bf621f34efbc81048bd5db585f554b9d1b0)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d9454acb5349957553a1553805be74e690a787b3
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Mon Jun 29 14:28:45 2020 +0200

    network: fix possible buffer overflow
    
    The function vlc_tls_GetLine() forgot to truncate the string if a line
    sent by the server did not end with `\r\n`. As a consequence, it returned a
    non-NUL-terminated string.
    
    (cherry picked from commit 746bdbb122c05c114b5a0bcb58e8e573964fbdad)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 76cc138bdb0e17e22007c04bbdf85359586c3c9f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Dec 15 10:53:29 2020 +0100

    rist: remove problematic redundant header include

commit f493191a34770322951716970450effa8ec3c534
Author: Sergio Ammirata <sergio@ammirata.net>
Date:   Mon Dec 14 16:19:06 2020 -0500

    rist modules: fix windows build
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 86747e636de5f5fd63f819644a1bcbc69980cff0
Author: Sergio Ammirata <sergio@ammirata.net>
Date:   Sat Nov 21 08:18:23 2020 -0500

    Update NEWS

commit dbff76e0199e29a953aa26f42450e5b640ff2fa8
Author: Sergio Ammirata <sergio@ammirata.net>
Date:   Sat Nov 21 08:12:54 2020 -0500

    Backport makefile changes for rist input and output modules

commit f2789e08d8702cfaa1aa580aa3d522bbde07491a
Author: Sergio Ammirata <sergio@ammirata.net>
Date:   Mon Nov 2 16:08:06 2020 -0500

    Protect against namespace collisions after the bitstream import

commit df6cf9ed63285dbe4792feb47b182e7363f10cb2
Author: Sergio Ammirata <sergio@ammirata.net>
Date:   Mon Nov 2 15:42:29 2020 -0500

    Remove external bitstream dependencies from rist modules

commit cfd957f902bd01620ca62cc56404379f5a697ba1
Author: Sergio Ammirata <sergio@ammirata.net>
Date:   Sun Jul 26 16:10:46 2020 -0400

    Adjust for 4.0 to 3.0 differences in rist access_output

commit bcf7edd8f3e84333460fa780c84491a27c321721
Author: Sergio Ammirata <sergio@ammirata.net>
Date:   Sun Jul 26 15:47:50 2020 -0400

    Adjust for 4.0 to 3.0 differences in rist access module

commit 126b263a7d99af0e58b92b1ba57d28ec81b04dfb
Author: Sergio Ammirata <sergio@ammirata.net>
Date:   Sun Jul 26 15:40:14 2020 -0400

    backport pick original rist access_output module (blind copy)

commit 277502589bc9c37a4294d3247c22ad13e04740bd
Author: Sergio Ammirata <sergio@ammirata.net>
Date:   Sun Jul 26 15:38:39 2020 -0400

    backport pick original rist access module (blind copy)

commit 96fc54755d18b1091673043a965eafc71bf2af99
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Dec 14 20:45:14 2020 +0100

    macosx: fix make dist

commit 22138a6916a6816cab8132c4113ebe21bd817a66
Author: Eduard Pintilie <eduard.pintilie@gmail.com>
Date:   Wed Dec 9 17:53:12 2020 +0100

    l10n: Romanian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 2db917fab36bbc6719767735c472f8675861d113
Author: VideoLAN <videolan@videolan.org>
Date:   Fri Dec 4 14:06:26 2020 +0100

    l10n: Catalan update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit c8ab476aa089c71799db5624c809b5c83ceab825
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Dec 14 20:27:04 2020 +0100

    macosx: codesign: Check whether vlc-cache-gen can be executed
    
    Check whether vlc-cache-gen can actually be executed, to
    detect whether it is available for the right architecture.
    
    If it is not available, support the possibility to not
    sign the plugins.dat cache file. Also support the case
    the cache file is not there from the beginning.
    
    (manual bp of 18271e16182312cc2d0a80848d562e52efc2ebf8)

commit 81087465d4cb1abfc3f1a9f7abac44cb8767d55e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Dec 14 20:13:25 2020 +0100

    contrib: sparkle: call install_name_tool on actual file
    
    Calling on the symlink replaces that symlink with the real file
    with latest versions of that tool. This invalidated the
    framework structure of the Sparkle.framework.
    
    (cherry picked from commit 80d4dd9157fc410c1541973ae2ad2a4767fea65f)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit ed5d14181c22edddc40e859e85c233c20f08c693
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 14 12:28:28 2020 +0100

    On the road to 3.0.12

commit 4da275b85ea69a963fee1497e7e5911a9ad713af
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 26 21:07:39 2020 +0100

    demux: adaptive: fix negative livestart number
    
    (cherry picked from commit a0d053d40295be6c30cbe023a460865ffd3b2f83)

commit 0280fe07b5044646f33916db01f0b312439c16b7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 26 14:14:25 2020 +0100

    demux: adaptive: remove mishandled sequence offset
    
    mishandled in lookups. should be enforced in parsing.
    refs VLCKit/-/issues/382
    
    (cherry picked from commit 39c471fa38bbb4894a5a53c003d07aa41fd6d412)
    (cherry picked from commit 444c839b2b56b176fee1f84a081e6b39a6b6474f)

commit bfadf89d5d51b536f8337edc68ff8b38447ed876
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 8 12:41:46 2020 +0200

    demux: adaptive: fix regression with non zero starting content
    
    regression by 15f5497b25797f3d190598a0f523ad6031cb7cd1
    
    (cherry picked from commit 694c5b02e9c996353e20dc494ab49c6e8a81a60e)

commit 237b9d237a1f4abb00c51337e4609b83be82fbd2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 7 22:21:03 2020 +0200

    demux: adaptive: fix read cache truncation
    
    regression from 467c01b34a7034277fa0cd5e3eac05242a9b5888
    
    (cherry picked from commit 752a6c481dac14faa13875bd395fb520496a11c6)

commit 62859f82a20a83bc91a5f6ef7ebfd7d41cc96aed
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Sep 7 15:39:25 2020 +0200

    demux: adaptive: have peek on buffered chunks up to max cache
    
    (cherry picked from commit 467c01b34a7034277fa0cd5e3eac05242a9b5888)

commit 26fdfd482cffd9aad2db049879d6de66f74b826f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Sep 5 16:33:49 2020 +0200

    demux: dash: fix startnumber on template node inheritance (#25082)
    
    (cherry picked from commit eb1e8a6082791a97e371199884c98d00108b43de)

commit 9e6746aa3fc2a64de7659af2c51985db5f68b7aa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 11 16:25:44 2020 +0200

    demux: adaptive: fix buffered amount condition
    
    on seek or activation, the seek reference point is
    inside a segment and if that segment is longer than
    buffering duration, it could never start.
    (segment start + buffering amount < deadline)
    
    (cherry picked from commit 15f5497b25797f3d190598a0f523ad6031cb7cd1)

commit 00feaa6b2d28c59bc4a0c1fca9d270a9fb73aea7
Author: Yuri Sevatz <yuri_sevatz@hotmail.com>
Date:   Sat Dec 12 02:56:00 2020 +0100

    vlc-3.0 modules/video_filter/rotate.c: add pf_video_mouse input filter
    
    Add input rotation for mouse events in the rotate video filter.
    
    Previously the rotate video filter would not rotate mouse events,
    which would cause confusion if another video filter taking mouse
    input was chained before rotate (e.g. zoom, puzzle, etc), and
    clicks headed for those in-filter actions would have to go to
    their pre-rotated positions in order for VLC to accept them.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 74c2a6e22988b48fef7cc0bfd15bfd23e2b888a1) (edited)
    
    edited:
    - the filter doesn't have a vlc_filter_operations in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit bb9ca188ebd72551f2463153f61c09ef783c0a9c
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Tue Dec 8 18:02:19 2020 +0100

    macosx: log if the process is translated and if the user tries to update, install the native binary

commit 599688cedd73688512edaff8c2ce616c6a2869b3
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 2 20:17:27 2020 +0100

    macOS build: fix pseudo package
    
    No need to link InfoPlist.strings files here.
    
    (cherry picked from commit 4f34f66f5eaddf3d88fa8a7f5dc839bb2c012103)
    (edited)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 2630b360927a5656c4987a86ba1499211955fd98
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 2 20:16:50 2020 +0100

    macosx: fix make dist after language update
    
    (cherry picked from commit 21e9016865f72f517ca7f0c5ec49f64a60223fa4)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit bc51dbbcda9e4c7960d4bc659e69a5c1aebab4e2
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 2 19:53:31 2020 +0100

    macOS package: Install InfoPlist.strings for different langs
    
    Also, move the template file, InfoPlist.strings, into Base.lproj
    to simplify the install rules.
    
    (cherry picked from commit 5b6d90bada44fc99ca0adf029d5ba5df5a496ae4)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit f3eed3c62ff918ac9d325180cd3963e875905cbe
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Nov 28 05:23:57 2020 +0100

    l10n: Chinese (China) update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 5bc75f474b8f6ad8d6df5c0eb724b9af97cbdab6)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 9404486f24873f1883c0c413618e138f8f1358f3
Author: Андрій Бандура <andriykopanytsia@gmail.com>
Date:   Sat Nov 28 03:58:53 2020 +0100

    l10n: Ukrainian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 590ea183b0faa4662b19e40f1a0f5649d2fee87c)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 0cefa35ff6586ecb61bce6403e8a12ad298ac07c
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Sat Nov 28 02:13:58 2020 +0100

    l10n: Turkish update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit fbf86ed9ac5b6987261680fed32614d421d78c87)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 31ce56908d945fecbdbcb3acf21a54b69bf180bc
Author: Anton Regnander <anton_r_3@hotmail.com>
Date:   Sat Nov 28 10:15:35 2020 +0100

    l10n: Swedish update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 9478752b7816121e82c347e5c0fc4e621a0836c3)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 7a69e00f9e08c27bf36030d2e448faa5141903e4
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Sat Nov 28 09:42:08 2020 +0100

    l10n: Slovenian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 64c6cde3f179c3e72ad48354aef1ba7200d4f92d)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit cca574e4c2aa1356c460920193a43e98aa32d115
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Sun Nov 29 19:54:55 2020 +0100

    l10n: Slovak update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 8f1c643c4f21467ec16c77d8931bd610779a1d85)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit b260927be565253b0c06bbcb9d5f84f3aa1eeadf
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Sat Nov 28 15:35:36 2020 +0100

    l10n: Portuguese (Portugal) update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 0796e14fdc6a82e0b03f18537c078970d56a514f)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 0c2905baeb57884e236350f41b6cf34ba6b61389
Author: Sidney Doria <ssdoria@gmail.com>
Date:   Sat Nov 28 23:27:52 2020 +0100

    l10n: Portuguese (Brazil) update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 8542f52d15c7621ff3b2f3447974b743ad14817d)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 61f8d33bf99cca75965c306fa23923ef2896a00f
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sat Nov 28 00:58:09 2020 +0100

    l10n: Polish update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit d5bf24a86778b1be5fa2669586f82dc25095f897)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit afaea52a006ebd65d8761a0cc3f41471392dd756
Author: Thomas De Rocker <thomasderocker@outlook.com>
Date:   Sat Nov 28 11:14:31 2020 +0100

    l10n: Dutch update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 16ece98214f56575cc11ff2c4bb15bb2b233ee88)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 6c11ab417ad5e6ea69f51098f78ec1b4919ebbb1
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Sun Nov 29 09:28:28 2020 +0100

    l10n: Latvian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 84a94c2f220350eddce93010b7dacd06cc71bcaa)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 7719bc6a2719b69d574ddde2a932b93b282a70da
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Wed Dec 2 07:31:35 2020 +0100

    l10n: Japanese update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 4f5191a883bb7fb47d73abbdcf268bb44b2e78d9)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 4e4d4fee450ab22b07bbf4d866c2b7a0b00db227
Author: Vincenzo Reale <vinx.reale@gmail.com>
Date:   Sat Nov 28 08:19:02 2020 +0100

    l10n: Italian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 1c8a01383548a6ad46400bde0a91d01313a93aab)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit d96a8fecb057d099df6c24ac0f02996a80964def
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Tue Dec 1 13:28:14 2020 +0100

    l10n: Hungarian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit e3d44642043a2407c359def7e5a023aa345697ac)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 738fdd1fc9909e8842916521d76eb70f2c97ef59
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sun Nov 29 19:53:34 2020 +0100

    l10n: Hebrew update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit f7068aada404b8db316b54cf29730e945c6f98fa)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 33c024e42fce016bfd247f4b2388717edb4b4b7a
Author: antiparvos <marcoslansgarza@gmail.com>
Date:   Sat Nov 28 01:41:25 2020 +0100

    l10n: Galician update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 80c3839b2a68738e20ce3f0f4fcadd25575d0b24)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit bd93d7e9f27fdc61acaa970269737a11e659ff0b
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Nov 28 07:43:23 2020 +0100

    l10n: French update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 959ce007f47f6cbbb3202ff13c07a8d26fa8a55f)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 7f70d3cfe57dc7a5ecd5a3b8fd9b7916cc4f2777
Author: picodotdev <pico.dev@gmail.com>
Date:   Sun Nov 29 00:42:59 2020 +0100

    l10n: Spanish update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 256b1eaa3b8e08c4940bbfe363ecbd6e9fb8b4e7)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 17a4938ab0264301034c01cdfeef453c73dd7c0d
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Nov 28 00:49:05 2020 +0100

    l10n: Greek update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 9b809b7d353c220c91296041b487684197802d66)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 6a090cc7ac6d707db2fa5d09d2facd2e5fc427cb
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sat Nov 28 01:03:19 2020 +0100

    l10n: German update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit da04004da21dd9c8ba35b26a37856a55011aeba4)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 970791a8c67b2867f634c73a4425cf9cb989cf63
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Nov 28 08:45:01 2020 +0100

    l10n: Czech update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 8ebd7901e816403639ad841195c414142811ccc2)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit c11677b0603a1b1f4b257c21aec01b4cdcb43680
Author: Maite Guix <maite.guix@me.com>
Date:   Sat Nov 28 09:20:47 2020 +0100

    l10n: Catalan update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit dc1fbfacb35fc8536f5552f3b8be2076cc57d7f5)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit cd48c0a313c49ad7b63a331814d1482db71d47fc
Author: Любомир Василев <lyubomirv@abv.bg>
Date:   Sat Nov 28 08:23:11 2020 +0100

    l10n: Bulgarian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 77b9d4f7f019a47a9ffb288c5a5a565bf1ed42df)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 394a7481983d577de710b9876f54d186cf1490d7
Author: Ammar Salem <amar_s1414@hotmail.com>
Date:   Tue Dec 1 21:16:45 2020 +0100

    l10n: Arabic update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>
    (cherry picked from commit 3f8305b9457ac18cf94b712cb59107e0294de1e7)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit f121a648c1e74844027427be28f5a567ebef0525
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 17 13:15:10 2020 +0200

    macosx: Add explanatory strings for access to restricted resources
    
    Those strings are read directly by the mac OS to show some reason
    in ressource request dialogs.
    
    The strings for NSAppleEventsUsageDescription, NSCameraUsageDescription
    and NSMicrophoneUsageDescription are mandatory, otherwise the
    application will crash.
    
    InfoPlist.strings needs to be translated to show localized variants
    of those strings.
    
    refs #21378
    
    (cherry picked from commit f1534626c69952d3b24de51c6468ad56337c3c14)
    (edited)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit f233f85df706b7648946c6ef28a41cd92e40173a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 17 12:46:52 2020 +0200

    macosx: Do not generate InfoPlist.strings anymore
    
    (cherry picked from commit 468e864fb929bc849d71d99e6cbd6a09e436bd3a)
    (edited)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit be20a6e399738a2575bb6ccd8b7cc5a32439563a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Feb 3 17:51:45 2018 +0100

    macOS package: Simplify installation of locales
    
    The prefix already contains the correct directory structure for
    locale, just copy this one over. Also, remove lots of xx.lproj
    folders inside Resources, and install the untranslated xibs into
    Base.lproj, as it is recommended by apple.
    Instead, set a key in Info.plist, which fixes translation of system
    dialogs, behaviour is the same as before.
    
    (cherry picked from commit 4a410a2a255f8bcce0e86f1b3e253f91c613c0cd)
    (edited)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit b16d96ddd3680add14468412b7df9c3ca76da9fe
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Dec 3 06:28:36 2020 +0100

    macosx: Fix display of copyright message
    
    This string is not in the localized info.plist anymore.
    
    (manual bp of 9f81ba8e3ece290ffff3796886e3229202fafe86)

commit 94df25b30867601a530993efce43199265f2e750
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 17 12:26:31 2020 +0200

    macosx: Remove HumanReadableCopyright from InfoPlist.strings
    
    The translation file should not need to be generated by the build
    system to allow more simple translation. In this case the string
    cannot be reconstructed during runtime (its read out by the OS),
    thus drop the translation.
    
    (cherry picked from commit 971705e799e978338e60bf6b3b1d130991e1ab3f)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 19287f00d3b76a8e949094a088599e2b54b9ce92
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun May 19 11:53:24 2019 +0200

    macos info.plist strings: Factorize translatable strings
    
    Some strings do not need to be translated here.
    CFBundleGetInfoString is replaced by NSHumanReadableCopyright,
    therefore not needed anymore.
    
    The usage strings always need to be in Info.plist as a fallback,
    otherwise the app might crash if a translated version is not
    found.
    
    (cherry picked from commit 17ff486e0c3b42cb15840fbaebe648c85993c969)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 7d8be8d23c0256d3fb7e258aad3251881c9964a5
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Feb 2 11:25:28 2019 +0100

    macosx: InfoPlist: Add strings for ressource usages
    
    Those strings must be provided once VLC is compiled with 10.14 sdk,
    otherwise VLC crashes.
    
    One todo is to translate those strings, see #21871.
    
    (cherry picked from commit 33c51004531a10f5daa895f74690376ac2deb67c)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit cd3f7a7578e56bf7ed40b48d04e37a328ceacc16
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Dec 7 07:03:39 2020 +0100

    Update NEWS

commit 4fec28243a48c7a7b6cf1da598297f7274eabf2f
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Nov 30 19:12:16 2020 +0100

    macosx/sparkle: set feed URL based on architecture and add debug

commit 2234cf7263859ebbeb0eb9647c9af57e56a4a7a5
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Nov 29 20:12:35 2020 +0100

    package/macosx: skip cache generation when cross-compiling

commit bdf8adeb05542e45492f117b57fdc1f33a6903e1
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Dec 6 17:09:19 2020 +0100

    extras: fix native compilation for ARM-64 on macOS

commit e2561ffde991a0b96e3618cdc6aa0bd68ecaf885
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Fri Dec 4 07:21:34 2020 +0100

    extras: fix PATH variable for contrib executables in macOS build script

commit c9048edc4aba2eaa8f5b92baa8b8daf411128ce9
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Fri Dec 4 07:20:44 2020 +0100

    extras: macOS build script cosmetics

commit 28bfc8c49581456c8e3ca4410691d6230cdc554d
Author: Ilya Yanok <ilya.yanok@gmail.com>
Date:   Wed Dec 2 22:42:27 2020 +0100

    ftp: fix handling of NLST response
    
    Commit e1508444 broke the NLST response handling: getting
    1xx response is what we actually expect, not a reason to fail.
    
    This was reported as Android-specific bug:
    https://code.videolan.org/videolan/vlc-android/-/issues/644
    two years ago and is still not fixed.
    
    This is invisible if FTP server supports MSLT feature.
    
    (cherry picked from commit bd1ded483a180ca093a003c080b75d2fa72131aa)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit bf0b8c691d251f0a77dec378a2bc8dc0d7a408de
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Nov 30 09:21:33 2020 +0100

    contrib: nettle: fix build with CC_FOR_BUILD set to recent clang
    
    See upstream https://git.lysator.liu.se/nettle/nettle/-/merge_requests/9/diffs
    
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 7762094891a51bfb3cbea835ccc995bea48dcf0b
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Nov 29 20:12:39 2020 +0100

    contrib/x264: fix cross-compilation for aarch64 on macOS

commit 7a5400bcb5031cd1f0b9298116f55bd0fe5540c3
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Nov 30 18:17:00 2020 +0100

    contrib/vpx: update iOS patch to manually toggle bitcode support
    
    Slightly change build rules to fix cross-compilation on macOS

commit 503bb5f94d64d07ede46a08882da491b01f4cd21
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Nov 29 20:12:36 2020 +0100

    contrib/postproc: fix cross-compilation on macOS

commit 87f92cc8d8adca7f2f55770616089e81900d1b74
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Nov 30 18:07:53 2020 +0100

    extras: fix arch handling in macOS build script

commit 4e8d3f3eb953186c6ea6374c7c4573a289247ac2
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Nov 30 18:10:39 2020 +0100

    contrib: fix architecture handling for macOS

commit 9bfdc62bd7e0afb1b1b0b5a9cab62662ca466d68
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Nov 30 17:07:29 2020 +0100

    macosx: add Big Sur detection

commit 0edbf097df010f04e1d0b70ab938385b58430fc7
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 2 22:53:36 2020 +0100

    Revert "l10n: Romanian update"
    
    Breaks build:
    ro.po:1187: die Anzahl der Formatspezifikationen in »msgid« und »msgstr« stimmt nicht überein
    
    This reverts commit c96c8e991afc6227b3c793d4ac98572002675d46.

commit e68ee71c385c706f3215a5feffb5fc8422d63d9c
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Dec 2 22:48:52 2020 +0100

    Revert "l10n: Czech update"
    
    Breaks build:
    cs.po:1289: Formatspezifikation in »msgid« und »msgstr« für Argument 1 sind nicht identisch
    
    This reverts commit 17144fd9bff0982b86e3b6df0298da366f6df0be.

commit 0ccb43318b19ab21bb0acd9eba89d01093931155
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Dec 1 23:55:14 2020 +0100

    l10n: vlc.desktop update
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 4722d061a796f12abaf9e4627af42e9361d9ff93
Author: Aefgh Threenine <aefgh3962@gmail.com>
Date:   Wed Nov 4 13:59:42 2020 +0100

    l10n: Chinese (Taiwan) update
    
    67% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 5c90207ab45a8bab93ccc6ac3740a654acd9a8d5
Author: Anton Regnander <anton_r_3@hotmail.com>
Date:   Sat Nov 28 10:49:27 2020 +0100

    l10n: Swedish update
    
    89% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit f28d47ed0ea5820f482249ab2328536dda849ed6
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Mon Nov 30 21:47:20 2020 +0100

    l10n: Slovenian update
    
    99% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit eb27a2235cb1f584953f588b6cc7b21b2cc85e37
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Fri Nov 13 15:36:32 2020 +0100

    l10n: Slovak update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit c96c8e991afc6227b3c793d4ac98572002675d46
Author: Chirita Edward <Edward205@users.noreply.github.com>
Date:   Tue Sep 22 11:29:38 2020 +0200

    l10n: Romanian update
    
    72% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 2c9b673952ef01de1a54ca4460737eb6b5f47098
Author: Manuela Silva <manuelarodsilva@gmail.com>
Date:   Sun Jun 28 18:50:49 2020 +0200

    l10n: Portuguese (Portugal) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b6177f7cebcb6b57201df9b5b60a8582299f28fc
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Oct 6 23:12:51 2020 +0200

    l10n: Polish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 29efa9b9b536c4842ed41c0bb3d76a9bd4c34165
Author: Bjørn I <bjorn.svindseth@online.no>
Date:   Sun Oct 18 10:10:06 2020 +0200

    l10n: Norwegian Nynorsk update
    
    57% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 2909548548042a7a35be2dcc6199d40858d4dc11
Author: Thomas De Rocker <thomasderocker@outlook.com>
Date:   Sat Nov 28 11:40:35 2020 +0100

    l10n: Dutch update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit f353bb6cd7529fae56055bcc5a9173e5f7b4d014
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Thu May 21 05:17:10 2020 +0200

    l10n: Norwegian Bokmål (Norway) update
    
    94% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 9c199f9f4b9ae418116d81f3ff012c6c89932ec3
Author: abuyop <abuyop@gmail.com>
Date:   Fri Sep 11 01:36:38 2020 +0200

    l10n: Malay update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit d1d15393a3738b2b457485f66f02097764651a39
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Thu Jul 23 18:04:24 2020 +0200

    l10n: Latvian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit efefbecc135b910bbb03bfee0f6bfe59a781ed34
Author: Jay Oh <theanswer.jay@gmail.com>
Date:   Sat Jul 4 06:08:29 2020 +0200

    l10n: Korean update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 5278916483b45c6230f7a50082deef7979b1042a
Author: Murat Karibay <d2vsd1@mail.ru>
Date:   Fri Jun 5 13:25:25 2020 +0200

    l10n: Kazakh update
    
    43% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 908255190e571fa9ec05a9e724891ddcdbe1c5c8
Author: Vincenzo Reale <vinx.reale@gmail.com>
Date:   Thu Oct 22 06:43:24 2020 +0200

    l10n: Italian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 1959fd4cd5ee74b2914b946048a296f14808fc83
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Thu May 7 09:59:46 2020 +0200

    l10n: Hungarian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 4bc54ad383d4bedbc2292d9b450b28198fade9d2
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Nov 26 08:49:11 2020 +0100

    l10n: Hebrew update
    
    73% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 4ba74caeae8d095231d23c919ea60a291acff53a
Author: Seanán Ó Coistín <seananoc@gmail.com>
Date:   Sun Nov 1 22:09:56 2020 +0100

    l10n: Irish update
    
    43% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 903618fd3a718b8a0f550e36138e8bab21aff419
Author: Yann Ricquebourg <yann.ricquebourg@gmail.com>
Date:   Thu Jun 11 00:50:23 2020 +0200

    l10n: French update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 9633a44505f4be1bea6664a3a1bf6190bb8baf56
Author: Lesther Lopez <ll33ee@hotmail.com>
Date:   Sat Nov 28 02:47:27 2020 +0100

    l10n: Spanish (Mexico) update
    
    99% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit e7126454dc105c8c581009f4cd69845ef141f1cf
Author: picodotdev <pico.dev@gmail.com>
Date:   Wed May 20 10:37:11 2020 +0200

    l10n: Spanish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 7e8c92a23d555445bc635ecdcfe8ca4bac36b781
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Oct 6 23:10:06 2020 +0200

    l10n: German update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 4cc07813abde8863ed461f87bc8a216e507bcba6
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Wed Sep 23 18:29:59 2020 +0200

    l10n: Danish update
    
    93% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 395ab0d6df0bf097bd4d1287b22566f20cfddb58
Author: Aled Powell <aled@aledpowell.cymru>
Date:   Sat Oct 3 16:00:47 2020 +0200

    l10n: Welsh update
    
    59% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 17144fd9bff0982b86e3b6df0298da366f6df0be
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Nov 8 15:49:35 2020 +0100

    l10n: Czech update
    
    63% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 03dc17e476c7683323e620e08ca588744bf7bd47
Author: Òscar Herran <oscarhm03@gmail.com>
Date:   Mon Nov 2 18:54:22 2020 +0100

    l10n: Catalan update
    
    95% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit c65fc8bc790f52655926f5a8a67fdfe921b1cc52
Author: Javi A <yonarede@gmail.com>
Date:   Mon May 18 23:18:59 2020 +0200

    l10n: Asturian update
    
    72% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 9878f6d929243001dfe6f28f462a5585d40cdf61
Author: abuyop <abuyop@gmail.com>
Date:   Tue Sep 1 03:47:04 2020 +0200

    l10n: Malay NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 11907f07f4d079232a76f677eb4124f440c1e3ca
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Tue Aug 4 19:37:44 2020 +0200

    l10n: Danish NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b169cdab575554a06dd7069d9302ca6c0998c4c0
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Dec 2 07:08:19 2020 +0100

    codec: omxil: convert file to valid UTF-8
    
    (cherry picked from commit 2964b5dc949e314d6779cd2ce9d35204c5fa3a71)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit b5c70d562f7a01c6a1732e5c0c31026690222d88
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 19 17:13:06 2020 +0100

    codec: dav1d: add range to frame and tile thread options
    
    (cherry picked from commit 6cc553064a672d2ffc2bc1bee7804283d29e4653)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit e977d07c5885289671ec095e5730b8d16b3c406d
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Dec 1 20:13:29 2020 +0300

    snap: provide common-id
    
    Fixes #25300.
    
    (cherry picked from commit b53a61a94b9ad00289bccfb1823a6b8d66e3452d)

commit 92a4539abf9b7e3a61bd0c555adc568c0798ed22
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Nov 24 09:29:42 2020 +0100

    audio_output/mmdevice: report the mute status after it is set
    
    (cherry picked from commit 5d14661389f84adbac27bacb0da9308425a0a3fe)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9ab73f65e1276a5f4e8a13890cb67cd9f9df2098
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Nov 24 10:22:31 2020 +0100

    audio_output/winstore: report the default device to the core
    
    For now we don't list other devices
    
    (cherry picked from commit a300249e988aba0919fde8ba01d088f0efd52cd0)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 83229d3e80939f4d6160232f4a613216f05561d6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Nov 24 10:07:31 2020 +0100

    audio_output/winstore: report the volume changes
    
    After a mute it seems we need to tell report the new volume otherwise it
    assumes it's 0.
    
    We keep the gain so we can compute the proper volume to report on mute.
    
    (cherry picked from commit d104faec191b47630871aaab546ccd76e08b730d)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d20ed1cecf7350fe91039fa5945e4b4688021ce2
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Nov 24 09:31:22 2020 +0100

    audio_output/winstore: report the mute status when it was set successfully
    
    (cherry picked from commit 27bf537c7d6eecab9c50285c6cbbb4868092f634)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 7a9e4b5539251cbd3ea4823206e1412db24dae79
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Nov 24 09:15:27 2020 +0100

    audio_output/winstore: do the MTA+lock before setting the initial device
    
    The requested device is set to the default one in Open and requires the MTA
    setup in order for the activation to work. Otherwise it deadlocks.
    
    (cherry picked from commit 5f17d0a79d7bb3feedced46159b8186891cc1a50) (rebased)
    
    rebased:
    - this branch uses vlc_object_release() instead of vlc_object_delete()
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 977ce84d3e9ec6fcd76090bd4fdbf2c2ad19f00b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Nov 24 08:56:33 2020 +0100

    audio_output/winstore: fix free of the default device
    
    It must be free'd with CoTaskMemFree and only once.
    
    (cherry picked from commit 4bc2b28f0a47273fb3b4e59304542847c3f6c66a)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 1ad69a1f0ca325a93d24bfbbab454ca9e41d4a5d
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Wed Nov 4 20:12:49 2020 +0800

    contrib: support CMAKE_GENERATOR other than makefile
    
    First, fix the conflict setting/using of CMAKE_GENERATOR. Second,
    call build via cmake instead of run make directly.
    
    Signed-off-by: Alexandre Janniaux <ajanni@videolabs.io>
    (cherry picked from commit c74a77e7eba252d0e126e71b59910fc9507ba9ed) (edited)
    
    rebased:
    - aom doesn't delete the build folder in this branch
    - aom doesn't force CFLAGS/CXXFLAGS in the original branch
    - chromaprint depends on .ffmpeg in this branch
    - mysofa doesn't force CFLAGS/CXXFLAGS in the original branch
    - srt forces CFLAGS/CXXFLAGS and other variables in the original branch
    
    edited:
    - glew doesn't use cmake in this branch
    - glslang, libebur128 are not found in this branch

commit f6d17cd8e4ab636dbf83580244b77f7091a4e856
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Thu Jul 9 17:21:50 2020 +0200

    lib: media_player: keep player libvlc instance
    
    The media_player instance retains and releases the libvlc instance it's
    created from. When using a different libvlc instance for media_player
    and media, it was using the libvlc instance from the media_t object,
    leading to the release of the wrong libvlc instance, and thus potential
    use-after-free of one instance and leaks of the other.
    
    It has been spotted since VLCKit creates a shared libvlc instance and
    then can create a new libvlc instance in case the VLCMediaPlayer is
    created with different options, which means that the VLCMediaPlayer and
    the VLCMedia will be bound to different libvlc instances, triggering the
    issue described in first paragraph and crashing.
    
    /!\ This commit changes libvlc behaviour in the following case:
    
     - There's at least two libvlc instance, one being the parent of a media
       and the other being the parent of a media_player.
    
     - The media is set on the media_player.
    
     - A new media is played by the underlying vlc_player_t, in which case
       the new libvlc_media_t instance is now created with the player
       libvlc instance instead of the media libvlc instance.
    
     - The user call libvlc_media_player_get_media() on the player.
    
     - The user call preparse functions on the media.
    
    Since this very case was leading to crash anyway, and is quite
    intricate, it's probably not a very important change though.
    
    Refs videolan/VLCKit#189, videolan/VLCKit#116
    
    Cherry-picked from commit 12fa8556c092df472c38ab58517358a71a9d72de.

commit 878c7da88a0973d2421d1d366fe3538d00a996b8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Sep 4 10:04:53 2020 +0200

    contrib: gnutls: remove unused patch on ANDROID
    
    The Makefile.am modification caused a reconf that could fail with recent
    automake version (>= 1.16.2).
    
    Partial revert of bead358b379601eb4be6d9914bd3379ff73b50ba
    
    Cherry-picked from db1d02522d4bfdbee679bf7b52c2e4a5ef180b42.
    
    Signed-off-by: Alexandre Janniaux <ajanni@videolabs.io>

commit 35601c58e182dc18601dfd3f8bc00d861d025878
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Nov 16 20:22:20 2020 +0100

    macOS build.sh: Use default macosx SDK for xcodebuild targets
    
    xcodebuild only allows to use an SDK which is bundled inside the
    corresponding Xcode.app package. If you pass a different SDK
    stored in another location, it bails out with:
    
    xcodebuild: error: SDK "..." cannot be located.
    
    Therefore, do not set an external SDK for contribs, but use
    the default one.
    
    This restores the behaviour we had previously for the 3.x branch.

commit 49a7ef8bab0e7afb507efff9740856ca4a7fada6
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Thu Apr 25 04:11:43 2019 +0100

    macosx: fix handling of null sub category items in prefs tree construction
    
    subCategoryItem would be null if:
     a) a plugin author neglected to place a set_category() call before one
        or more options.
     b) the first or only subcat targetted by a plugin is a general one.
    
    there are actual examples of A with a handful of in-tree plugins (to be
    fixed in a subsequent commit).
    
    there are multiple in-tree modules which target general subcats,
    including various logger and keystore plugins.
    
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>
    (backport of 7c2f535afe995702fe6f7dd2bb17820541006caa)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 478502c69270e451bd17aafa8d4b9beace0532c0
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Tue Apr 9 04:56:08 2019 +0100

    macosx: fix ModuleConfigControl stringValue
    
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 1c729cb550d1270d3d6f218966c96722e5c7002a
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Sun Mar 31 07:34:10 2019 +0200

    macosx: fix float lower bound check
    
    needs to check -FLT_MAX not FLT_MIN, as explained in
    c95d5fbea2122ac471f8aee86ee9f1cafeddeb00
    
    (backport of 9f1c2f7aae1732bbf5374e3ade65a6ed14b0c966)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit a289c98a9fffe2fc0c78fd7cdf25b95c522a64a8
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Sun Mar 31 07:23:19 2019 +0200

    help: fix float lower bound check
    
    needs to check -FLT_MAX not FLT_MIN, as explained in
    c95d5fbea2122ac471f8aee86ee9f1cafeddeb00
    
    that commit overlooked this and introduced a bug in 3.x whereby help output
    would always print the range for float options with default ranges,
    resulting in much messier output than expected.
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    (cherry picked from commit 95a9457b33220695b7891d12df70ad415ce17dec)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit d7d601f497f07729ebac871fb8ed9ea3a4b996db
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Sun Nov 15 19:12:52 2020 +0800

    contrib/SDL_image: disable SDL_image for macOS
    
    sdl_image module is disabled on macOS, and it's dependency sdl
    failed to build.
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 42e03c51b4455f6a921ce07ebef1c96f0ce6c1d4
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Nov 15 13:04:20 2020 +0100

    contrib: caca: Disable build on darwin OS
    
    This does not build anymore with recent ncurses, and the caca
    vlc module is also disabled by default. Thus disable
    the contrib as well.
    
    (manual backport of 2a988cc4624dd388f9c1af1d8f0fc78ca89939ef)

commit a47f8a5ba10f3829dee9ffaa6b7a9ae0c0848c9d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu May 31 01:15:13 2018 +0200

    contrib: bootstrap: Remove OSX_VERSION from contrib system
    
    This is not needed anymore.
    
    (cherry picked from commit 9c0f44c40f88ea963a2a9495e41544bd0b8aa3bb)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 399b29adb151bb1cdaa007b4e76189a30e171c08
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Nov 12 20:37:42 2020 +0100

    macOS build.sh: Drop OSX_VERSION
    
    This is not needed anymore.

commit d2326c1163882dd4ed92ef24ae2390cddd753ce4
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu May 31 01:12:22 2018 +0200

    contrib: bootstrap: Simplify macOS sdk detection
    
    Just use xcrun --show-sdk-path to get the default SDK patch.
    This also finds all other variants checked by the other tests.
    
    (cherry picked from commit cddeb563f53168ac859d1b32e08e8212dc93a50c)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 258aeb918a484022bbd21173359b2c28224819be
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed May 30 23:25:48 2018 +0200

    macOS build.sh: Simplify detection of default SDKROOT
    
    This fixes the build on macOS Catalina.
    
    (cherry picked from commit 48a31f50641027dd5c9c341b0de084630a7023c8)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 2017c67f92b5c010f3deed945f358078a775b681
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 08:18:42 2020 +0100

    Update NEWS

commit 3a93ec6ae98b6203c691ff010704aabcb20395b7
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 06:33:25 2020 +0100

    youtube.lua: retry alternate API fallback using either possible parameter
    
    This improves the interoperability of the fallback mechanism and makes
    the script more resilient as a whole.
    
    (cherry picked from commit 6e0f4a28c6f82bef165473e2785ea2834f9f5563)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 8611b6b5bd2a32a7f81f274b00abae848b0207da
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 06:04:57 2020 +0100

    youtube.lua: look for javascript descrambling URL on any line
    
    This URL is forwarded to the fallback API and the whole point of that is
    in case the main stream configuration line can't be found and parsed,
    so don't look for it only on that line. The URL can indeed be found in
    several other places on the page.
    
    (cherry picked from commit 8ea54417ba8edb06538d88ede381db0eb5f37e41)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 748d7478344da856643bacb249916951b57f8ce2
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 05:58:28 2020 +0100

    youtube.lua: forward javascript descrambling URL to alternate API
    
    This renders the fallback to the alternate video info API - which
    doesn't provide the javascript URL itself - functional with many more
    videos, and makes the script as a whole more resilient to future
    failures.
    
    (cherry picked from commit 2d0f63a61b038d5d379acb85844450b0a61c1047)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 35d71d9df8c21df24f5b6edfd3dc535dc7223171
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 05:48:10 2020 +0100

    youtube.lua: support music.youtube.com URLs
    
    Simply redirect to the main domain
    
    Fixes #25241
    
    (cherry picked from commit 95cf2a33e984a58801e4423359dc691c1d1e0faa)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 8aaaf5696432d07feab5a379bdfd6042fb6d50cd
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 05:42:59 2020 +0100

    youtube.lua: make gaming.youtube.com subdomain support more generic
    
    And mark it as out of use: gaming.youtube.com URLs now get redirected to
    the main domain.
    
    (cherry picked from commit 77f19929db1bcbc0f3a73b6edfd8f63ffb6cc56e)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit ce0d76706f3123ae383c32eb18e7144ce9f9aa0e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 03:38:58 2020 +0100

    youtube.lua: fix escaped '\r' in metadata from alternate API
    
    (cherry picked from commit 7b7eac146181342b1bf76c1914a74122962cf114)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit adcac94850e6816cfac80ee88fa78aabf605e35b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 9 15:10:39 2020 +0100

    lib: send media_list end event after
    
    That way, users receive the media end status before receiving the
    media_list end event.
    
    (cherry picked from commit a4a94bb3f942989302d0aebc22f3de8ad897a8ff)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 75847c457cff73ad97e9e2713244ff82becb27fd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 9 15:08:47 2020 +0100

    lib: media: always propagate media_list end event
    
    Users only listening on the medialist events were not notified when the
    media parsing failed.
    
    (cherry picked from commit ff5089b94f342b3f22364a389d69921b24f046d2)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 6f5aa2deb343f801efde4bfd67d000b5ce4f0110
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 8 01:15:01 2020 +0100

    adaptive: honor --preferred-resolution
    
    --adaptive-maxheight still takes precedence if set.
    
    Fixes #21828
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit 1d55df153a4e2ed5f3dcdb5c6cccbd9dbefe8b98)

commit 81991a47f579d0184ee16764f4d4b667dd7e2d28
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 8 01:08:33 2020 +0100

    adaptive: don't fail if no suitable resolution matches constraints
    
    This changes the semantics of --adaptive-maxheight
    and --adaptive-maxwidth and aligns them with those of
    --preferred-resolution: the current behavior that strictly conforms to
    resolution constraints and results in no playback at all, rather than
    trying a best effort, is not terribly useful.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit 927cf8821951113260ee14d210c35a257501032b)

commit 0ae8853780667e4d3602c95625f4b62c6f7a5419
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 8 01:06:36 2020 +0100

    adaptive: remove no-op logic in selector
    
    Leftovers from 458adc37a516f5c55e1e09608d0eab7ff84c8242
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit 1e0989819a4be70fd213900b4e2587d964c28096)

commit fe838abf186942e564e9943f35b00fc82f120daf
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 8 01:04:56 2020 +0100

    adaptive: fix crash when selector returns no suitable representation
    
    This happens in particular when requesting a resolution lower than
    the lowest available one. It affects only the default, near optimal
    adaptation logic; all other logics cope with this without crashing.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit ccd7f295de88279770da6d8a8281b404c2b2f4ac)

commit c5d5da7b231ed9c3c7d7a4a28e219c7e29ff0013
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Nov 8 19:14:49 2020 +0100

    macosx: Fix width of sidebar panel

commit 05ea24925ad8c52228d591193a91b8e2997ae61d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 8 02:26:12 2020 +0100

    Update NEWS

commit d5443bc70213b2821d21aaf251eb0bc154eb490d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Fri Nov 6 07:59:22 2020 +0100

    Update NEWS

commit 978af5edd4d3bd6714967369cb83017a76a93467
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Fri Nov 6 07:58:52 2020 +0100

    macOS project: Add new files to project, reorder

commit 57a0ec167dc9097faa5439d428f531c829c65579
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Fri Nov 6 07:52:54 2020 +0100

    macosx: Improve creation of sidebar items
    
    Respect that the header and cell are two different classes.

commit 6d697b9e7b0a58332bde577a51854f4cd65c29e3
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Fri Nov 6 07:52:31 2020 +0100

    macosx: Fix visual appearance of side bar icon
    
    Fix padding of sidebar icons on macOS 11.

commit 196cb1b2296ab46e9e9558108ec91b645de7370f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 4 19:22:10 2020 +0100

    youtube.lua: always use long line workaround with new HTML code layout
    
    This is required for the main configuration line, and possibly another
    line before it. Until more is known, it seems more prudent to enable the
    workaround unconditionally for now, than to try and guess what should
    work correctly.
    
    (cherry picked from commit 61b51a0dfdb785a042b370efbfd78be53a1814d4)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit d4d6ad3b16510fc78a0859a7bc7c70c1fc3d71ad
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 4 19:17:23 2020 +0100

    youtube.lua: split long line workaround into reusable helper
    
    (cherry picked from commit c20877a8b494d823fc7d8201183ad903e3f4abbb)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 5a688f368a031d147fbf61cd423d2dc112f8b4de
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 4 15:54:12 2020 +0100

    demux: asf: fix delay on seek
    
    Increment base value was not set properly on seek,
    causing to unroll by the amount of seek.
    
    (cherry picked from commit 4d96a459cb7f8cb40820614fcf9b0e7c403cb70a)

commit 41e69627fecfe6242507aee95120d2e4fd640a7d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 4 10:10:47 2020 +0100

    demux: asf: check data object range when reading
    
    (cherry picked from commit a4ed34d704ec8721b7d74542324f39c9f2aff508)

commit 72a6024e732e17964d390ee86bbed243781708e2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 9 14:51:05 2020 +0200

    contrib: smb2: update to master
    
    Many fixes were pushed to master:
     - anonymous login
     - smb3 connection
     - ipv4 connection on a host having ipv4 and ipv6
     - crashes
    
    (cherry picked from commit 65f3ec737acbe799b08a47e05a27736cbec79e55)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c576a87822b6d462327a857c3be319d4521c0fea
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 29 16:11:29 2020 +0100

    smb2: reset the smb2 context before a new connection
    
    It seems that the same smb2 context can't be used after it first failed
    to login with a SMB3 server.
    
    (cherry picked from commit acfdc5842ca5fefe9519b50117a94e3993b9c9ed)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 7f98ed33e7c782c052d8462455be85cd3560a518
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 3 01:20:21 2020 +0100

    youtube.lua: support new HTML code layout
    
    This new layout is apparently getting phased in. As major differences,
    line splitting is more erratic (with overall 10 times fewer lines for a
    slightly bigger HTML document), and the main stream configuration isn't
    subjected to double JSON string encoding anymore.
    
    (cherry picked from commit 671afe05eb6109117a57d7ec9871caf9cdace382)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 36835fb8e5f643cebb2d71016f0d797ce13504cb
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 3 00:46:46 2020 +0100

    youtube.lua: stricter check for applying peek() long line workaround
    
    Required with a new HTML code layout apparently getting phased in
    
    (cherry picked from commit 611ba98b65cce0ac0addb5e3e811d22601313323)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit c92448e7dd4f5a5bf05f723d7df9f190508d2fd8
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 3 00:38:49 2020 +0100

    youtube.lua: more robust meta tag metadata parsing
    
    Required for a new HTML code layout apparently getting phased in
    
    (cherry picked from commit f3d206499bb45df4aef2f05770c8535e4cd8a4de)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit c101772ca9aeda1a5599f17eb753060a5e33d9e3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 3 00:18:56 2020 +0100

    youtube.lua: stop trying to double XML-decode title metadata
    
    This attribute isn't double-encoded now, and so attempting this is not
    just pointless but can theoretically lead to wrong output.
    
    (cherry picked from commit ff8edf3493ee0b4be700160da2b56b9c041ebb75)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit c8f0549e8e19e517a0019ead4a55a7ddbe801800
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 3 00:14:45 2020 +0100

    youtube.lua: fix escaped characters issue in artist metadata
    
    The double encoding of \u0026 wasn't handled.
    
    (cherry picked from commit 083059cd884b7720d2a319edde58699328ac4408)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 963417f14b3842822c680ec78c97fc999c32305a
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Mon Oct 19 09:55:49 2020 +0200

    qt: fix changing rate (coarse) does not display OSD messages
    
      changing the player ratet through the hotkeys does display the rate on OSD
      whereas changing directly the rate in the player doesn't

commit 783af06b68234faa6ac7e9967a7ef20f2823c2e3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 30 13:05:16 2020 +0100

    vocaroo.lua: dispatch to correct CDN server
    
    Vocaroo has started using different server locations for different
    media, and the client has to dispatch to the correct one based on the
    media ID.
    
    (cherry picked from commit 9d4c4d2fb9524b7709d2fdc1a7decc108602a445)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit dea74fff739f534b1f7c60e3e2aadd638e09682d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 30 12:55:12 2020 +0100

    vocaroo.lua: remove obsolete {old,beta}.vocaroo.com support
    
    These domains are now instead directly redirected to the main
    vocaroo.com domain and platform.
    
    (cherry picked from commit eb4ee4f6821588ba4fcd6fdf1b83379e0f05daa0)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 518ed638bccefecabfbbb48908d543274ac1680e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 29 13:30:45 2020 +0100

    chromecast: disable httpd timeout
    
    Fixes #25151
    Fixes #25192
    
    This is a hotfix for VLC 3.0 only. A proper solution need to be found in
    VLC 4.0 (likely using a hls or dash server).

commit a66f141b17e792bcc298c83496749ec93265ff14
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Oct 27 08:44:29 2020 +0100

    stream_ReadLine: don't gratuitiously close iconv handle on unrelated error
    
    The only errors after which this was called were memory allocation
    errors, lines too long, or failing to open the handle itself, so
    obviously there is no reason to want to close it there; it already gets
    closed in the proper place when the stream is destroyed.
    
    Even worse, it left the handle missing if vlc_stream_ReadLine() was
    called again, and would result in text conversion constantly failing and
    no output getting returned anymore, rendering the rest of the stream
    unusable through this API and precluding any error recovery.
    
    (cherry picked from commit 520e79aa6e9d68de56352f701cd6eae7141cf20f)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit bccc58cf348cdc0f9d37973b8856ceade8f79eb8
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 26 08:09:26 2020 +0100

    youtube.lua: new signature descrambling javascript URL parameter name
    
    Apparently the old parameter has been replaced by a new one, and is now
    getting phased out. The signature descrambling javascript URL is still
    available in several other places in the HTML page either way.
    
    Fixes #25223
    
    (cherry picked from commit 43a5da94af1cdca9bf5ac9600508720550760668)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 4710e0b6d3941649d51b4532aadd7e448d4abb52
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Sep 23 19:11:40 2020 +0300

    bluray: Fix track languages in GUI
    
    Track language may change between playlists.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6694717199c09c2522f9a24d138e9dac4e91027b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2f5dcf95d86e236239eb6d34f69ed8110a55bdec
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Oct 24 20:19:49 2020 +0200

    Contribs: update libbluray to 1.2.1
    
    Fixes for a large number of discs, notably UHD.
    
    (cherry picked from commit 345b87fc4024b2aebec7d5d46e4369123ee4585e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e7588a9ecc02cf5f0789743a56757bbbfe2da1b9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 22 19:59:40 2020 +0200

    demux: adaptive: do not recycle mp4a if extradata differs
    
    (cherry picked from commit c7019f76cd1448127395bf98cf928f30443ea08c)

commit a25643fa58cb172e02821a2a066333eadef00fb1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 22 17:56:25 2020 +0200

    packetizer: hevc: fix using all non active xps as extradata
    
    (cherry picked from commit fbf2bdcccb644b4f5032294c79fc397af8300a23)

commit f4256d5151bc059e6cb2bcaab9222f9718ffe198
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 22 13:38:10 2020 +0200

    packetizer: hevc: fix xPS id extraction
    
    (cherry picked from commit 28ebce9643756b019f3b254506cb2ff2bcd5fb73)

commit 1c1bda50d1b0b7bc87ed295ccbc73ba0c4c7be22
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 22 01:00:09 2020 +0200

    demux: dash: pass the full codec string
    
    (cherry picked from commit d89e9b15849d611f882056ec55526d00cfe7cef6)

commit 1d63a44132280b7f7e469d39c712440333351ea1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 22 00:58:43 2020 +0200

    adaptive: fix mpeg4 object profile parsing
    
    (cherry picked from commit ce3821b35db6b00fa9b5a4ba39065945472e810d)

commit 616090514190b2918e2c5f29f9f647e0e4227723
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 8 12:31:20 2020 +0200

    coreaudio: fix play of uninitialized data (loud CRACK)
    
    When starting deferred (likely), ca_Render() is filling the output
    buffer with 0s (silence) until the requested start time is reached. When
    the host time is near the requested start time, the output buffer is
    partially filled with 0s, and partially filled with valid data.
    
    In that particular case, the output buffer offset was not updated
    causing the valid data to be copied at the beginning of the output
    buffer, leaving some uninitialized data at the end of the buffer.
    
    Fixes #25142
    
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>
    (cherry picked from commit 61037b63695182fc2031614ef554d000ce5c9a0d)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 7f58842ea4638f7fc760e8020dbdd81dd2429a71
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Oct 14 09:39:19 2020 +0200

    contrib: gnutls: update to 3.6.15
    
    The macOS fix has been merged upstream.
    
    (cherry picked from commit ea93b80c14f2a582d910f91fa805aa7b7c42a5ab)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit cfcc4be2c44e682f641ec675b8ea03081e113a01
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 11 21:29:04 2020 +0300

    cycle: fix double free
    
    See also c1c40b2ac6788c3e0e37333e3935ffd10711650f.

commit 029933322c5cec3f64b971c9fd3f9b0002508b65
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 11 19:31:13 2020 +0200

    macOS: Fix missing vlc_object_release while getting vouts
    
    VLC master branch is not affected by this issue anymore.

commit e1aa5b526fe13ab4fc8db26449e2238befeb6149
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Sep 9 14:37:30 2020 +0200

    macosx: bookmarks: fix logic for closing edit panel
    
    Always close panel, even in error cases. Make sure failure messages
    are actually shown to the user.

commit fc30a217187b690d9953f4d270fae888bc9ca918
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Sep 9 14:36:51 2020 +0200

    macosx: Avoid potential double release for input item
    
    The item count is not retained for that variable

commit a0238a476e45509867a7376e6865c8497217e8b3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 8 12:44:31 2020 +0200

    demux: mp4: split/store in sidx timescale and set timescale
    
    (cherry picked from commit 7a07508abc4e0613a76cd5e8e4f95ddca627efe0)

commit 5136abf70dc1ca900954518b5760371e28434f05
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 4 21:59:03 2020 +0300

    http: fix leak on error (fixes #25171)
    
    (cherry picked from commit 9dc5028083be9fc7c746883981c822355162e0ab)

commit e94d1d752c328b2d7ea4a31212461529a0d9f615
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 3 12:05:05 2020 +0200

    stream_ReadLine: properly reset text encoding parameters
    
    Only the iconv handle was correctly reset, potentially leading again to
    wrong or inconsistent parameters.
    
    (cherry picked from commit 097f4e01696f55ae2497cfe32063e6741b7888f8)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit e10e7d92403d5fbd09a268aff5c89a1da340f58e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 3 12:02:38 2020 +0200

    stream_ReadLine: don't set inconsistent encoding parameters on error
    
    (cherry picked from commit f21515fc1851d50900433ccd6998338ea35f5e2d)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit e10c226d8fa1d6da86e3b2de9cea863a39ec83e9
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 3 12:10:44 2020 +0200

    vlm: print notice about upcoming VoD removal

commit b80a49b65fef853031ba81e84c1147cb73a62d29
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Sep 29 11:21:28 2020 +0200

    packetizer: flac: fix draining (#25122)
    
    (cherry picked from commit eeae1274bf65d41988b83d8b5450d721a97383d9)

commit ce04499f465ff251d3a799e59a91f28d6e91418e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Sep 29 10:24:05 2020 +0200

    videotoolbox: rework >= 10bit output handling
    
     - Force BGRA on macbooks not handling HEVC. This was done automatically
       before but it will likely change in the future like iOS.
    
     - Also force BGRA for 12 and 16bits since the openGL* implementation
       can't handle it.
    
    Manual backport of ce943a75

commit 04be36e003428deea8f2228bbd9c400bb2d6651e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Sep 28 15:23:24 2020 +0200

    videotoolbox: fix HXXX 10bits on iOS 14
    
    iOS 14 adds support for 10bits YUV output. Unfortunately, it can only be
    rendered with Metal (since the Apple OpenGLES implementation doesn't
    expose 16bits textures), so force BGRA output for now (waiting for a
    possible MetalAngle integration?).
    
    Manual back-port of d4ccf13c

commit c9c387f3c64870d82d164df191146312a8696f25
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Mar 10 11:47:13 2020 +0200

    Add missing "extern" to fix building with -fno-common
    
    Clang 11 has switched to default to -fno-common, just like GCC 10
    has. This requires properly declaring varibles with extern in headers.
    
    Rebased: Some parts of the original commit applied to bits that don't
    exist in the 3.0 branch.
    
    (cherry picked from commit 300439c0553e9e32c144ad2be5f8dfc6e7b3039e)

commit 40289cf6cbbeadd22afd1a0269074100356554b9
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Aug 3 23:13:10 2018 +0300

    d3d11: Add a missing "extern" for a variable declaration
    
    If the "extern" is skipped, the declaration turns into a definition
    of uninitialized data, which can be silently overridden by an
    initialized definition. But here a plain declaration is what is
    intended.
    
    (cherry picked from commit c455866ff0c0113de4ee02bacece73b2f9938143)

commit b01a87f61042ce4124037e1bc529083deac4649b
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Apr 2 09:59:05 2020 +0300

    vout: win32: Remove an unused local property key definition
    
    This one used to be missing from mingw-w64 headers, but was added there
    yesterday in git master.
    
    If this one actually is used, and we can't be sure of whether it exists
    in system headers, we could define it ourselves, but with a unique
    prefix. But in this case it simply seems to be unused.
    
    This fixes compilation with the very latest mingw-w64 headers.
    
    (cherry picked from commit 5398108a0c52d20ba0f657339a4465136b80e4e5)

commit 1468d691c5611cffd59c33bf1f96c60583050ded
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Mar 10 10:52:37 2020 +0200

    contrib: gpg-error: Backport a patch to fix building with -fno-common
    
    GCC 10 and Clang 11 are switching to -fno-common by default,
    which exposes bugs in libraries that don't use "extern" properly
    for variable declarations. Backport a libgpg-error patch (upstream
    commit 21dd885eecdee13da1689519e2fc50fcf64f6ef2) that fixes
    this issue.
    
    (cherry picked from commit 7c33db1764d627ef064aadb641c46ff68abd5cc3)

commit b5c0d65b661e0a710075c9fcbfae7fd6d0d9dee0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Sep 21 15:45:48 2020 +0200

    m3u: Expose playlist title
    
    (cherry picked from commit 8f26c795b8329219acaad18a5d98a58678799f59)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 75b66193fb61390475ad3caf7ed5de7af7fe1658
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jul 29 13:20:36 2020 +0200

    include: wrap more compat functions in extern C block
    
    This ensures they have the correct linkage declared.
    
    (cherry picked from commit 0e3775e3ff4ed4f1336fb353e1d6614758429d6f)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 3d41816e81b5ae33810bcff461cc19c2e5d45ed3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Sep 19 08:18:13 2020 +0200

    youtube.lua: return title as name field from alternate API too
    
    The name is used as fallback if the title is unset, but not conversely:
    so setting the item title instead can have interesting side effects.
    This was an odd one; like in most lua playlist scripts we really want to
    set a name here.
    
    Fixes #25124
    
    (cherry picked from commit b42890f04ce0bd8e6cd383236ead8c82cb220323)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 40a42f6ad9d314d1027a9ec7351c60390be7bda9
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Sep 17 06:09:06 2020 +0200

    stream_ReadLine: fix end of line detection on big-endian UTF-16
    
    Lines would be split on non-breaking spaces (0x00A0) instead of line
    feeds (0x000A).
    
    (cherry picked from commit 1a954775549e23a8e1c3051157d14436d4055679)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit aec2a0d3e1f9ef737ac868c0334393034aa6bbc0
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Wed Sep 9 11:32:13 2020 +0200

    extras/tools: update meson
    
    This solves compilation issues with contrib libraries using meson for future macOS architectures
    
    (cherry picked from commit 1813caaf04639ee6b25f012da9f70f612e33b0ba)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 74559877bb62266eae52bed1fb0410c7297533db
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Fri May 1 12:29:33 2020 +0200

    freetype: use labs for FT_Fixed values
    
    FT_Fixed is defined as a signed long and most operation in freetype are
    historically using FT_Long. Fix a truncation warning.
    
    (cherry picked from commit d761abd891a4c4caa35d3f53dce8250127954c4d)

commit 2f7319fb148bafcb3560880792675124565eebd3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Aug 13 13:54:56 2020 +0200

    freetype: check fribidi return code
    
    (cherry picked from commit 398dc973b02225af7e9eb257d9b6e676c8e367a2)

commit 50410a7650a448062441ee3e756c1595ef21999c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 4 22:04:37 2020 +0200

    freetype: early fail
    
    (cherry picked from commit 0a7b031e591c9f56252463ef1d3b38b56bf68bf4)

commit 35926c31c3245abb4edabb529b38268ee08ae9fe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 30 11:03:46 2020 +0200

    freetype: dwrite: fix -Wmicrosoft-exception-spec
    
    (cherry picked from commit 6099ac613e9b99116d94371845f88808bfe8e626)

commit a7caf6835733917bdb386cc12d94274829ab0892
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Aug 1 14:45:02 2020 +0200

    freetype: fix glyph leak on line wrap
    
    (cherry picked from commit 9022b8c46710f10d087896312ad16e548852618c)

commit cb1b6dd989f03ade34b839d9178358abdff7d968
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jun 30 13:14:03 2020 +0200

    freetype: handle freeing bitmap glyphs
    
    Currently double free is only prevented by
    FT_Set_Pixel_Sizes error on pure bitmaps.
    
    FT_LOAD_NO_BITMAP does not exclude bitmap only fonts
    and FT_Glyph_To_Bitmap is no-op for bitmap fonts,
    shadow glyph pointer can then end pointing to same
    glyph as main glyph.
    
    (cherry picked from commit d088e548b20d9d0c220ea973c71ffbc891551aac)

commit 65726cca968bccb146f0e4573c63c0a8ade0c548
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Wed Sep 9 11:41:20 2020 +0200

    extras/tools: update yasm
    
    This fixes #25073 as it allows compilation of yasm on Darwin releases higher than 19.

commit abefd47d4b7da16cdd18b2eb6b7da6519d9be9de
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Tue Sep 8 16:22:12 2020 +0200

    contrib/ncurses: update to the latest version
    
    (cherry picked from commit 5fc2ca88c0c07278f7e6a893d582ea771605c4df)

commit 37e80e69c89a35a63d7bf014ea7df8568898d7a7
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Tue Sep 8 16:13:00 2020 +0200

    macosx/configure: drop enforced compiler optimization flags
    
    (cherry picked from commit d847aa818e363d437d0c342c8b72b3706d588460)

commit 19987b81fc65bc225bf242c499ba71f3ea4bb902
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Sep 8 06:30:54 2020 +0200

    youtube.lua: work around VLC API limitations on very long lines
    
    The main configuration line is such a very long line, and has been
    growing longer recently, frequently hitting the VLC core limit at
    200 kB. This caused readline() to fail to return any data, and stop
    parsing of the web page short, preventing playback as the stream URLs
    were in that line that was never returned.
    
    Instead this relies on peek() and sized read() calls to parse and
    recover that line by hand. This effectively bumps things up to up to
    1 MB of usable configuration data.
    
    Fixes #24957
    
    (cherry picked from commit e3378ac3a892728bb8775d1bd243b31fa721ba49)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 66c84ec7b825e67c821e437faf74a5d0a63aef11
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Sep 7 20:07:02 2020 +0200

    youtube.lua: fix parsing of empty description field
    
    (cherry picked from commit 9ddd1b30f16431ce1f8f73eeec018d25a0221050)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit c552d4d64372d7fa5d0661748f4d1038345fe251
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Sep 7 20:05:27 2020 +0200

    youtube.lua: fix escaped '\r' in description metadata
    
    The description field sometimes somehow even contains mixed LF and CRLF.
    
    (cherry picked from commit ff152eafc353c5c974b98f5e2ff9f6947a67529f)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 234bd4ed81eda9dc49672b770066fcff6148d10f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Sep 7 19:42:34 2020 +0200

    lua/http: disable if password is unset
    
    There is currently a feature doing this in the lua bindings, but it is
    problematic for several reasons: it doesn't reject insecure requests,
    but only masks their output, while actually still going ahead and
    silently honoring them; the web interface still recurses through its
    directory and registers all endpoints, and exposes their existence by
    answering differently depending on the request URL; the lua bindings are
    the wrong level to do this, as it precludes any other lua user of the
    HTTPd than the web interface; and it hijacks the response body to inject
    its own regardless of the declared content type, potentially resulting
    in getting it wrongly displayed.
    
    Instead, this simply loads a single notice handler, and prints helpful
    messages, directly from within the web interface module.
    
    (cherry picked from commit ab87d0a17baa980f132221f5c99a64b74c243c57)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit ec5c988198bee28b25b4b2c67bbc8b23dff57bc4
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Aug 31 19:02:39 2020 +0200

    macosx/about: indicate the correct architecture

commit 6084106daee5fb896ada35411bc261a88e2d4e55
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Aug 31 18:36:07 2020 +0200

    contrib/growl: add support for ARM64
    
    This adds ARM64 as a valid arch and disable the treat-warning-as-error behavior.

commit cbce3053f26c4cf7e61b0fda840822e7abc2a39c
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Aug 31 16:53:58 2020 +0200

    contrib/growl: fix compilation with modern Xcode
    
    This fixes the compilation when the Mac OS X 10.8 SDK is not available.

commit be000ae14025ef2a14a85b4b0a5965bf32d5fa4e
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Jul 27 18:59:13 2020 +0200

    contrib: bluray: disable building jar for aarch64 macOS
    
    (cherry picked from commit a9ffa5bf9013b4dc2e99cb8d19b3c93ed3c50856)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit fa81c086d7e5b411eb67e35003918c0b9b6975ef
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Aug 10 16:01:05 2020 +0200

    contrib: vpx: add patch to use macOS SDK on macOS aarch64
    
    (cherry picked from commit 6f043e6474534f45c077bae8ffacb2292b643d36)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 1750865533f3c542f42c71cfb7a6538bf8fdbd93
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Aug 10 15:09:20 2020 +0200

    contrib: vpx: do not enable runtime cpu detect for aarch64 darwin
    
    (cherry picked from commit 5681ea32dd6b57f96a251562fbcc0e413a74ddf5)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit c4e0fd8ee68e167b0272c36abb8db8c63955062b
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Aug 5 22:43:42 2020 +0200

    contrib: gmp: add patches to fix arm64 assembly
    
    (cherry picked from commit ca866cb94ca423993f89b6737ffc61d1448dde30)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit a64dc6107952894e0a7090931881caa1e68d0184
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Aug 10 14:25:51 2020 +0200

    contrib: aom: disable runtime cpu detect for arm darwin
    
    (cherry picked from commit 3896a8800fbbd51a3c4a6eb0181df16f980bfb99)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 1faa50a9a497291074be597175652b5a2e48ca7f
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Jul 27 21:58:54 2020 +0200

    contrib: gcrypt: disable asm for macOS aarch64 for now
    
    The detection is currently broken and it does not work at all.
    
    (cherry picked from commit 8edd1a300a429efb6fa518c600f62db532dba258)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 61ab4724aa0fe0db79fb92baf7997724a2f6fe94
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Jul 27 18:58:43 2020 +0200

    contrib: properly set Xcode arch to arm64 instead of aarch64
    
    (cherry picked from commit 798ace089cc2e93dd4ea272e0ec7cf51fc049249)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 5db08a29748efd527f2eb7d13a7fb91767f0b7c6
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Jul 27 17:56:01 2020 +0200

    contrib: Do not hardcode 32/64 bit
    
    This was probably needed at the time of 32/64bit switchover but there
    should be no need to do this at all anymore. Additionally it breaks
    compiling for any non-x86_64 macOS that is not 32bit.
    
    (cherry picked from commit 30f894b7d63bed8643b298af09064a1bc5e75c11)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 7d28a02f6ad770e2f18c1300cd551f9a53643e7d
Author: Mehdi Sabwat <mehdisabwat@gmail.com>
Date:   Mon Aug 31 15:32:51 2020 +0200

    contrib: update tremor download link
    
    svn and git instances seem to be have been taken down in favor of gitlab.
    This patch also deletes overwriting ogg headers
    (because of 8886a280 in tremor).
    
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>
    (cherry picked from commit 6f694732aecb7a0b0813993d634950e94dad6ce6)

commit db395aad2d0b269268d97555a70f6467bd495295
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jun 18 12:07:44 2020 +0200

    httpd: Don't treat 0 bytes sent as a dead connection
    
    (cherry picked from commit f7e891e3984180cd79d48d4695d13b3f473f6e30)
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a99117fde35949a31b833b88b538417e6815be9f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 3 22:04:48 2020 +0300

    httpd: fix inverted logic
    
    Don't always return "Client error" as error reason
    
    (cherry picked from commit 681e0664a794f07d728a0cfe53a47c18b9dff0af)

commit e7854754d234e50b5f2b36d214f31e20ffbeb0da
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Sep 1 10:57:29 2020 +0200

    keystore: accept empty username
    
    The http protocol accepts empty username. Other protocols may not accept it.
    This will result on a fail of the login function, leaving the possibility to
    try a new login.
    
    Fixes #25074
    
    (cherry picked from commit 384526b41285662944625bdd0b61c03868358279)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 820ac2382b0597610ab41c80f42ecefd822e203f
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Aug 31 22:32:08 2020 -0400

    contrib: update libvpx to 1.9.0
    
    (cherry picked from commit 5a88236177425c275cd9d18059db690467b187ae)

commit 4f899efc13a3a8f5259ce260655dfdd6f4830299
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Fri Aug 28 10:08:37 2020 +0200

    qt: add missing include for QPainterPath
    
    The include is not transitively included anymore with Qt 5.15.
    
    Original contribution of menaquinone from ticket #24882.
    
    Fix #24882, #25059

commit 85aa32db726559743d08d2fcafbb90fc923c43ff
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Wed May 27 11:05:53 2020 +0200

    qt: fix missing header when compiling with Qt 5.15
    
    Cherry-picked from commit 0e88143ed2fe8eedfa4d3afdafcd0df901644c1d.
    
    Signed-off-by: Alexandre Janniaux <ajanni@videolabs.io>

commit 30b3d0e5e3f720d011a1c98e8dc2437dc339153e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 6 11:55:21 2020 +0200

    CI: update the mingw-w64 targets to a more recent version
    
    - includes the ActivateAudioInterfaceAsync API for UWP
    - include ucrtapp which replaces ucrt with no dependency on MS DLLs
    - WaitOnAddress/WakeByAddressXXX  only in the proper libs (not kernel32)
    - wincrypt/CryptAPI only in the proper libs
    
    (cherry picked from commit 08ef8bdd6fe459d199415bc939dca62cc18cf6d2) (edited)
    
    edited:
    - only update the UWP image for 3.0, the gcc ones remain untouched
    - don't enable extra checks for now as the code is not clean enough
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c52e27a1d6584c7d607a339bcc6a4b3b0a9651cf
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 29 07:12:24 2020 +0200

    CI: add a UWP x86_64 libvlc target
    
    (cherry picked from commit f763d0a6b89e118891f03e55f3818ef3483e3517) (rebased)
    
    rebased:
    - this branch doesn't have a desktop/msvcrt llvm build
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 5ac08192afa5de429f010e6fbadc2d4440bbacd8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Aug 21 12:46:44 2020 +0200

    contrib: qt: filter out contrib include when building for Windows
    
    Now that we export them in the win32 build environment they are used for
    everything Qt builds. But Qt doesn't like to have pthread-GC2 in the include
    path. So we use a version without -I$(PREFIX)/include.

commit 60ea4786be183a31b113e53807359afddd388752
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jul 1 08:24:33 2020 +0200

    package/win32: build.sh: add an option to set the PDB source file mapping
    
    This can be useful when cross-compiling. The UNIX pathes need to be mapped
    to a Windows path that the debugger can use.
    
    So if you build with "-D c:/vlc" the debugger will look for VLC sources in
    c:\vlc, as if they were originally built from there.
    
    (cherry picked from commit 990d460b71500b7c9906778b7b4300ff5600c7aa)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit a53a8b5414ffd9bd81613b8d8089813a6f507f32
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jul 1 08:21:29 2020 +0200

    package/win32: build.sh: use a variable for the VLC source directory
    
    (cherry picked from commit 1496e914e227e17f16a79db04e070ec8430f5823) (edited)
    
    edited:
    - this branch always run the VLC bootstrap when building
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 13589fc48b223b538ace34f6c899f2c0a10b6e25
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 23 11:10:15 2020 +0200

    package/win32: build.sh: add a -o option to specify where to install vlc
    
    This is convenient to specify the output rather than relying on the _win32
    location. It avoids copying files from _win32 to whatever the needed location
    is (in the libvlc UWP script for example).
    
    This may also be useful to build in WSL2 on the Linux filesystem and install
    on the Windows filesystem. It may be faster than building with WSL1 on the
    Windows filesystem.
    
    (cherry picked from commit 76f074e4d5377d979fd2e290d9f2b90c445a7ceb) (rebased)
    
    rebased:
    - this branch doesn't have the MSI installer
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit a2514a61d087b08f217815521900d727770867d8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 23 11:14:43 2020 +0200

    package: win32: copy the PDBs during package-win-install
    
    The PDBs should be next to the DLL used so that the debugger can find them
    easily.
    
    (cherry picked from commit 79821b196f269d1d1512750e3f88c2727862f6ef)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 315054674a87b6283b2041441b9cae084b618b78
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 23 11:13:42 2020 +0200

    package: win32: copy the .dll.a into th .lib equivalent
    
    The .dll.a files can be used by MSVC which prefers .lib files.
    
    (cherry picked from commit 68101ad73d1b19bcbf0d366698f62556c0b20633)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit f19ae10d7ccdce218e164ffaa29cc46abe242bdf
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 23 11:06:10 2020 +0200

    bin: don't install aliases if the vlc executable is not built
    
    (cherry picked from commit 77e92517b8fe8fd42b05b005c2907b07056ac710)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3d9536d147ce1ae37c7b5c4b633c4a48c4af86bc
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 19 14:27:16 2020 +0200

    package/win32: build.sh: do not force win7 on 3.0 builds
    
    We still need to support XP/Vista.

commit c896a54663e95573c35024ee237ad13f20ea765c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Aug 24 17:20:00 2020 +0200

    macosx: Correctly update badge count on playlist changes

commit 208f5a8c6ce77df76d7602cc24c8aa3e2ce43f08
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Oct 30 01:27:00 2018 +0100

    macosx: Fix trying to load playlist as an SD
    
    The sdtype of VLCSourceListItem was not correctly initialized to -1,
    which caused the macosx interface trying to load the playlist like am
    SD module, which does not work.
    
    (cherry picked from commit 55acd54c9d6258645bbcd0376d39c5d7d88500cb)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 13932527d3a2312c93264cd5acf883eca90a63fc
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Aug 18 21:09:39 2018 +0200

    macosx: Set correct state/highlight for badge button
    
    (cherry picked from commit cae48baeb1e91f1c5fa4442ec807b2bc5f70237e)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 8a3d78265fed870192d2547346abe8fc2497a08f
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Aug 18 18:49:55 2018 +0200

    macosx: Use NSButton subclass for badge drawing
    
    For badges in source lists a NSInlineBezelStyle button should be used
    according to the documentation. This greatly improves the look of the
    badge, especially in selected state and Dark Aqua.
    
    (cherry picked from commit 9385e8ba801e1a3baee3580f29e011e162b7d993)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit ff5bf2cd75f4a1b000e91ca75c536c7f10945f29
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Aug 18 04:51:03 2018 +0200

    macosx: Convert sidebar to view based table
    
    The sidebar is now a view based table with autolayout for the cell view
    layout. The height follows now as expected the system setting for the
    size of sidebar items.
    
    (cherry picked from commit 7da1546f7ce2bac338bfeeea7e2c6063302a0417)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 3db240e046d214d3ffc3cdd71cee8ae6e1d64ea7
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Aug 18 03:17:38 2018 +0200

    macosx: Update PXSourceList to 2.x
    
    (cherry picked from commit 9de4120cf4395a0f5e24f69e3dcf41db73ae9b49)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 3080d0fd734cacddac3eb806bda3a99fde82b3a3
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Aug 18 01:35:11 2018 +0200

    macosx: Use define for status column
    
    Instead of "magic" string
    
    (cherry picked from commit 1cd82bd91e653b174cd67f4e22407c94f995ba80)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 300157024bc9679d14da650d82ed9786238f364d
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Aug 18 01:31:59 2018 +0200

    macosx: Remove private API for sort indicator images
    
    These "magic" strings are documented in the official documentation
    and exist since a long long time, Apple can't ever change those
    without breaking a number of apps, so using them seems better than
    relying on private API.
    
    (cherry picked from commit 91dde5a9f4d6bbd658590984243365e9e94c7fc5)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 0047c38748b4442528b7f0ac313cf0322a661b30
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Aug 18 01:05:38 2018 +0200

    macosx: Ensure title item is always added to table
    
    Previously it was possible that the table ended up without the title
    item in some rare cases and impossible for the user to enable it again
    in the menu.
    
    (cherry picked from commit 2125f01b0b0aaf8ca882c6287cb66c4cdf38f6ae)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 13991ee4f7025870982ebf1bb60a0a53e2e356e1
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Aug 18 00:47:31 2018 +0200

    macosx: Minor whitespace-only fixes
    
    (cherry picked from commit f5f9f559b441d66825fe252345bc6638494286e1)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 78c05469e57e085c51713e16c0afa5f4f2dedd78
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Aug 18 00:45:12 2018 +0200

    macosx: Use for-in for table column iteration
    
    (cherry picked from commit 691e51a4d3ba423b34e3ba6a7297a1960096db62)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 80f916326c90748ffc50ccd2383a2e476bcaf938
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 25 14:26:40 2020 +0200

    codec: tx3g: fix cutting utf8 by char index
    
    (cherry picked from commit 452372d1e7a38e3c41ab6129651e315f8a9d4a51)

commit d54c8ededa054f43b39b4ef36441831b89d67c68
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Aug 25 00:14:06 2020 +0200

    Update NEWS

commit b686787c83550ab28f53244a936a86504cced637
Author: Aakash Singh <17aakashsingh1999@gmail.com>
Date:   Tue Mar 26 18:16:57 2019 +0530

    vlsub: fixes creation of cache directory if it doesn't exist
    
    When VLSub asks for the cache directory and it doesn't exist an error is
    thrown. This patch makes sure that the directory is created before it is
    accessed for writing.
    
    Fixes #21595
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    
    (cherry picked from commit 583dded749fb3078a8cad495efcd5f4bcef0a875)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 5212f56ecd07aa51637c5a3704e7e4d7be5a3a49
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Aug 24 12:41:07 2020 +0200

    httprequests.lua: fix getbrowsetable() when no parameter is passed
    
    (cherry picked from commit 5a4a4c7feba6924db2bed766f8dc18d50a4752a3)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit f309e89d111ea3d99f9df619bae27a805f9d8a48
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Aug 22 14:42:19 2020 +0200

    lua/http: properly convert art URL to path in art handler
    
    Processing URLs is not a mangling game
    
    (cherry picked from commit 9ed406943232aa288ed154692a479f66aedb37db)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 57e60891b7eee9655493b5be6565d4a8ef4e1c79
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Aug 22 14:40:24 2020 +0200

    lua/http: fix art handler for missing art file extension and MIME type
    
    ... as is the case with art from the local cache.
    
    (cherry picked from commit 0431e87b8c6801f8549509687524e6bc70fb7ec2)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit a294182240a72e78a19b060dced99042b1396dbe
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Aug 18 17:05:34 2020 +0200

    httprequests.lua: return ".." instead of silent directory listing failure
    
    Refs #5075, #25021
    
    (cherry picked from commit dc8da491eb33aa3508950662541ed755aa983ee6)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit ac6f18a0f1e14bbaf96f7363a9f02a234b77c739
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Aug 18 17:03:43 2020 +0200

    httprequests.lua: refactor getbrowsetable()
    
    No more gratuitious trailing '/' appending on the main, URI code path.
    Dot segment resolution is now performed on URLs rather than file paths,
    which allows it to work on Windows too. The legacy dir code path is
    still broken, but it's now clearer how.
    
    Refs #5075, #17470
    
    (cherry picked from commit 07ed2734d02ac8f1485211e0b34861c6bf771b02)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 60127caa886454acae7fe5b2de272888c3103559
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Aug 18 17:02:36 2020 +0200

    common.lua: fix utility resolving dot segments in paths
    
    This utility didn't work at all on Windows because it had no support for
    '\', it also had glaring bugs and shortcomings, and its implementation
    was broken. Lua has no knowledge of the OS and directory separator
    currently in use, so this takes the one sensible approach here:
    supporting URLs to let the utility operate on unambiguous URL paths
    rather than file paths.
    
    (cherry picked from commit 9c4cfda8f4747231b86b893e33ebb015349f729f)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 0915d2e4232b23e76f8344ee6c3c6b3110223d7e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Aug 18 16:59:51 2020 +0200

    httprequests.lua: remove no-op code in getbrowsetable()
    
    It modified a variable never used afterwards, the explanatory comment
    was mostly bogus, and the relevant corner case isn't something we really
    want to handle. Variables are simplified accordingly.
    
    (cherry picked from commit 6f2efad15d4a5167e0afa511fdb59cdc0aa0cb2c)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 13301d60822a4efd1b7e8a7cc677c92899e5b223
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Aug 18 16:55:18 2020 +0200

    lua/http: ask user before sending web interface URL to Google QR code API
    
    The existence and URL of the web interface of a VLC instance can be
    sensitive information, and transmitting it over the internet to a third
    party might not be something that the user is okay with.
    
    This creates a new dialog informing the user and prompting them for
    confirmation, before sending the URL to a remote web API to generate a
    QR code for it.
    
    Refs #25005
    
    (cherry picked from commit e891b5bb1fd946a4c2430270f7422932c35e8bb8)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit e56b80e0054f595e1d376249ebba401b106e24da
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Aug 18 16:53:33 2020 +0200

    lua/http: add missing gettext() call
    
    (cherry picked from commit 9eb831b8070ff3556c6ce18678e885bf125872b7)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit d7e085b3add37d3ab76d390b0f8409b22c088f71
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Aug 18 16:52:53 2020 +0200

    lua/http: use correct mobile interface URL to generate QR code
    
    This was not just hardcoded, it failed if the web interface was accessed
    with a query string or a URL fragment for example.
    
    (cherry picked from commit ddf1bc3cbaef16fd9bea3155d37683d94eeac01c)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 8c67cd85c53ae46acb75d681000225d7d277afab
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Aug 18 16:51:18 2020 +0200

    lua/http: use proper relative URL for link to mobile version
    
    This would break if the web interface was not hosted at the domain's
    root - for example, reverse-proxied from a subdirectory.
    
    (cherry picked from commit 0974efa453500160c77ea9f756aaff6d5ff064ca)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit dafadf7e76b470d9d8017d4d04aaec758db533ff
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Aug 18 13:17:46 2020 +0200

    direct3d11: use SleepEx directly instead of vlc_tick_sleep
    
    The Linux check on valid on timer validity doesn't apply here.
    
    (cherry picked from commit 07f1585636db72929d0c0701e0e040cb3a527ee6) (edited)
    
    edited:
    - this branch didn't use vlc_tick_sleep
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 291d46be2d81e57d2bc7fe94ab097c27c5ad5150
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Aug 17 18:46:12 2020 +0200

    youtube.lua: detect and report very long line issue (#24957)
    
    This should save time for both users and maintainers by accurately
    detecting and diagnosing the issue, and avoiding duplicate bug reports.
    
    Refs #24957
    
    (cherry picked from commit ca39a2a766cdf751b4a487f9ec3650846f1a0289)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 11536b664125511bd265719eaedd1088c0cba8da
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Aug 17 18:42:13 2020 +0200

    youtube.lua: fix up main parsing loop
    
    (cherry picked from commit 12ac36af9d0144a33e03d3327eacd66bbc6e81cf)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit ae335b259fa4567211f68d3d5e12ad22aa425433
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Aug 17 18:36:21 2020 +0200

    youtube.lua: refer to ticket number in character escaping issue comments
    
    (cherry picked from commit c4360d417d2cdd530f7a6419e9a0795d34337c38)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit d95b1c403654e228927e40154390e8b246dbf980
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Aug 17 18:27:28 2020 +0200

    youtube.lua: fix escaped characters issue in artist metadata
    
    The YouTube channel name can indeed contain '/'
    
    (cherry picked from commit a464a7d641afc8c80043bb318f217d9568a45f68)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit d9f30894e8637bea6343249dc97e0813034e27ae
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Aug 17 18:25:48 2020 +0200

    youtube.lua: avoid locale-dependent character class
    
    (cherry picked from commit 19fb182b17de17616b09a5b34dcef826c377f04d)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 82a4447de185623e55db53ffbd2c088eb6882f33
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Aug 14 20:10:00 2020 +0200

    NEWS: Mention EQ bands display fix

commit 6f0784095398648de266d076bb5e62d524e5f40d
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Aug 14 19:55:49 2020 +0200

    macosx: update EQ frequency labels according to VLC frequency setting
    
    An option exists for selecting between VLC frequency bands and ISO frequency
    bands for the audio equalizer; however, as of this writing, the text labels in
    the macOS interface do not quite reflect the selected option.  (For example, if
    the option to use ISO frequencies is selected in preferences and VLC is
    restarted, VLC frequencies still appear in the effects interface.)  This patch
    introduces a change that dynamically updates the frequency labels according to
    the VLC frequency setting.
    
    (manually cherry picked from commit 392e2feee7fa3347de46fb86977fa7c30d2a0057)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit ef7ec7dad887da5cba637a05f741a92897859039
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Aug 10 12:13:39 2020 +0200

    direct3d11: wait indefinitely for the rendering to be done
    
    If we don't, D3D11 complains that we didn't wait for the finished result
    matching a ID3D11DeviceContext::End() call.
    As long as GetData() returns S_FALSE we can safely wait. Any other value will
    exit the loop.
    
    We want the rendering time seen by the vout to be as accurate as possible
    rather than stop waiting after some time and pretend the rendering happened
    when it didn't.
    The granularity of the wait should be as small as possible to have the
    rendering time stats as accurate as possible.
    
    (cherry picked from commit ba04276cae760f919a9a61c5dd5eb294e4d26cef) (edited)
    
    edited:
    - this branch doesn't have vlc_tick_sleep() but msleep()
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 73e2eea5418be7e6e445975795b8aedd2e167a09
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 5 09:25:31 2020 +0200

    vout: direct3d11: clean the wait until all the commands are processed
    
    We need to unlock the device context while we wait until it's finished with our
    commands. As it may block all decoder threads for 2ms or (a lot) more. The
    decoder may have a chance to send some decoding commands and we may wait longer
    when locking back the device context. This won't have much influence on when
    the picture is finished rendering as it won't wait for potential new commands
    that have been sent to the video context.
    
    We don't need to lock the device context in PreparePicture, it's already locked.
    
    Use a ID3D11Asynchronous pointer directly. We don't need to know the underlying
    type, except when creating it.
    
    (cherry picked from commit cb15167c1c84597923bfb0a428217637d2f7dd82) (edited)
    
    edited:
    - this branch uses a local d3d11_device_t instead of a pointer
    - the locking is conditional in this branch
    - there is no PreparePicture in this branch, just Prepare
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 612fd11771ff7a577406c39198245b70c4fb45b5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Aug 14 08:47:01 2020 +0200

    Update NEWS

commit d152c4ed97a87e1a9f6330cbfa683396f36e76b4
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 13 14:24:26 2020 +0200

    d3d11: lock the device when creating the Video Processor
    
    It doesn't seem to be thread safe.
    
    (cherry picked from commit ff39bd61219da8f39c3f1e9f2cf18efe71444b83) (edited)
    
    edited:
    - this branch doesn't have the D3D11_CreateProcessor helper
    - the d3d11_device_t is stored locally rather than using a point
    - the surface conversion filter didn't use a mutex at all
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 8f595793e5fad7245ec9b2bff221c06ef0e7c99a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Aug 8 14:17:47 2020 +0200

    share: Add hrtf file to EXTRA_DIST
    
    Both mac, as well as windows build scripts assume the hrtfs
    directory to exist with hrtf file(s) in there. In order to allow
    a full build from the release tarball, package that file as well.
    
    (cherry picked from commit 50529ad91a3f12bbaec9bd66014c38d021456023)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 2e83d1e59f850f0fa423591de9fb86e3bdd1b4af
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Aug 7 19:25:10 2020 +0200

    lua/http: set no-referrer policy
    
    Without this, calls to external resources leak the URL of the web
    interface over the internet, which is not necessarily something that the
    user wants.
    
    (cherry picked from commit 875b573f1779c3428ea746aca870552945b87274)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 2b81368438754105c18ce71ca1236dd116ab2904
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Aug 7 19:19:54 2020 +0200

    lua/http: use HTTPS to link to third-party web assets from frontend
    
    This is recommended good practice, as it improves security. This is also
    necessary to serve VLC's web interface frontend over HTTPS.
    
    Fixes #21216
    
    Based on a patch from Noam Lerner <noam.lerner@gmail.com>, thanks!
    
    (cherry picked from commit 49cddd79e05a7280914b4124c9dba3cabb7a8d80)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit d7840bfdbc7503be74e42aebf698f347c70750fa
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Aug 7 19:14:09 2020 +0200

    lua/http: fix stray use of renamed current_id variable
    
    This prevented the play button from working if no playlist item was
    selected.
    
    Fixes #4516
    
    (cherry picked from commit 9b167d9a8bf293a1d3612b1ad80f352d998e41ad)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit e96fab36f456b113ab7ffbeff6084d0eb2f7dafa
Author: Alexandr Koverninsky <a.koverninsky@gmail.com>
Date:   Mon Jul 15 16:25:53 2019 +0300

    http.lua: Fix parsing problem.
    
    The closing '?>' needs to be printed using '?<?vlc print ">" ?>' to prevent a parse error.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit d26e4b793c48c67bbb6f82beab2db8e620d7c2aa)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 3f633b2777a1ce2e41e9869cb49992960294369b
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Aug 1 16:55:06 2020 +0200

    lua/http: properly XML-encode VLM messages
    
    Fixes #9590
    
    (cherry picked from commit ef03a3d6af883d486600414395c2684ea01d20f3)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 30768699b2e5308cbe0f474e0817a33cc6856459
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Aug 1 16:51:22 2020 +0200

    lua/http: remove stray debug output within VLM XML
    
    Refs #9590
    
    (cherry picked from commit 70751ff62ab3a360e544004dba448a4e11c38d14)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 8d26ecb5517b0593ba4b3c4cd5dc39e527064a10
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Jul 30 05:44:14 2020 +0200

    cli: preserve playback rate changes across playlist items
    
    The `rate` command used to mistakenly set the playback rate on the input
    object instead of the playlist object, resulting in changes getting lost
    whenever the current input was stopped (or when another playlist item
    was started).
    
    Fixes #18375

commit 52483f3ca24cde93f10bc9f14397605721d5e6f8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 27 11:27:06 2020 +0200

    update NEWS

commit ebe222b240bcec25e0dcea06a85489e9014ddb13
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jun 19 18:11:08 2019 +0200

    codecs: webvtt: fix reversed start/end alignments (#22349)
    
    (cherry picked from commit 64a16872ec3d68e41206c5ea5d02ee9f1640ffe6)

commit f482863881ba52f1bd6a4b5ee96166cf24dfeb98
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Jul 27 00:19:38 2020 +0200

    NEWS: Bump to version 3.0.11.1

commit 7491c17662f82ef960e2e4abab69ce28b8a41fef
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Jul 27 00:19:21 2020 +0200

    configure.ac: Bump to version 3.0.11.1

commit a9545722779a76d66ce3401c70f96378c2bd93ac
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 17 19:51:09 2020 +0200

    demux: adaptive: set live start position on first buffering
    
    In some cases, the start point does not provide sufficient
    buffering and is then rescheduled in the same way.
    
    (cherry picked from commit be0195644722c9f026e0c0a33d8386aeda43bcfc)

commit 00d43a88b59b552a12c526e65c1573d87eb29823
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 17 17:05:00 2020 +0200

    demux: adaptive: track position as compound
    
    regroups states an associated refs in the same struct
    
    (cherry picked from commit 1b347a3bfc38f60529763af00409e6ad8f04e46f)

commit fcf9b0f69a0f5f4a4f32ecea5724f1797dcbb270
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 10 18:29:37 2020 +0200

    demux: hls: set last update time on non master playlist
    
    (cherry picked from commit 84d97db95bde7e7c51c64ae688076d91ac3c2ad3)

commit 860b5656150fbec1d92dbdff9c20a2add247ed36
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 10 15:43:17 2020 +0200

    demux: hls: sched update from prev one
    
    should avoid the issues with targetduration rounding
    and inaccurate segment durations
    
    (cherry picked from commit d443bd922c331070a211f075e2291ec96c5c2fb1)

commit 4c0cb56f29f63da4feee55c10299425dfedc398d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 10 18:29:07 2020 +0200

    demux: hls: scale duration from tick
    
    (cherry picked from commit 1e133cd6f79529f66ee94d453eb5234f3b3a059a)

commit 67ff7adc559abb4306c134fe4d44d06f6780b323
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 20 09:38:44 2020 +0200

    demux: adaptive: remove double check
    
    (cherry picked from commit e04bb5159625d000a5eac0d156ebb2d2d4088798)

commit 086eb444c5d2c14f4c01458f105dfaebe8fb9056
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 25 19:29:14 2020 +0200

    freetype: add missing attachment mime types
    
    (cherry picked from commit d0a8a9fd606c75020ae268e7c04baf03d69341a0)

commit 678208da602623f87ce3d51916d6a2a81d473f5d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 25 22:06:10 2020 +0200

    demux: mkv: add missing WEBVTT styling extradata
    
    (cherry picked from commit d0d8a9a04476843582ddd76d60d79ba3f09bc471)

commit f176de7447c1198a0b7c2c19d57a940fccaf750c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 16 09:54:07 2020 +0200

    demux: mkv: process block additions for WEBVTT
    
    (cherry picked from commit 967bf75afc5b2bc6a648355f2bb24f664e6bc77a)

commit b8f0b15e02ad6a70a5b1b3d7cc9e8523fe1da355
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 16 09:52:12 2020 +0200

    demux: mkv: extract block additional data
    
    (cherry picked from commit 8fef0da38208be5f4056284e70f903604ae2dff2)

commit 58ef34b4af1057816581fa8af9b11a29cb3ab9f8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 15 14:05:40 2020 +0200

    demux: mkv: properly handle D_WEBVTT
    
    refs #24949
    Was wired as SUBT for ease, but that only works
    as long as cue parameters are not used.
    
    (cherry picked from commit 385ed6a8b1acfd51e097dd3c54196e1a91839d4d)

commit c730e4a141dd34f7c1b33c4d27468846fb9a176e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 15 17:15:27 2020 +0200

    codec: webvtt: add sample packing helper
    
    (cherry picked from commit d6f7803d93b0713d12e8fdde42f87e8bb4bdefd2)

commit 582daa4ed6dcdb81ad0158996eaa3b640b273897
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 15 20:10:41 2020 +0200

    demux: mkv: fix potential leak
    
    (cherry picked from commit a517348372d94280b7eff9d2be51328768cff402)

commit 939e443be9330cbac4b3ab427d3236c53d5d2151
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Jul 22 08:48:37 2020 +0200

    dailymotion.lua: make website tag stripping robust against more languages
    
    This supports languages using more diacritics, and using other scripts
    than Latin. It still fails for at least Chinese.
    
    (cherry picked from commit b32d291f2334f3f157fbbc18c2fb50c9c462d5d0)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 51712cbd31d73322b96c03e0d75424276c276acb
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Jul 20 12:21:23 2020 +0200

    youtube.lua: fix description parsing
    
    (cherry picked from commit 6b1385f1332ce3457045e4d669ec57996be57c5a)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 84013e099ba12d07b97e79dcdb56eaca8e388152
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Jul 20 11:57:05 2020 +0200

    youtube.lua: fix escaped characters issues in metadata
    
    (cherry picked from commit 9d61f4ad2ed179d317b40eb6ca72d562d53fda08)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 5091a0ef6b13e873ee6e448f7f338969c5a67366
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Jul 20 11:46:44 2020 +0200

    youtube.lua: add comments about classic parameters fallen out of use
    
    (cherry picked from commit 1532a8f274b1b53a9c53754fbcf46864ede06c52)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 965d3a477a696a2b75e56867b5ead4377c9414e7
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Jul 19 19:29:02 2020 +0200

    NEWS: updated for 3.0.12

commit 96085988a7efa4b25f848f039351e41c08f9faf4
Author: Andreas Krug <akrug@arcor.de>
Date:   Fri May 1 12:21:34 2020 +0200

    UPnP discovery: Evaluate "TotalMatches" and "NumberReturned"
    
    Browse again with increased "StartingIndex" and adapted "RequestCount".
        Solves
        #21381 Panasonic Viera returns maximal 20 items on uPnP
        #22496 DLNA/UPnP - Panasonic recorder 12 records limit
    
    Fixes #15876
    
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit a1ef204f51c9b7bd3881931305c140c519081a6e)

commit 6a1dfe78a1775fe66e8bdaf0c9766bf0ecf0f820
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Jul 18 09:54:03 2020 +0200

    dailymotion.lua: add comment about disused progressive formats
    
    (cherry picked from commit ea30704be2b118b15a15ed46652823e7910c32b5)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 4c66e945e0d8c28718b85b527415b8dea2c5ceda
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Jul 18 09:53:38 2020 +0200

    dailymotion.lua: make website tag stripping more robust
    
    Apparently the tag appended to the video title isn't always spelled
    exactly the same.
    
    (cherry picked from commit c72df8c548170f679045d765f919e5034a40bf8c)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit f5ec9e0acaa5e5bc7c5e7cf09019185b0da3bd37
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Tue Jun 30 18:26:02 2020 +0200

    Update to meson 0.54.2
    
    Meson before 0.54.2 misdetect the cross-compilation to iPhone Simulator
    with architecture x86_64 and tries to execute tests, leading to
    compilation failures in contrib.
    
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>
    (cherry picked from commit 9df4bd98c1ae43699c1e0da9cfe76cf375903709)

commit dd404ea81ded6f542e19fe47ac54a37f6f9e445a
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Thu Jul 9 15:12:05 2020 +0200

    upnp: restore default adapter lookup for Linux and Android
    
    This addresses a build system regression in a8e6a381 and fixes #24943.

commit 3d2ba664b5673c3fd90550dac1bd1880e941a8e2
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 26 10:05:07 2020 +0200

    aout: winstore: report the device in use
    
    (cherry picked from commit c4ad40650de9182923bc195af858ef8ba24c3130)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 1c69039126582a8aaa9d3ef7d283d0fdc57949b8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 23 12:49:27 2020 +0200

    aout: winstore: select the audio output using ActivateAudioInterfaceAsync
    
    See the API https://docs.microsoft.com/en-us/windows/win32/api/mmdeviceapi/nf-mmdeviceapi-activateaudiointerfaceasync
    
    It requires a recent mingw-w64 with the added API.
    
    We request the IAudioClient asynchronously and return the found client or NULL
    once the async call as completed.
    The code originates from the vlc-winrt project with some modifications.
    
    Do not rely anymore on the local "winstore-client" variable to cache the
    IAudioClient. A client is queried/used between each Start/Stop calls.
    
    (cherry picked from commit 32349b35de2b02ea16c08ac8c2f62966ba5641ad) (edited)
    
    edited:
    - the structure in this branch already exists as a a typedef
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit de4af3d7dc56cc25cb5e24af395a38551623b962
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 23 16:10:33 2020 +0200

    aout: winstore: rename vlc_FromHR to ResetInvalidatedClient
    
    And some more cleaning
    
    (cherry picked from commit d0b5eb1c91d3b4a72c48beb585020d6e54581909) (rebased)
    
    rebased:
    -
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 427a5188f35fc934d777b3af531ced253b494d83
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 6 11:40:06 2020 +0200

    contrib: matroska: remove the -O2 forcing
    
    Fixed since c764461180d70d1c9fa81e72cd7ad9d9b289eea6
    
    (cherry picked from commit 3cdbeb2cb46bc6b11e562749745232774496d09a) (edited)
    
    edited:
    - in this branch the -O2 forcing was only done for iOS
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 26b306fa78cc506438a0aa8ebc40f6eca0e79aa7
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 6 07:52:01 2020 +0200

    contrib: matroska: update libmatroska to 1.6.0
    
    No need to force fvisibility=hidden explicitly anymore.
    
    Log why the -O2 is needed (this still feels like an odd fix)
    
    (cherry picked from commit 41a6658766351ce088b9b0e56fe4b4caff8207a6) (edited)
    
    edited:
    - the -O2 patch is only applied for iOS on this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4d4fca4bf07cfe286a4fce470f15bfc078d89703
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 6 07:50:49 2020 +0200

    contrib: ebml: remove forced exception handling
    
    Introduced in 2012 for x86 Android builds. It should be enabled directly by
    CMake when building on modern systems.
    
    libmatroska also throws some exception and was always compiled without this flag.
    
    (cherry picked from commit 107a97cee9fa97d186fcab504b7c1c6c3977ffaa)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit b1baf2705277e0d69ff4d273630713956416ddc5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 6 07:49:39 2020 +0200

    contrib: ebml: update libebml to 1.4.0
    
    No need to force fvisibility=hidden explicitly anymore.
    
    (cherry picked from commit 615d63ebf557ef95f700d63640c53c4b2d13f697)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6e9b29ad64c3dadfdc1fc5360f0901a5d52a0037
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 6 15:20:15 2020 +0200

    contrib: ebml: remove UWP patch since we build with 1.3.8+

commit de28e3985fcf700e06e68fbbe056e9f69df406ec
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 18 11:10:10 2020 +0200

    contrib: set BUILD_SHARED_LIBS OFF (static libraries) for all cmake targets
    
    We build all contribs as static libraries.
    
    The setting exists since CMake 3.0. For targets built with older CMake settings
    the value is discarded.
    
    (cherry picked from commit 9f5188734f19846ccb68cbcfdd67e732a59bb9ed) (rebased)
    
    rebased:
    - mysofa uses pthreadGC2 in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 79d8ea900f6736bf6e01501e07a3bac46a13f278
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jan 29 13:37:06 2020 +0100

    contrib: only set CMAKE_DEBUG_POSTFIX for windows targets
    
    For other targets it's not needed and creates a warning.
    
    (cherry picked from commit 542d7a797a803cbfeb6c93aad9d16be215d8fecb) (rebased)
    
    rebased:
    - the MSYS detection is different in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 119af1f7e609763a69c2c94eef3d5dd486b588fe
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Mar 4 13:17:20 2019 +0100

    contrib:ebml: don't ever build WinIOCallback in our contribs
    
    It won't work with Winstore builds and we don't use it anyway.
    
    (cherry picked from commit 852d95764ebc1865ed3fd3853342005888902dc0)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9915cdcbcf73ee3c6a11a5901461603594381630
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 22 16:25:38 2018 +0200

    contrib: ebml: fix universal Windows build
    
    (cherry picked from commit 98bdfe4b741707ab43ce8aed02ce08964c17d8b6) (rebased)
    
    rebased:
    - this branch didn't have other patches applied
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 045697c804d2b19ad4511951366f403716f3d40c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 6 07:18:11 2020 +0200

    contrib: update mpg123 to 1.26.2
    
    And remove upstreamed patches.
    
    (cherry picked from commit 877d830180df774406bc83c2350c41178d6954d9)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit a8e6a381bd81bbe6838499bc8f1b68fef663f8cb
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Wed Jul 1 13:45:29 2020 +0200

    upnp: add basic network interface discovery for iOS and tvOS

commit 5a7e1f74763afc7e556dda6e30ec84bace8c56f0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 12 07:46:58 2020 +0200

    macOS build.sh: do not detect memset_s as available
    
    It's used by newer gnutls. But gives the following error:
    
    error: 'memset_s' is only available on macOS 10.9 or newer [-Werror,-Wunguarded-availability]
       (void) memset_s (s, len, '\0', len);
              ^~~~~~~~
     /Applications/Xcode9.2.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/usr/include/string.h:145:9: note: 'memset_s' has been marked as being introduced in macOS 10.9 here, but the deployment target is macOS 10.7.0

commit 46ca0178a25bd392e057193975612200b1c871b7
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 15 15:31:59 2020 +0200

    contrib: gnutls: fix 3.6 compilation with an older macOS SDK
    
    Fixes this compilation error:
    system/fastopen.c:134:9: error: 'connectx' is only available on macOS 10.11 or newer [-Werror,-Wunguarded-availability]
                    ret = connectx(fd, &endpoints, SAE_ASSOCID_ANY, CONNECT_RESUME_ON_READ_WRITE | CONNECT_DATA_IDEMPOTENT, NULL, 0, NULL, NULL);
                          ^~~~~~~~
    /Applications/Xcode9.2.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/usr/include/sys/socket.h:713:5:
    note: 'connectx' has been marked as being introduced in macOS 10.11 here, but the deployment target is macOS 10.7.0
    
    In this patch __builtin_available() is assumed to be avalaible in the toolchain
    which is the case in our 3.0 and 4.0 toolchains. A cleaner patch should detect
    it in configure.ac. But we can't do autoconf changes in gnutls as it never
    works properly.
    
    The OS values match exactly the values found in
    https://opensource.apple.com/source/xnu/xnu-4570.41.2/bsd/sys/socket.h
    
    (cherry picked from commit c4a23f4cd0e5370d1b5f6f8a6a9302b35c3a8ea4)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit ef116ddbd62bd14b677b85f367c6271ac658e2e0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 19 16:02:15 2020 +0200

    contrib: gnutls: fix forbidden calls in Winstore builds
    
    Backport a UNICODE fix that was merged after the GnuTLS code freeze.
    
    Forbid call to GetHandleInformation(). fcntl never goes in that code section in
    Winstore builds. It's only used for linux random number generation.
    
    Do not allow calling SecureZeroMemory which is forbidden which is forbidden
    and not available as an inline function in some cases.
    
    (cherry picked from commit a4841494fd974ec2c6208bc77f0f0c90dc5aebaf)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 525e60881cfdc816be0a5ca7b9e494aab7f3e23c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 28 09:29:48 2020 +0200

    contrib: gnutls: update to 3.6.14
    
    ecc_scalar_random is public in the nettle they embed, but the symbol is not
    mangled in the original nettle package, so it's not mangled here either. It
    leads to the nettle symbol behind defined twice.
    
    The bug is actually in nettle, not the script that imports nettle in gnutls.
    
    (cherry picked from commit 1685914d44df5039cc90c67310356eb339ac11e9)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit f02dc5029c166f1edab87efb165147e1e97f3468
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 28 09:30:59 2020 +0200

    contrib: gnutls: don't build tools
    
    We only want the static library
    
    (cherry picked from commit 2ddaceb6778ef061daa9a64b620e2c68cb319acc)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 852b6a35a0f8c2379b862459d743f8ce0c2523f5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 28 09:30:45 2020 +0200

    contrib: gnutls: add hogweed/nettle in pkg-config via sed
    
    So that patches changing the same file still apply regardless of this change.
    And we do it after all patches are done.
    
    (cherry picked from commit f442ecf5afd8b71125b074bacb8379f6c51db40e)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 45040f740a8fe23dfb5fce4754ace41c43b18166
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Mon May 23 09:18:17 2016 +0200

    contrib: gnutls: replace the win32 patch with sed commands
    
    It's more flexible after updates.
    
    (cherry picked from commit 3e69d9146a2c112f8b228cdcea95abd7100d465e)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 0290d2f98e07d71a35ce720466d50d1a4f8f24b2
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 19 16:41:16 2020 +0200

    contrib: gnutls: disable the dllimport forced even in static linking
    
    (cherry picked from commit 799db8c8f91e93afd601278f3f4e513d67e1cec6)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 44f527d7bb4ee6e796dc367126214582d8761aab
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Jun 20 14:24:36 2019 +0200

    contrib: gnutls: Remove Tizen specific rules
    
    (cherry picked from commit 78df0f100f6a9a39c6ddbab5486f5086135c6a06)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 57f13db6b1346c13e0e2bb7375108fca18aac766
Author: Martin Storsjö <martin@martin.st>
Date:   Wed May 22 13:06:44 2019 +0300

    contrib: gnutls: Remove one unnecessary level of ifdefs
    
    The aarch64 assembly in gnutls still needs to be disabled on windows
    in general though; the issue is that it unconditionally uses ELF
    specific directives (.type, .size, .section), so the disabling isn't
    related to any specific issue in clang, but only that gnutls' assembly
    for this architecture isn't portable.
    
    Add a comment to clarify the issue.
    
    (cherry picked from commit 38eda60a65b3d91a2da29b7b648163fe09961fd0) (rebased)
    
    rebased:
    - this branch doesn't have the NACL fixes (0d4d18e7a1158359fe9bc5fa98b919b484cfbcdc)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6ef763abfbf8d1d694deb03b2a1bad8e35171a0b
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Apr 16 14:46:39 2019 +0300

    contrib: gnutls: Update to gnutls 3.6.7.1
    
    This was a stealth release to fix packaging issues (relevant for
    building on windows) in the 3.6.7 tarball, see
    https://lists.gnupg.org/pipermail/gnutls-help/2019-April/004506.html.
    
    Remove the gnutls-winstore-ntop patch which conflicts with how
    upstream now handles the inet_pton function.
    
    (cherry picked from commit 49b4aa933b6589daadf1ddb0ca87be25f54bb226)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit afd6e19f9c43de8fce3f5dd96d3447cb5b37c2f6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Apr 14 15:46:55 2019 +0300

    contrib: gnutls: update to 3.6.7 (fixes #21951)
    
    (cherry picked from commit 0ec35e2d3b66e6d73cc81ef579bbae16935aba37)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 741dda05b96ec5df866da3d77414866e79da9f70
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 5 11:27:17 2019 +0100

    contrib: gnutls: ntop is available on Winstore builds but not via arpa/inet.h
    
    (cherry picked from commit a252d4d3f2c312a636c89806c0645c3124ebab7c)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 33d7af410b0f275496256509ff3803b071550496
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 18 10:19:53 2019 +0100

    contrib: gnutls: remove options that don't exist anymore
    
    (cherry picked from commit 86272c4428cb564fdeb5845e1d6d8060cf6a193c)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 51dbdfa6ebff39233ce75bda4197ab911d496001
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 18 10:19:24 2019 +0100

    contrib: gnutls: without-libdn2 is now without-libidn
    
    (cherry picked from commit 809ccfa5b09c46dd0dbf87f2411d87e494f2d880)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c2789408be5168d35bfc7872358cc3b189f31675
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Feb 16 12:25:50 2019 +0100

    contrib: gnutls: Drop connectx patch
    
    connectx is available since macOS 10.11 and iOS 9, so this is not
    needed anymore.
    
    Note, this cannot be backported to 3.0 branch.
    
    (cherry picked from commit dae2fff630562c5838098cb13cb6227a5ce05508) (edited)
    
    edited:
    - older gnutls patches were backported before
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 27e0d370a7aaec7a4e4c1873ef7feca5cde1e6fe
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Feb 16 00:02:24 2019 +0100

    contrib: gnutls: Drop getentropy patch for macOS
    
    getentropy is correctly annotated since the macOS 10.13 SDK (at
    least), and the gnutls check includes the correct header on macOS.
    Therefore this patch is not needed anymore.
    
    This also fixes current build failure as it avoids touching
    configure.ac now.
    
    (cherry picked from commit 58d4ea7d6274be17dd8189406f506bd7e76ef81a)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3160c818b298774319aef841591ef8c1c5f2d6f2
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 10 17:34:28 2018 +0100

    contrib: gnutls: Remove unneeded patch
    
    SIZE_MAX is in stdint.h, which is already included
    
    (cherry picked from commit 0878789f35c42a9fae823174a1d257e89a679e64)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 27897c72fe49864260ef46c2cc7295cb3eb27575
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Sun May 13 18:07:34 2018 +0200

    contrib: gnutls: don't use idn2 on Windows builds
    
    That's what the buildbot does and it's not compatible with idn2 in mingw64
    which requires detection with pkg-config
    
    (cherry picked from commit 8c5044beef808c3c6fc461e8cd2664bf18a60f70) (rebased)
    
    rebased:
    - disabling acceleration for x64 was merged differently
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 482f306a525a8d2d94482ec554040a2c9816ba69
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Feb 13 14:42:39 2019 +0100

    contrib: Bump gnutls to 3.6.6
    
    And drop upstreamed or now unrequired patches
    
    (cherry picked from commit 636aa214b7a4cf5e9b7f66a855c36dad294a73ff) (edited)
    
    edited:
    - remove vasnprintf-android-no-percent-n.patch which is merged in 3.6.6
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 8ba46a25a50a295dccc305b504f221f1161f4d52
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Feb 13 11:53:40 2019 +0100

    contrib: nettle: Bump verison to 3.4.1
    
    (cherry picked from commit f754a71f7a26ba039aeaa715a96b939c1f726bf8)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 88e3aced1e886710519ae29ee66e4daf5f6c53bc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jun 25 11:25:58 2020 +0200

    Contribs: fix dav1d issue on Android/x86
    
    (cherry picked from commit 9c7e8fd666017121331be4bb615809cf5b7b4d20)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6532618a6c4f35fbc08293f791d93cfd6cc80c8a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jun 23 16:25:36 2020 +0200

    coreaudio: fix possible freeze after pause, seek, unpause
    
    After a flush, i_first_render_host_time is reset to 0 and i_render_host_time
    should not be touched since the playback has not started again yet. This caused
    the i_first_render_host_time to be never setup.
    
    Regression from f507868d1c7cf616e7bfeb4699429f0cee9e574b
    Fixes #24876
    
    (cherry picked from commit 1530679a64f82c8e4fc0ee485ae8b784a203f3f7)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit bb10dd0f382cbf7fe1b56f1ae642ef8107c31fbe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 24 14:39:36 2020 +0200

    Contrib: update dav1d to 0.7.1
    
    (cherry picked from commit 52ff049d817d1991f1ab8b988ac8bf59b71f8722)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 30b3534ff0a326b61c1b75439f72e2982bb8ba23
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Thu Jun 18 11:39:53 2020 +0200

    mkv: ebml_dispatcher: fix ebmlid check
    
    std::lower_bound doesn't return an iterator to the std::end value if the
    element is not found, but like its name says, to the first value that is
    greater or equal than the value wanted, meaning it could be the next one
    if no processor has been bound to the ebml id sent to this dispatcher.
    
    Instead of asserting, it should really be checking whether the ebmlid
    matches.
    
    Regression from c764461180d70d1c9fa81e72cd7ad9d9b289eea6.
    
    (cherry picked from commit 20ed34f45803c1171c7219d72a4284fa1d0d7852)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit ad7b7283e116f507e6a5c5e501025f4ba6c75eba
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 22 11:12:34 2020 +0200

    package/win32: build.sh: allow CONFIGFLAGS values to be set outside the script
    
    This is already the case for CONTRIBFLAGS.
    
    (cherry picked from commit bd5588009ca132329602688993139acc5541a4c1)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e9a8149573679e9ad3225d1f5ae2bd46db6aeabb
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 22 08:46:29 2020 +0200

    contrib: libarchive: fix winrt patch
    
    The archive_entry_copy_bhfi blocking in the header didn't match the
    archive_entry_copy_bhfi definition blocking.
    
    We only notice if on older toolchains which do not allow
    BY_HANDLE_FILE_INFORMATION, it was only allowed in SDK 18362 and in mingw-w64 8
    
    (cherry picked from commit da47d19511863119e31e86dd91b37b55d0a809ca)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3124e5aecca76c59086dc12dff4f921c9e1e553a
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Feb 27 13:16:10 2020 +0200

    contrib: qt: Backport more patches to fix building with even newer versions of Clang
    
    The master branch has moved on to newer Qt versions that don't
    need these.

commit f3a9d05fd6123c5c4e4423deea1d027b12eb8aa1
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Feb 28 09:30:19 2018 +0200

    win32: Don't pass the built dll to dlltool when creating the import library
    
    The def file generated by the linker is enough input to dlltool;
    this doesn't change the output import library at all.
    
    This fixes building with llvm-dlltool, which doesn't support
    providing object files/dlls, it only supports reading from a def file
    (which these commands already did anyway).
    
    (cherry picked from commit 86d68171643e9c36ef16d4d0e22dcd947a96ad9d)

commit 7fe9c1fce1e866c1c07864fa34d2771766b89d78
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Apr 10 22:53:16 2018 +0300

    direct3d9: Disable OpenGL interop if OpenGL is unavailable
    
    On Windows on ARM/ARM64, OpenGL isn't available. (For emulation
    of i386 binaries, there is an opengl32.dll, but it's only the
    fallback software renderer, nothing else. For ARM and ARM64, there
    is no opengl32.dll.)
    
    (cherry picked from commit 0d0aef05c157c0225a4a0ca1c9b2d91797616f35)

commit 19d8d73bfda2801099cca4cc01b8d22e4fb69675
Author: Martin Storsjö <martin@martin.st>
Date:   Sat Jun 29 00:15:32 2019 +0300

    simple_channel_mixer: Don't include the common AM_LDFLAGS for the arm_neon static library
    
    This avoids including module.rc.o in the helper static library when
    building for windows, avoiding a duplicate module.rc.o for the
    real simple_channel_mixer plugin.
    
    Recent lld versions error out if two resource object files are passed
    to the same link. (If GNU ld is presented with two resource object
    files, it tries to merge the resources. In this case, as both object
    files contain the same resource, they would conflict, and GNU ld would
    print an error message, but still complete the link successfully.)
    
    (cherry picked from commit 593d0ec84fde7c2b98d051e44f66b01de8a761fa)

commit 6fb84c969e465a9138f7c08c4aa680b4b9f449fa
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Sep 12 13:25:38 2018 +0300

    bin: win32: Link vlc.exe and vlc-cache-gen.exe with -static
    
    This prevents these executables from linking to a shared
    libssp-0.dll if both a static and shared version is available
    of this library.
    
    Since these refer to the dynamically linked libvlc via libvlc.la,
    it will still pick up the correct shared version of those, instead
    of refusing to link to a dynamic library (as it does for any
    library specified via -l<name>).
    
    The same use of -Wc,-static is present in a few other Makefile.am
    already.
    
    (cherry picked from commit 9edf62844f9af6b9fd645fcf16e3725fd13d814a)

commit 220e11824f37006b55f420280e23640746f255f9
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Feb 7 11:25:13 2018 +0200

    configure: Treat host_cpu = armv* as plain arm
    
    This matches a change in contrib in 99acb87cc9.
    
    (cherry picked from commit 4214cf058cfaef45fe6c568868b284447dced37b)

commit 31ade61520eb89297cac016b3f21b9a3d00971e4
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Mar 29 10:40:20 2018 +0300

    contrib: x264: Fix building for aarch64/windows after the recent x264 update
    
    The current version of x264 defaults to using gas-preprocessor and
    arasm64 for this target. Override it to use plain $(CC) instead.
    
    (cherry picked from commit 31c65810c27b492316e7a32925e599f5bea9db31)

commit be70cc11e17ddab1dddd10b739b773271c69c356
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Dec 19 11:05:47 2017 +0200

    contrib: x264: Fix building for windows on arm
    
    (cherry picked from commit 1374a33c83ead6eced5a6dc67bb860b74361dcda)
    
    edited:
    - The patch enclosed in the original commit is no longer necessary.

commit ab0a756a53995bc04c61c90a204484e759e3934e
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Dec 21 23:57:44 2017 +0200

    contribs: qt: Clean up libQt5Bootstrap.a in the build tree as well
    
    When building the Qt tools for the target architecture in cross
    compilation, the bootstrap object library is rebuilt. (In cross
    builds of Qt, the tools are only built for the build host.
    The VLC contribs build them manually for the targeted environment
    afterwards.) The tools bootstrap library wasn't removed inbetween
    though.
    
    This meant that the object files for the second round (for the
    cross target environment) were added to the bootstrap library for
    the host environment. Most object files were just replaced, but some
    few object files weren't built at all in cross builds for windows.
    This meant that after cross-building the bootstrap library for windows,
    it still contained a few object files for the native host build
    environment as well.
    
    lld-link errors out when it encounters object files in a static library
    that it can't parse (in this case, ELF files when doing a windows cross
    build).
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit a943285ad52cdfd49003aa4ee93c37ebded6bdc5)

commit 43a4455fe06fe9eb0f9f5283645c2894f57ae2de
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Dec 13 16:15:04 2017 +0200

    contrib: qt: Add patches for building with llvm-mingw
    
    All of them are backports (in Qt 5.11, everything needed for building
    with llvm-mingw is upstreamed), with annotations about where they
    come from.
    
    To actually build with llvm-mingw, one has to use the mkspec
    win32-clang-g++ instead of win32-g++.
    
    (cherry picked from commit 0a09b3b63e4afc160c441e01306a30ba977e8b45)

commit b58a89ff64c4f593d07be48a1d9e9b09f7102b03
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Apr 10 22:53:50 2018 +0300

    contrib: projectM/glew: Don't build projectM (and implicitly glew) when targeting windows on arm/aarch64
    
    OpenGL is unavailable on windows on these architectures.
    
    (cherry picked from commit 85c8fa3f7fc41e7d76eb28422dbdec58a0df00c5)

commit 3310acd499dde8b9090567f81dfc4621dcd3e5ab
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Mar 29 23:57:26 2018 +0300

    contrib: projectM: Don't force building in C++98 mode
    
    Instead patch the project to fix the error that was clang gave when
    building in C+11 mode (which clang 6 does by default):
    
    Renderer/VideoEcho.cpp:77:30: error: non-constant-expression cannot be narrowed from type 'double' to 'float' in initializer list [-Wc++11-narrowing]
      float pointsFlip[4][2] = {{-0.5*flipx, -0.5*flipy},
    
    (cherry picked from commit e2ea86d8a21d5ddf63f9263aec401f0f8556e671)

commit 75d143542065de229a20af64e129462e84e1500a
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Apr 8 14:46:33 2020 +0300

    contrib: harfbuzz: Avoid harfbuzz using 'icu-config' for finding ICU
    
    When cross compiling, we shouldn't let packages' build systems
    accidentally pick up libraries from the surrounding native environment.
    Normally this is accomplished by setting PKG_CONFIG_LIBDIR.
    Harfbuzz's configure script tries looking for ICU using the tool
    icu-config, if it isn't found with pkg-config.
    
    Set ICU_CONFIG to false, to avoid configure using and picking it up.
    
    (cherry picked from commit c2b60e813180c89e66e96d3300d0c8b2eae6db15)

commit 61bd0aff7099f57927a03243fd99d8ef1621efc8
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 28 12:09:51 2017 +0100

    contribs: gcrypt: Only turn gcrypt into a git repository
    
    (cherry picked from commit 09084b506f65952e11716c6965ad9c252dbd9eca)
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 7df7780687ca25b30d0d9f32970a73af2f48ae29
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 28 09:23:07 2017 +0100

    Contribs: fix gcrypt git init for reconf
    
    (cherry picked from commit d1fdad239e32b601931725d5ff88bd16205695ac)
    
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit fa7f03627ac8986003902ba3c1b7fbcf0b6b1ffb
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Dec 21 11:48:16 2017 +0200

    contribs: gcrypt: Make sure that a git repo is available during reconfigure
    
    Without this, when reconfiguring, BUILD_FILEVERSION will end up with
    a trailing comma with no revision number, which means that
    src/versioninfo.rc will have a syntax error on build.
    
    To reproduce/understand, download the plain gcrypt tarball;
    configure contains a line like this:
        BUILD_FILEVERSION="${BUILD_FILEVERSION}45409"
    After running configure, src/versioninfo.rc contains
    "FILEVERSION 1,7,8,45409".
    
    If running autoreconfigure with no enclosing git repo anywhere,
    the same line in configure will end up as this:
        BUILD_FILEVERSION="${BUILD_FILEVERSION}"
    After configuring, src/versioninfo.rc will now contain
    "FILEVERSION 1,7,8,", which results in syntax errors.
    
    As long as an enclosing git repo is available somewhere (if
    the surrounding vlc tree contains a .git directory), this isn't
    an issue though.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 8be62dbc7af4bb53437383d1cb01c7ef0fb36a09)

commit dc5bf44220c03e2c0156d129b4db01b23e5bc496
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 19 14:42:19 2020 +0200

    contrib: libarchive: fix Winstore builds
    
    (cherry picked from commit 81b651727e4879082c4c16f4b2771b930f0bebdb)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3a100344996e2743c3766f779e9167cc5d17b54e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 19 13:25:20 2020 +0200

    contrib: libarchive: don't force bcrypt in Winstore builds
    
    We use WINSTORECOMPAT and we shouldn't link with it
    
    (cherry picked from commit e4dc3daa9367a6759531aef9ca7f78abebd1cdfe)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit eec3cd2399be0e5362e320fe0cf47ef4900ad47e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 19 14:51:28 2020 +0200

    contrib: libarchive: use upstream patch for statvfs fix
    
    (cherry picked from commit 68a71d9129042cb07eac0372b12e67a374ee37c1)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit a38b481548daf47893b0b4b4055e918e1d137ee7
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 27 15:20:08 2020 +0200

    contrib: libarchive: Fix the winrt build fix
    
    (cherry picked from commit fcc06bcee6b83df58586a6fa08c7b0f9c7b5d963)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 53e19a7db61a61a9cf6cf6cc336046daa42aec2a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 2 15:37:54 2020 +0200

    contrib: libarchive: don't force the Windows version to target
    
    We may want to build for Win10/UWP via the command-line.
    
    (cherry picked from commit 497622119be27f2972ae7d0541a9f11ea56c1e01)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 1ca4632aa516669042c74e330f6a3a03513ab56b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 2 14:58:53 2020 +0200

    contrib: libarchive: fix winrt patches
    
    (cherry picked from commit d3b67e26cc40e787693f7353d6504a9a2b199f4f)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit f45cfad2d51a341d80a0c5637e2471f2a9d52cae
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Mar 27 16:33:33 2020 +0100

    contrib: libarchive: use the proper define for the internal mode_t
    
    (cherry picked from commit adc9535f9c2200f3a9a59def29036892db7f725e)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c32c9deb2a9ac2bce91560b57ed70a4fd87b908f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Apr 9 09:59:27 2018 +0200

    contrib: libarchive: Fix winrt build
    
    don't force compilation for Windows XP
    don't call DebugBreak() (in debug builds)
    
    (cherry picked from commit a4106108162d541bcdeda499755bce7c7344cf7a)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2bbd0ea48ffdc9f951e3f69e1c710f080eab69ff
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 5 14:49:26 2018 +0200

    contrib: libarchive: use bcrypt rather than wincrypt
    
    (cherry picked from commit a2bbb0e0caab57f25410a92473ab1333bf128d75)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2873fdba3b4cff184bb6da6592487c65f3b35c6a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Jun 4 15:17:13 2020 +0200

    contrib: gmp: don't use the cross compiler to test the build compiler
    
    To build native tools it tries to use $CC when cross-compilation is detected,
    which is most likely wrong.
    
    This patch already exists in nettle that contains a version of gmp. But it's
    not in the upstream version of gmp.
    
    (cherry picked from commit 58e68e2f2ddaadc41c9ec4998df01b3daea7edde) (rebased)
    
    rebased:
    - the masyer branch has an asm fix detection patch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3a2a1b8a11ce86c83ec3cdf59079aa6ae8afabda
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 19 11:13:48 2020 +0200

    contrib: gcrypt: clean the Winstore patches
    
    Use wincrypt/CryptAPI via winstorecompat to retain WinXP compatibility.
    
    (cherry picked from commit d401ac307acaa1705f2552506acd23065a8bfee8)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4f8e5ae7d8f70aa418c073f643f037bd3a90ccc8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 30 15:17:43 2020 +0200

    contrib: gcrypt: fix getpid usage in winstore builds
    
    (cherry picked from commit bc123afaba142bc07617a35ee31ab679a933e75a)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 8803a3d5deb0de6d3af7acadb9f98cd80f12d6a8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 5 13:29:40 2018 +0200

    contrib: gcrypt: use bcrypt rather than wincrypt
    
    (cherry picked from commit 7f2ee886713dcebb5197033b1d127a0f4c27db75)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 318ca08743fb27ddf8cd08743d412a1fe116c557
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 28 11:58:33 2020 +0200

    contrib: microdns: don't build tests and examples
    
    (cherry picked from commit ef9c90b353c71be9a15b9efc8bdb9177059236ca)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9b98b0d6e9055a316451045e8729da4304fab06c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 25 14:52:30 2020 +0200

    contrib: update mpg123 to 1.26.0
    
    Simplify the patches (that have been sent upstream and pass CI)
    
    Set _FILE_OFFSET_BITS as it is set in VLC as the mpg123 change ABI if it's
    defined or not...
    
    (cherry picked from commit 38ed27f02fa01ec83f6229340b40523e7591102f)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 64e8bf5feba5b1ae95bcf3e89f2c42aa56ee7450
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 12 14:50:45 2019 +0100

    contrib: mpg123: don't detect unicode with PathCombineW on Winstore
    
    It's not available and won't be used. But the build fails if it's not detected.
    
    (cherry picked from commit 39516a6d7e56d35f5d6f501f5e996b5b9c817de6)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6a0717c63008c6e67792232d34e98fbde72819a6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 30 17:05:18 2020 +0200

    contrib: lua: respect LDFLAGS under mingw
    
    (cherry picked from commit abb722a96574be1917397d5b3df7e5e3958c92b1)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 589419f8c5d66b2c4bfd9af3fdfd5ee6660a8d7d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Apr 3 13:10:31 2020 +0200

    contrib: harfbuzz: fix winstore API detection in mingw64
    
    WINAPI_FAMILY_PC_APP and WINAPI_FAMILY_PHONE_APP are not available but it's OK.
    
    (cherry picked from commit 2146608cc60b74dd7e61c70c2bc67dc43bcf8c91)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9f8664e2fcd66bc7f6c46384706ba96952768cbc
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 18 14:19:24 2020 +0200

    contrib: harfbuzz: turn local patches into patches against the harfbuzz git
    
    It's easier to apply & rebase patches when updating to a newer version.
    
    (cherry picked from commit d7c824529ceab78909e8239cc422b756ceb87710)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6957101409609c9fddbdeb749f7b5cce1c48ab24
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Apr 8 13:35:27 2020 +0200

    contrib: harfbuzz: Update the bundled ax_pthread.m4
    
    This fixes building for Windows with clang, where the bundled
    version of ax_pthread.m4 assumes that Clang doesn't need the
    pthread option in LDFLAGS (assuming that a system that Clang
    supports doesn't need an external library for pthreads).
    
    (cherry picked from commit c36e0e7076118549871822f74dfcff9000d2008d)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 5d75befbd3f605bc2f09bd336f10c9b096ecdeaa
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 18 14:12:27 2020 +0200

    contrib: taglib: use SetFilePointerEx instead of SetFilePointer
    
    It's available on more Win10 versions with UCRT builds and provides the same
    features.
    
    (cherry picked from commit 9b2a81babe92ee718dd8e0a008e1b2ed1188ab17)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3d7301f605e9c8cc097dcc3cb7c73ad6b39cd1de
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Apr 28 12:49:27 2020 +0200

    contrib: taglib: only use APIs in winstore builds
    
    - CreateFile2 where CreateFileW is used
    - GetFileInformationByHandleEx instead of GetFileSize (which is what winstore
      compat did)
    
    (cherry picked from commit 1730fe70e72ff41c6ca3cc78befc30142db8ec4f)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit ef08d4a3dafd8c52747ff19be2a71058f6aa0c3d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Mar 18 16:06:11 2019 +0100

    contrib: taglib: Allow user defined resolvers to be used with IOStream
    
    (cherry picked from commit 3bc64db0d94c3262ab75a66a9d60c9a36876808a)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e25cb948e663b8cc472602d1ebd89cb58c885a17
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Apr 3 13:26:27 2020 +0200

    contrib: flac: update the winstore fixes for 1.3.3
    
    (cherry picked from commit 079eb01b962620baaa8df78efe4a01ec086f9219)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit f34e92cf65d754187031d56522514079065a80ea
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Sep 4 11:01:24 2019 +0300

    contrib: flac: Backport an upstream patch to flac 1.3.3, fixing mingw clang builds
    
    (cherry picked from commit add9214fe78e54bd5fb4b876e8d68395fe690f7a)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 39b1a0b401ccba7ba440b4dcc95bd6f340a5673d
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Aug 26 11:30:35 2019 -0400

    contrib: update to flac 1.3.3
    
    (cherry picked from commit 9ebdec7ea94b4cf6fb2dbad3228da1363cda1e21)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit ced087acb1c7b213fe8db25f2bead28b6707e738
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon May 20 22:44:34 2019 +0300

    contrib: vorbis: use HAVE_CLANG
    
    (cherry picked from commit af5ddf9b03bb4583d5a5fe202663a164a04bdea0)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit a66aabebc2b05a64af41655280bc72c661089b39
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 29 12:36:13 2020 +0200

    contrib: mfx: backport upstream patch to fix UWP detection
    
    We don't use a custom toolchain anymore so we need to detect UWP properly.
    
    (cherry picked from commit 09213a86b62b337bca3534ef43fa54a1f54782de)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit edc5b6c45d08abb4f826c3c068240ebcef160e20
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 28 13:52:58 2020 +0200

    contrib: mfx: update hash to integrate the merged patch
    
    (cherry picked from commit 3d9f42dce27ced0abbf955a0cb8baabcc9723229)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 7110dec226bcff9287d08d1f11d75c641fb5cf76
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 26 15:42:07 2020 +0200

    contrib: mfx: fix arm* blocking
    
    (cherry picked from commit e687c0a9ef99616a3f3bc8b07ce060184a5ad115)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 198808837ff06ae1aa2eb7541cdf654c16a914cf
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 20 15:24:49 2020 +0200

    contrib: mfx: disable windows build for ARM targets
    
    (cherry picked from commit 41e474a1b81bc50bb295d7eacc2fa851ede69d66)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 415b10406921ecb157ca8ee6df2b6bb799a618c4
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Mar 21 09:12:03 2019 +0100

    contrib: mfx: fix compilation with clang
    
    (cherry picked from commit 2c4b1e008f02b63ab2b290890d9a83fac1b3632e)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6caaedc2b1a63531af5010a7be9fddbf86c2b0f0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Mar 6 13:08:06 2019 +0100

    contrib: mfx: fix building for WinStore
    
    (cherry picked from commit 7ef64712d411c7d621e92e9753224f8b9c1f7086)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 7c56c6be6711d002cef8d162758707fff08b9ef7
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 5 12:06:09 2019 +0100

    contrib: shout: fix winstore build
    
    addrinfo is available in ws2tcpip.h
    
    (cherry picked from commit 886920538b85cc19474289c122aba0f3883d5eb6)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 85cc0f13c836da9dc4bc3d2e485e02401119aa6f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Mar 29 15:13:55 2018 +0200

    contrib: shout: socklen_t can be found in ws2tcpip.h on Windows
    
    and make sure it's found on Windows Store builds as well
    
    (cherry picked from commit be5340296c2246bd8bbf4cf2d40cf8d3c42043db) (rebased)
    
    rebased:
    - some shout patches were backported before
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 69deee1e46f3353cb93a4f5f91fa374260d81226
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Mar 29 15:06:53 2018 +0200

    contrib: shout: timeval is defined in winsock2.h on Windows
    
    (cherry picked from commit 651e85409d9dc44c35e8a13552fc17675f4c9bf5) (rebased)
    
    rebased:
    - some shout patches were backported before
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit b277d9e909314d303355cf9aa67a14e7892db3ee
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Mar 29 15:00:53 2018 +0200

    contrib: shout: respect the availability of strings.h everywhere
    
    (cherry picked from commit 3fc9ce383565b12a3d1e372f062576510b741779) (rebased)
    
    rebased:
    - some shout patches were backported before
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 0cc6f6e67066f33da9ba1dbf2318ca1518ba1820
Author: Martin Storsjö <martin@martin.st>
Date:   Sun Feb 25 00:02:47 2018 +0200

    contrib: upnp: Improve and generalize a patch for handling inet_pton
    
    libupnp locally overrides the version of _WIN32_WINNT via
    configure.ac and autoconfig.h (which is disabled by a vlc contrib
    patch when targeting winrt though).
    
    Make sure that autoconfig.h is included everywhere necessary, to
    show/hide the relevant parts of winsock headers depending on the
    chosen version of _WIN32_WINNT (either default or overridden).
    
    This avoids including the system declarations of these functions if
    the default target is >= vista but the build tries to override it
    to a lower version.
    
    On the other hand, if the override of _WIN32_WINNT is removed (as
    when targeting winrt) and the default is >= vista, skip the local
    version of inet_pton.
    
    This should have the same effect as the previous patch, but
    evaluated by the preprocessor instead of hardcoding commenting out
    of certain source files.
    
    (cherry picked from commit fa05e80c6df9d307329ef1d125e4e671c64510ee)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 1436ac0de104af7664d7c0769cb0015a39164734
Author: Martin Storsjö <martin@martin.st>
Date:   Sat Feb 24 00:14:13 2018 +0200

    contrib: goom: Fix building for i386 with clang
    
    This is based on a patch from gst-plugins-good (which bundles a copy
    of the goom sources), based on a patch from FreeBSD ports.
    
    (cherry picked from commit 8743195a1a6b58efb79eeac74d375fb2ff414ce7)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3781ffd307f5160b4b6f454f9b1412e4c4ef0288
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Dec 21 23:34:29 2017 +0200

    contribs: glew: Simplify/improve the win32 patch, fix building with lld
    
    The previous version of win32.patch left things in a bit more broken state
    than necessary.
    
    The previous version of the patch removed LD=gcc and removed a number of
    flags, making the build trying to build a DLL (but without the option
    -shared), actually producing an EXE. (The linked DLLs are later
    actually removed by the contribs build system.) Instead of removing LD=gcc,
    change it into LD=$(CC) which is more what glew originally intended, and
    keep the flags for linking shared libraries (but remove the -soname option
    which isn't supported by neither GNU ld nor lld).
    
    This fixes building in setups where $(LD) points to lld.
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 41b5dca1f870aa1fbc32703daf875c35aa979fd9)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 5a1d22500499b75b8325acf3a0b87305c6f67eb0
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Dec 14 09:17:39 2017 +0200

    contrib: projectM: Don't forcibly add -fPIC when targeting windows
    
    This fixes compilation with clang.
    
    (cherry picked from commit bfc7b3493e7651401625d873b9d05d050fc9c71b)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2558d525122d147bd7702b3b67e96612a6a9956a
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Oct 22 11:46:37 2019 +0200

    contrib: use HOST for prebuilt folder name
    
    This is what the contrib system expects when unpacking the prebuilt
    again as it has no way to know the PREFIX that was used when the
    prebuilt package was created.
    
    (cherry picked from commit f9cb16381ea2783ee456e536e66e338af81b6de2)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d2b7d089f3ec518d49a02344b030e3dbb832953a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 17 09:04:27 2019 +0200

    contrib: remove the contrib folder before unpacking the prebuilt
    
    In case it's the same folder we don't want to remove it after unpacking.
    
    (cherry picked from commit 6061663719f53fbaf8e8885195de83942af60395)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 416ba0eca6567e326c0ebd03bd1374b47cc26695
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 15 14:35:52 2018 +0200

    compat: provide a win32 specific version of timespec_get
    
    On mingw64 clock_gettime() is defined in winpthread which we don't want to use.
    
    This implementation is based on the winpthread internal processing.
    
    (cherry picked from commit f0a7bc050fd5ff9f06502333703ce19bff2997a5)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit b5dd37dd222a9ab5b12308c79e0f34cf72382d8a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Apr 28 11:05:19 2020 +0200

    win32: use CreateThread instead of _beginthreadex in winstore builds
    
    _beginthreadex is forbidden. We already used CreateThread in such builds via
    winstorecompat.
    
    Modify the code to avoid casting when not needed.
    
    (cherry picked from commit f9bfd84b2eda703e8cbc41ef1543de9b924314fa) (rebased)
    
    rebased:
    - vlc_control_cancel has different parameters in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 83d8e7efaa4f7dc23b07c47c59431e1f6df57da5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 9 11:55:16 2020 +0200

    update: do not launch the downloaded exe in Winstore builds
    
    The API is forbidden.
    
    It could be done with this winrt API:
    https://docs.microsoft.com/en-us/windows/uwp/launch-resume/launch-the-default-app-for-a-file
    
    (cherry picked from commit 0bb6e050d43bc862a3cdda908ac57e237598be03) (rebased)
    
    rebased:
    - this branch uses p_udt->obj.libvlc for libvlc_Quit()
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6b54133e24a4c24e9eb94f6c6015388cfc43b170
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 30 07:08:49 2020 +0200

    modules: remove unneeded signal.h include
    
    (cherry picked from commit 4d2df8f8791e2fbe03ee8a4306fcfe64570d3d64) (edited)
    
    edited:
    - the rc module is now called oldrc in the master branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit fb59b22084917af874ecdab2a38b65996711699f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 30 10:53:27 2020 +0200

    configure: check if if_nametoindex is available on Windows
    
    It may link with iphlpapi but be forbidden in UWP.
    
    This test relies on the fact that -Werror-implicit-function-declaration works
    in the compiler. And that's why it's done after it's enabled.
    
    It's only used for the --miface option to set the preferred multicast interface.
    
    (cherry picked from commit 424e8991d357e948627bd8ce8872ce7e8a5de6a7) (edited)
    
    edited:
    - if_nametoindex was already detected, so just moved the code after the
     -Werror-implicit-function-declaration test
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e55fba35b4e8a66d0f8d4304bb7111dd4ea4586d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 5 10:46:56 2020 +0200

    configure: link with synchronization library when building for win8+
    
    That's what should be used when calling WaitOnAddress.
    It's not part of the kernel32.dll anymore.
    
    https://docs.microsoft.com/en-us/windows/win32/api/synchapi/nf-synchapi-waitonaddress
    
    (cherry picked from commit 6cf8a7f8996b3684558bbac9177d09bedd912f91) (rebased)
    
    rebased:
    - the default windows version in this branch is XP, not Windows7
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit f4a1f99eaefadd7c7770e1af1459c0ffd45aaf85
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 18 11:19:35 2020 +0200

    contrib: only enable PDB for Clang builds for x86 and x64 targets
    
    It's not supported for other targets
    
    (cherry picked from commit 2e1b1609ca75a2b401b2136100b521db9277cade) (rebased)
    
    rebased:
    - the gcodeview section is located elsewhere in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d5531cfcacf01858e0a051e96594fa96f142df58
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Wed Oct 9 23:35:09 2019 +0200

    contribs: bootstrap: allow config.mak override file
    
    The file is optional but is still used by ports and needed to avoid
    using global environment configuration variables in build scripts.
    
    (cherry picked from commit 9234532d61ba5df14b7fd8423fc55e8d3a6630ca)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 0facb304f20a7c6374cecf4ebcccaa9d2899d8b1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jul 2 11:08:24 2019 +0200

    contrib: bootstrap: Use python3
    
    (cherry picked from commit 3b17f4734c1c3e005f071d0dee879c735919cba6)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 93f5b124fac3dacd3cea8c58f33b2e58e39d2638
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Jul 1 15:52:18 2019 +0200

    contrib: fix missing escape for quotes
    
    (cherry picked from commit 7ec8b9fa43e2c208316071ad68e3bfa638b6bbae)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit b2d74a37fcb73e8321159b2f30149cd803e8881a
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jun 19 11:34:48 2019 +0200

    contrib: Remove duplicated flags in CMake toolchain file
    
    The EXTRA_* flags are already added to CFLAGS and CXXFLAGS before,
    so adding them again here would cause duplicated flags.
    
    (cherry picked from commit bddf26b2d32a04d887925376d00d5919cd351901)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 7f5b215826a31013b61dbe35154cf5e1c2de1a48
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 17 09:08:11 2019 +0200

    contrib: allow building contribs out of the source tree
    
    The resulting contrib can be used via --with-contrib in the configure script.
    
    The local Makefile to build contribs is now specific to the build folder.
    
    (cherry picked from commit 3e8c5e332882d1fed30e24a4dcc1747383e75b0e)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit bcb03de749583a0d104d24b22f1e6b8a55db0a2c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jun 5 22:46:47 2019 +0200

    contrib/bootstrap: Remove redundant HAVE_WIN64 check
    
    The amd64 case is handled by get-arch.sh and returned as x86_64,
    and for x86_64 there is a check in the main.mak that sets HAVE_WIN64
    if the arch is x86_64 and building for Windows.
    
    (cherry picked from commit 0510d4971de78cf1c75b7eb3e55f1bc5d41f9ff7)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 62f68754de6e116c4b8c4fb2c1fbddf402b118da
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jun 5 21:38:43 2019 +0200

    contrib/bootstrap: Replace echo -n with printf
    
    (cherry picked from commit 4453a209cf2b7c27dfe37996dc2d307faa53a19f)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit f461074b60ffd9b94abb63546e0e800fcca4de89
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jun 5 13:10:28 2019 +0200

    contrib/bootstrap: Use add_make instead of echo redirect
    
    (cherry picked from commit eefb33d4b4a86e4a359b9f6ac6f1667cf7eb45bf)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 5daf1a0437bda3cca97f8888429b4c696dea2c0b
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Wed May 22 12:44:30 2019 +0300

    contrib: make HAVE_CLANG a global define
    
    (cherry picked from commit 279768570763f8c0d8c3dfb3c4cc94f0fba09388) (rebased)
    
    rebased:
    - this branch didn't have winstorecompat (8a7939228feef676cfafd5cd45d2fea9c4bb941f)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 65e5ba079b70746b793bd43863697c35f4d0f768
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 21 11:40:58 2019 +0200

    contrib: build above the target directory
    
    This is how it was done before 282c1827126668442ece5819ac91de4755876b04
    
    (cherry picked from commit 7f1c49355128af0549388d56bbe8f858df74b774)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c6aabad24dea295caca2f74a69bee40f4141dc6c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 21 09:11:10 2019 +0200

    contrib: fix pkg_static not working with absolute pathes
    
    The SRC folder being relative to top contrib directory when the build starts,
    if we move to other directories we need to compensate for this change.
    
    TOPSRC_BUILT is introduced to match the contrib dir from a contrib target
    folder. It will work for relative pathes and absolute pathes (where it will be
    the same a TOPSRC).
    
    pkg_static_built should be used when patching pkg-config files during the build
    phase.
    
    (cherry picked from commit c17e4583be3080ec108aee4510c01cdb99c89c21)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 0172668ae7d7f319fd74bb149980225329b0d30a
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon May 20 19:34:42 2019 +0300

    contrib: fixed pkg-static and remove direct invocations
    
    (cherry picked from commit 58a0319e7283b5e1d8c4918593ce6e01484f6746) (rebased)
    
    rebased:
    - the master branch removed pthreadGC2 and the related patches before this patch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit f2c47e470aa885e94eda6b20f6170af3ecb01e2e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Mar 15 13:44:27 2019 +0100

    contrib: add an option to generate PDB information
    
    (cherry picked from commit b606962587b2ba7d11380ec1fc51de278aea9eab) (rebased)
    
    rebased:
    - the optimization flags are located elsewhere in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c15ee010d49571debb0e6e6362316accb9a14a97
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Mar 6 08:42:58 2019 +0100

    contrib: always set a CMAKE_SYSTEM_NAME when building for Windows
    
    (cherry picked from commit 1a58bd09f1392ae128b538620172c78a604b91fb) (rebased)
    
    rebased:
    - this branch already had RelWithDebInfo and the CXXFLAGS fix
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c945eff190dfb9a35aa47cade0d74e7166d7419c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 5 16:48:15 2019 +0100

    contrib: don't build with .lib suffix on Windows with CMake
    
    (cherry picked from commit 4613b5a1c187b1946177b0e6babcec352c61b656) (rebased)
    
    rebased:
    - this branch already had Meson handling in the file
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 430ed6c1e11adbf59642f657e6a726b2cd7de3e1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 5 09:39:09 2019 +0100

    contrib: use a variable to get the extra tools path
    
    The VLC_TOOLS variable can also be set in the environment in case the tools are
    found elsewhere.
    
    (cherry picked from commit 8a483e84c9a7b9107f1fdca38c1dcbf404e43916) (edited)
    
    edited:
    - this branch did not have an equivalent of $(VLC_TOOLS)/share/aclocal in ACLOCAL_AMFLAGS
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 42c145b66a0692530ec66b1e284fcbe2cd5a8e65
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 5 09:46:57 2019 +0100

    contrib: merge config.mak into the local build Makefile
    
    Editing main.mak requires a bootstrap call on Windows because ln -s makes a
    hard copy of the file. With a local Makefile we can make changes and they are
    used right away as on other platforms.
    
    (cherry picked from commit 282c1827126668442ece5819ac91de4755876b04)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 44eb6444f42218c683a02d1f983d6757a8c7d357
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 5 10:23:37 2019 +0100

    contrib: check the git hash regardless of the path used for the hash
    
    (cherry picked from commit 96b58ec2e5615bf642107903f85e2593fba49713)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit a2802c79307ae9b4a2985d01d07cfc5500d0f79b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 5 10:55:40 2019 +0100

    contrib: call pkg-static via the SRC variable
    
    (cherry picked from commit b63ac06b0eaac200462fd4c6d94c760a56a71895) (rebased)
    
    rebased:
    - AOM/VPX have the pthreadGC2 patches not found in master anymore
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6a61c49f399661303106c82e60dba363c0f64e55
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 5 09:37:00 2019 +0100

    contrib: use PREFIX instead of TOPDST+HOST
    
    (cherry picked from commit 030c52254b4a99b2342e2046d01c7cab6fd664a8)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 5e7c7ab3804c9e546b92c4f80f2244a490d53ce4
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Mar 4 13:17:51 2019 +0100

    contrib: only set the CMAKE_SYSTEM_NAME when building with MSVC
    
    (cherry picked from commit 828a65f3a1193d0e2e492c4139db5314b90a3b56)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c9b72a16a618a451e411cbb108b733dfdfc939c8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Feb 15 16:15:49 2019 +0100

    contrib: fix the CMake cross compilation path in msys2
    
    CMake doesn't recognize the msys pathes on Windows (even though it's build from
    contribs).
    
    (cherry picked from commit 82f242fee378fb96f15c54de77340afdc19dd557)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4dd0ca8d1e161b840268507923d404c1b8ad7c9a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jan 28 15:27:32 2019 +0100

    contrib: don't build debug Cmake targets with a 'd' suffix by default
    
    (cherry picked from commit dfd0af80346d6f43f079f529feeeb1813edf94a5) (rebased)
    
    rebased:
    - meson is already in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit bebb2dc5f9546caccebd12fbe50257dcfe73e586
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Feb 15 11:12:04 2019 +0100

    contrib: use the WINDRES variable to set the CMake cross compilation one
    
    On msys2/windows it's necessary to add the .exe, so it's done in the environment
    
    (cherry picked from commit a360d026e36d06ae8583fb32fb116fa15be49cd7)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit dfccf268a9742c14701d7ad4eab3aa5119447cda
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Nov 27 09:36:00 2018 +0100

    contrib: set the AR variable explicitly in CMake
    
    It doesn't inherit it properly in MSys2 (at least) and fails to build.
    
    It shouldn't cause any problems on system where it already works.
    
    (cherry picked from commit 3c54c93f14a74ece6747e6a98d5d4aa6f2d46196)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4d6e4922290513eae620dd7089969cea25e9f46c
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Oct 10 13:12:10 2018 +0300

    contrib: Treat windows-gnu as an alias for mingw32
    
    LLVM internally normalizes the "mingw32" part of a triplet into
    windows-gnu, and when detecting the toolchain with $CC -dumpmachine,
    this wouldn't match the rest of contribs' rules for detecting a
    supported windows environment.
    
    This allows building contribs with llvm-mingw as the native compiler.
    
    (cherry picked from commit f864e591455f44260836828d8236fa3363e0e2a4)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6c0b12dae8d6bb51ef744a7e0762db87b87512ae
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Oct 2 11:24:12 2018 +0200

    contrib: don't use ln -s on Windows
    
    It will fail.
    
    "ln -s" is usually replaced by "cp -R" with autotools
    
    (cherry picked from commit 2ee53944ab269d4c5e6714019c007434fafee778) (rebased)
    
    rebased:
    - qt had different patches when this was merged in the main branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit dc642dc17de46702fa75a9f39365671e213134ce
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Wed May 18 13:24:03 2016 +0200

    contrib: using make -C should spread the threads from "make -j" properly
    
    According to https://www.gnu.org/software/make/manual/html_node/Options_002fRecursion.html#index-recursion_002c-and-_002dj
    "the parent make and all the sub-makes will communicate to ensure that there
    are only ‘N’ jobs running at the same time between them all."
    
    (cherry picked from commit 86cc5a15be3bc9480cb4b87d08e1c0af4d0f8fe9) (rebased)
    
    rebased:
    - aom has the proper pthreadGC2 in this branch
    - flac ece14f9ee78760a8176467978d0a09a45f9a9a2f was backported before
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4ea7d30d8994dbab6cc2f0fe84654e5178081d5f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Mar 30 14:02:47 2020 +0200

    npapi: pass the PKG_CONFIG we selected
    
    It may not be TRIPLET-pkg-config in some cases.
    
    (cherry picked from commit 44fbc53d796b04e178be209d0018a75c3dbe8a4d) (rebased)
    
    rebased:
    - this branch has npapi instead of activex
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit fb11dca7b53c784a4367d3609702761ae4d581d8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Mar 30 16:48:42 2020 +0200

    npapi: pass the enable PDB flag to the NPAPI build
    
    (cherry picked from commit 188ce8f1681fa96d63d9a08943fbf9d9fa424d3a)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2b5387ecd072681b05bffb9957ee2e3e27e2d85a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 3 14:28:51 2019 +0200

    vlc: allow forcing the tools to use when running bootstrap
    
    On Windows it's possible to build VLC in either msys2 or WSL. But the tools are
    shared and incompatible. Only one at a time is currently possible. This will
    allow switching back and forth without rebuilding tools all the time
    (especially since they are detected as built).
    
    (cherry picked from commit 85d465704dbff314884c9e13f3d7d90e85af4c9a)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 837088118599de4dc5c7f71f9a07de7b5f71bdfe
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Feb 22 15:40:03 2019 +0100

    configure: add an option to generate PDB files when building
    
    This will only be enabled when building windows targets and will only work when
    compiling with Clang.
    
    (cherry picked from commit cb3e3498d8269e21490dc4db5a98b89523a0b00e) (rebased)
    
    rebased:
    - the code around the added AM_CONDITIONAL is different in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2ce3ca11f070a3095f63149365af72b59f70d836
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 21:31:14 2018 +0200

    vlc_fixup: pollfd.(r)events is short int
    
    As per POSIX (and Winsock).
    
    (cherry picked from commit 6c172726cb0146864edbb7703e3eb2979afea87c)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 718556c44bc39993589c0a79404726073b9a0086
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 9 12:35:05 2020 +0200

    freetype: fix linking for Winstore builds
    
    -luuid is needed as we use IID_IUnknown
    
    Add missing $(AM_LIBADD) messing up the order of libraries
    
    (cherry picked from commit dfa61b58d5cf74ef4c4e3eb975a007121c9c118a)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e7348f510a356e6339442eba4c731fd92879e89e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Jun 14 16:43:01 2018 +0200

    freetype: use FONTCONFIG_LIBS
    
    (cherry picked from commit e91b312740ef6cdbbbd00b6958b236d641007c58)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 5587d9a06f13b211232bc55b4f69b949c7d7ed31
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun May 27 12:33:36 2018 +0200

    freetype: Append _LDFLAGS to _LINK for all platforms
    
    AM_LDFLAGS needs to be removed as this is already added to the
    standard LINK flags (and adding those flags twice is not allowed).
    
    (cherry picked from commit ed600b3efd6b4642f0e0d364f5cbc0cc7b4b1d45)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 614f172e1c6386681aae2262767c4d1c78b39dc5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 29 11:22:55 2020 +0200

    win32: use windowsappcompat instead of winstorecompat
    
    This is the proper counterpart to windowsapp.
    
    Now that we have a proper Docker image to build it:
    registry.videolan.org/vlc-debian-llvm-uwp:20200603145315
    
    A recent mingw64 8 (unreleased) is needed to make use of this. It's available
    in our Docker images and in msys2 (although it's using msvcrt so it will
    probably fail to link properly)
    
    The forced -lwindowsappcompat is added like the other LDFLAGS in configure.ac.
    
    (cherry picked from commit 6e8effb678a6a65325235a7336636aed517d4333) (edited)
    
    edited:
    - this branch doesn't set winstorecompat in configure.ac but relies on the toolchain
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e70c6560e633b623366e3576597d734832831606
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 8 13:46:44 2020 +0200

    package/win32: build.sh: only force win10 API's for UWP builds
    
    The other UCRT builds might work in win7.
    
    (cherry picked from commit 8f883369d45282a97a797d4d8930f51a65d7edb2)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6e2da1462e2206e3f4360f97b6ed33bf04b7d61e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jun 3 13:36:15 2020 +0200

    package/win32: build.sh: fix building ucrt builds with non-msys2 gcc
    
    -mcrtdll is a msys2 only option. At least it's not in the regular gcc images
    from our Dockers.
    
    (cherry picked from commit 1f06e44fe39287e63091d4a95dbd4b4ef5c5874e)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 322be7d1498cef9f8d1c495142738d9d5dea0372
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jun 3 11:04:07 2020 +0200

    package/win32: build.sh: do not link with ucrtbase
    
    It's not allowed to link directly to the library (even though it exists).
    
    For UCRT builds not packaged by MSVC vcruntime140* will not be found. It's not
    a problem for UWP/UWP apps that are always built with MSVC.
    
    It's a problem for UCRT builds that we might want to do in the future without
    MSVC at all. We will need a replacement library for the calls we use. Some are
    currently linked with a api-ms-win-crt-private DLL.
    
    (cherry picked from commit 06988f465caaea51763d2c4d0109a6fa8973b093)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e4604363bbaf958ad168a022164578eab90b5426
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 2 11:04:19 2020 +0200

    package/win32: build.sh: Force Win7 and MSVCRT when not using UCRT
    
    That's the minimum we support in VLC 4.0.
    
    The CRT version to set for UCRT is 0xE00.
    
    (cherry picked from commit ab41ba662fb84c6713dd8f45383fd868c1e5697c)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit aa6ead67a7ecb69bdfcd325a7ec3ba6f3ee79f76
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 18 15:16:14 2020 +0200

    package/win32: build.sh: add options to do build for Winstore
    
    This is mostly a port of this build script to our build script:
    https://code.videolan.org/videolan/vlc-winrt/-/blob/master/libvlc/compile.sh
    
    The Winstore build tweaks are only enabled with the Universal Runtime flag.
    
    There are less disabled modules.
    
    (cherry picked from commit e94843611e4d609074cd5a4c633f1d6f6be9f5f8) (rebased)
    
    rebased:
    - this branch has --enable-realrtsp in the configure options
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit cffab4d8030a98a9149c39769047e7b7727ca189
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 18 14:47:08 2020 +0200

    package/win32: build.sh: add options to do build with Universal Runtime
    
    (cherry picked from commit 04b91ecc79ea2c935282d1cd3f144c1e0fc63785) (rebased)
    
    rebased:
    - the make call for tools in placed elsewhere in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 8fca6982817119b011b275b999e89e264517880b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 18 14:43:35 2020 +0200

    package/win32: build.sh: add an option to do build without GUI
    
    (cherry picked from commit 196906889d13bd4a8a7516d1d24e1b3f10bc6eb8)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 306c5f5602a3ce8bb356fc39c79a41a022cafac2
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 19 13:54:57 2020 +0200

    package/win32: build.sh: actually use $TRIPLET-pkg-config when it works
    
    Fixes 6746f5787356c189323228a37bd52b8e6406cfab
    
    (cherry picked from commit edf99535060e4ade46ce5ac18a8ec99b70f60233)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e27d9b74f8b0f2e1bfa743a52f36642cbee482e4
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Apr 3 11:10:02 2020 +0200

    package/win32: build.sh: add an armv7 build target
    
    At least LLVM-MINGW64 can handle it.
    
    (cherry picked from commit beb2998d6f3ea2155121b8e07c3d698551f6f310)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 5aafe10a0b204fecec1f07e9819f102e8d3b9cbf
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Apr 24 10:33:53 2020 +0200

    tools: Require meson 0.54
    
    Starting from this version, we can provide both pkg_config_path and
    pkg_config_libdir as meson properties.
    Otherwise, users of meson >= 0.54 will not be able to use pkg-config
    while users of older version will, until they update.
    
    (cherry picked from commit 6471760af87b0a0bd96b0dc8dfc861ca77c0d8e2)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit b223467ae89e7e4838a2b4a4977a5b47075f3e0e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Mar 30 08:33:30 2020 +0200

    tools: update meson to 0.54.0
    
    And remove the patch that was merged upstream.
    
    (cherry picked from commit 104f07b25ae43ae9c22ca42dacb08b5b1a4726ee) (rebased)
    
    rebased:
    - the nasm SHA512 is not placed in the same location in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c16f00a01209f14ce47c5a4105c3ce9d3eb56d57
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Mar 2 09:17:22 2020 +0100

    package/win32: build.sh: set VLC_TOOLS to the path we built them
    
    By default it will be $(TOPSRC)/../extras/tools/build which is not correct when
    building out of tree for Windows. Because when building for Windows there's a
    possibility the same source tree is built from within msys2 or WSL. They can't
    share the tools.
    
    (cherry picked from commit 4166b6483c9975b3181eae475b44d28482c94446)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9ada2b86bfdf1f20377b41f35d537029f10b3809
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Feb 14 11:48:31 2020 +0100

    package/win32: build.sh: don't force the PKG_CONFIG_LIBDIR in contribs
    
    The contrib path is automatically added for contribs and for vlc.
    
    We still need a proper environment to build VLC. We set the same values used in
    contribs. They should always match. It could be removed once it's move into
    configure.ac.
    
    It uses the same detection for bogus Debian $TRIPLET-pkg-config.
    
    (cherry picked from commit 6746f5787356c189323228a37bd52b8e6406cfab) (rebased)
    
    rebased:
    - the contrib bootstrap is done later in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d600c748a648d9a7b1942f79cc523c920823afab
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 10 08:49:07 2020 +0100

    package/win32: build.sh: add option to do more checks during VLC compilation
    
    Mismatching pointers are usually a result of using the incorrect pointer and
    might trigger crashes.
    
    Missing initializers are useful for structures of callbacks, to make sure a new
    callback is not missing by accident. It's always possible to put NULL, on
    purpose, knowingly.
    
    Both flags produce no error on win32/win64 with clang or gcc. But they cannot
    be set globally outside of the build script as many contribs will likely fail
    these tests and we shouldn't refuse/patch a contrib just for that.
    
    I have been compiling with these flags for weeks without issues. It helped find
    some issue (48442d3536edae578f1a384e73346d1e2a4c0061) that were pushed
    unnoticed without these checks.
    
    (cherry picked from commit 994e5cbc7dc66509996fddab43b9f3b5b0ae98ec)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 1b33544d8fd6347d4f85e56a4fe41dce0e869317
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jan 31 12:01:53 2020 +0100

    tools: meson: don't use "allow-shlib-undefined" with LLVM if not supported
    
    From https://github.com/mesonbuild/meson/pull/5912
    
    This solves the -lpthread detection issue with libplacebo when compiling with
    LLVM for Windows.
    
    (cherry picked from commit f079504ccf7ec7ba0156adf962815dfa7da01aea)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3f53addfdc706d34c242c3421d61e9a103c83588
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jan 28 09:58:00 2020 +0100

    package/win32: build.sh: force building the local meson
    
    Versions above 0.51.1 don't add the -lpthread properly in libplacebo.pc.
    
    (cherry picked from commit ed2886d85e70334be8677d00f5417afefd7119f8)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 0f31ae9448c3c45eefab0f7ce29d81e2a66eae17
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sun Oct 27 06:49:41 2019 +0300

    win32 package: explicitely set COMPILING_WITH_CLANG
    
    This fixes a cosmetic issue when it's unset:
    
    + [  -gt 0 ]
    extras/package/win32/build.sh: 113: [: Illegal number:
    
    (cherry picked from commit 5e2bae5719e53effcb566df6e3359fbcc7cb4dcd)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit b5f5212d58f5b5b83173ab47434e66dea575a87d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Oct 24 15:01:15 2019 +0200

    package/win32: build.sh: allow building out of the source tree
    
    Just call build.sh from the folder you want to build into.
    
    (cherry picked from commit 08d0b96bc301de33a322568c325f25acb1c4593f) (rebased)
    
    rebased:
    - the JOBS cannot be set in the environment in this branch (missing 0e5999d54ca6e132fae29df22455ab9f645e5d69)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 78cc651b020929752c55b0786932e9c81f7796b3
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Oct 24 14:57:14 2019 +0200

    package/win32: build.sh: enable debug/disable optimization in debug builds
    
    the --disable-optim flag is used for both. Debug builds should have debug so
    should enable this option (until/if we split the option to enable/disable debug
    and enable/disable optimization).
    
    (cherry picked from commit 4d57652c407d4a75e0b36f4e1fbc438def3b5c2e)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 269076c7ea7baa8167b010ca479f0035192f800b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Oct 24 14:50:52 2019 +0200

    package/win32: build.sh: set the path with tools before building tools
    
    So consecutive calls to build.sh won't rebuild tools each time because they
    were not found in the PATH yet.
    
    (cherry picked from commit 067c51f0c1c0551aea99084acf0b054da8ff586d)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit dd236bbcff082a3471c15900dffba86db9f19188
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Oct 24 14:41:06 2019 +0200

    package/win32: build.sh: avoid logging an error when the build folder exists
    
    (cherry picked from commit f1e06be916902bb89949ecb694904c5eb3ee4d07)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 8d7b2849a82a10d683618a7bba376a77b869799a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Oct 24 14:39:08 2019 +0200

    package/win32: build.sh: fix PKG_CONFIG_LIBDIR with spaces in the path
    
    (cherry picked from commit ebc98acdb1c7ca277ca258096071f8544b16cea7)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 64ca983885c4599b671db076445bab32c8365c03
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Oct 4 17:00:41 2019 +0200

    package/win32: Force libtool build when using llvm-mingw
    
    The libtool in extras/tools has additional patches that are needed to
    build with llvm-mingw.
    
    (cherry picked from commit f88b10e49d7fb04c360ec0ad13f94f9d5dc6d4e3) (rebased)
    
    rebased:
    - the JOBS cannot be set in the environment in this branch (missing 0e5999d54ca6e132fae29df22455ab9f645e5d69)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit cd1870e22da32765f20661ec9cf28470f620d5b9
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 21 11:25:00 2019 +0200

    win32: build.sh: add an option to build with PDB
    
    (cherry picked from commit 377b00bf1ed90478ebff1753aa665d0f5feb8cf0) (rebased)
    
    rebased:
    - this branch doesn't have the MSI only option
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4a49994857f132354e4551d82adf64e00817d35e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 21 11:22:20 2019 +0200

    win32: build.sh: fix building when PATH contains spaces
    
    (cherry picked from commit c3478127ad116e807e834f20bacbae52449f9052)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6bf8365b95f97752eef49ea981a4adcbb7357143
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 12 16:19:49 2018 +0100

    win32: build.sh: Accept aarch64 as a platform
    
    (cherry picked from commit 3bb568bea7c6a733aecfdc1815b474751f57d2d0)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9c717634d3164543ac4b2aa076b6e022a0e78a47
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 15 16:33:25 2020 +0200

    snap: make sure we don't fail with a missing git version
    
    This fixes CI failure on branches with a lot of patches.
    
    (cherry picked from commit c4a79d9586958a43a2b4e98d279ef27c1ba1025d)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3572bd987774f6d07476b73b845c8fd7a4fa7fed
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Jun 11 15:00:49 2020 +0200

    tools: patch cmake 3.17 so it builds with a macOS 10.13 SDK
    
    Avoid this link error:
    [ 44%] Linking C executable curltest
    Undefined symbols for architecture x86_64:
      "_SSLCopyALPNProtocols", referenced from:
          _sectransp_connect_step2 in libcmcurl.a(sectransp.c.o)
      "_SSLSetALPNProtocols", referenced from:
          _sectransp_connect_common in libcmcurl.a(sectransp.c.o)
    ld: symbol(s) not found for architecture x86_64
    
    This only happens in the 3.0 macOS CI.
    
    (cherry picked from commit ab126f80d3aea19d85c8b91f361d646fab6f4560)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4d6f1f130e9ee6cde71ac56ee70d24d3c048b8b3
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jun 3 12:55:27 2020 +0200

    don't package removed tools patch
    
    (cherry picked from commit 9694912be00d79cf9ae2316744b97c71438f4ac7)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6ff9960bc0f64efadfb75ec7bf5f909a2fd3933c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 28 13:18:41 2020 +0200

    tools: no need to patch CMake for msys2 anymore
    
    The PKG_CONFIG_PATH is not turned into a windows path anymore.
    
    Effectively reverts e62999a6b1ccdf6b03204f486ec348eec7931922 and
    68fd1eaae9dc8fee485882f186a8b15b42e3a42d.
    
    (cherry picked from commit 17a8859328faf69e004631d47df10635e88df63f)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4c07f88a3377be489a247868ec116449a340dcc9
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Mar 25 13:39:17 2020 +0100

    tools: update CMake to 3.17.0
    
    It includes the patch from Hugo to fix the PKG_CONFIG_PATH usage.
    
    (cherry picked from commit 9f33c286ccfec41ccc494c862311c19b9a905c2f)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 0a9530077a2f3149bb92bf39679c27b506b98ddd
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Jan 23 12:11:09 2020 +0100

    extras/tools: build local cmake without openssl and no qt gui
    
    (cherry picked from commit 20e24acdfaa8374cca166bcd98ade2b3d748baa5)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 77c11ea38212bd683ff3415b94530ad2972f79f3
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Jan 23 14:35:25 2020 +0100

    extras/tools: have Hugo's pkgconfig patch in cmake
    
    It's still not in 3.16.2 or 3.16.3...
    
    (cherry picked from commit b6d86698138859a1ecde870bb320299618d29cc2)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 474c14f81235a86a26f0ee0d4ec46517c801297b
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Wed Oct 30 18:13:55 2019 +0100

    extras/tools: libtool don't use autoreconf too early
    
    .buildlibtool dependencies make sure we have autoconf and automake
    installed, which is not guaranteed on unpacking target.
    tage.
    
    (cherry picked from commit f3511a70314565e3ff48827e400e7869dfe20577)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 30475295967e713369aee6f4cee9a956cd498a72
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Wed Jul 17 10:34:47 2019 +0200

    tools: fix libtool bootstapping on macOS
    
    (cherry picked from commit c2acdb2d4d5b9267c65fd81285f842a2f8712358)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 22f943dc38afc5996767f4fa8d4ebdf8a1d0f933
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 7 09:19:29 2019 +0200

    tools: allow forcing some packages to be needed via the environment
    
    For example when CLang is used with PDB support it needs the patches found in
    this libtool package.
    
    (cherry picked from commit 0872e7c1b5669d0557c1816106c2c0b16ca132cd)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit ed643d15865154fb367af669a7479d22dccddefb
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Jun 4 09:44:55 2019 +0300

    extras: tools: Remove broken makefile quoting of PATH
    
    In makefiles, the quotes end up as part of the variable value.
    
    (cherry picked from commit 87824da9229322f747c1bdedf84255b96e5a9d77)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit aa2109dd40d2fe79c14040cf577937c366e6f373
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri May 31 12:12:37 2019 +0200

    tools: Allow tools to depend on other built tools
    
    This notably fix building libtool, which depends on help2man.
    Currently, libtool will fail to find the help2man we built as a
    dependency.
    https://jenkins.videolan.org/job/vlc-nightly/job/vlc-nightly-llvm-win64-x86_64/443/
    
    (cherry picked from commit 83d22be6f983385dcefaff50f121eb7c6643fe3c)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 42849464a1154f49e5b885971975eb3019c96e63
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 3 12:52:43 2019 +0200

    tools: allow building tools out of the source tree
    
    This is convenient when using one source tree with different compilers/OSes.
    For example when C++ standard library differs between versions (since most of
    the time we need to build protoc).
    You can keep one set of tools per environment.
    
    (cherry picked from commit 7febc3979f43575f987b4f2313248595a562878e)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 79026f77fbef5b3bec64335ce4dde3d29b4a8832
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jul 20 09:05:24 2018 +0200

    tools: pick the right/available tool to do the sha512sum check
    
    shasum is not available on the latest msys2
    these are the same tools in the same order as the contribs
    
    (cherry picked from commit 9dc35249e7b87ab1b468f7ba7ba919d54d75ba47) (rebased)
    
    rebased:
    - 03200ebb49b2ff71ac815177ab09e588760fd9a9 was already merged
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 1800a5d56780b173aed553e0f4a9b45351c4c133
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue May 21 13:47:56 2019 +0300

    Fixed make distcheck
    
    (cherry picked from commit eb2ef5d7813d3e5dc59d5f4e1ac30ea12146694f) (edited)
    
    edited:
    - libtool-2.4.6-clang-libs.patch was already merged in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit ea43de3c3f99a83d8081204d69813e3e6d74b869
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 17 10:23:08 2019 +0200

    tools: autoreconf libtool
    
    Not all systems have aclocal-1.15.
    
    (cherry picked from commit b867909e3f17a4365b0b2659dc5c4cb068040422)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c53583483a659dea02b250eb25f464ef69b19b35
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 17 10:10:24 2019 +0200

    tools: fix patching ltmain.sh
    
    In the distributed tar.gz ltmain.sh is read only so we can't patch it on UNIX
    systems.
    
    (cherry picked from commit c3b6aa2ac2f3b79758080fde13b247adefc9d04e)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e6666a6449a12ac532ecbadd1eb37bbbc6fd4392
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Mar 1 16:27:01 2019 +0100

    tools: allow fast dependency with gccwindows (LLVM mingw64) as well as gcc
    
    (cherry picked from commit c3a40bafe4732ffce80b072f8a5d7310858922e6)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 17a6fe99c94ad1cd0d01ba5ae0c28b089fb6ad9f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Mar 1 11:39:21 2019 +0100

    tools: patch automake to recognize the dependencies of CLang on MINGW64
    
    It's like gcc but the pathes are Windows pathes.
    GNU Make has no problem with these kind of dependencies.
    
    (cherry picked from commit 8ef151d9b10433b21dbf2e55075734f95213ebb2)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3689445f91e04e6c54b78085fe52c62a9827cec9
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jan 20 14:20:50 2020 +0100

    tools: update cmake to 3.16
    
    This version contains Hugo's patch to properly cross compile under Linux:
    FindPkgConfig: Fix path manipulations when cross compiling
    
    When cross compiling from a unix machine, if(UNIX) is false,
    which causes the path not to be fixed for unix, leading to false
    negative if PKG_CONFIG_PATH needs to be probed
    
    Updating my Debian went from 3.13.4 to 3.15.4 which breaks PKG_CONFIG_PATH
    usage.
    
    (cherry picked from commit f7bb195492affb85319edd34cb47acf10d28ff79)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2a4816b0a47ceed0c15450dddc2a469ef39fb673
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Mar 6 17:30:30 2019 +0100

    tools: update libtool to 2.4.6
    
    (cherry picked from commit d5b4cec3b4b85a8813bfc68aedf41fc135316953)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 7d92559e4a7cce8126b94bc0791f02ff7a69916e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Mar 1 11:35:14 2019 +0100

    tools: update automake to 1.16.1
    
    (cherry picked from commit fd2492f0134ecb0fdd1e5ff5e11fa19407ed2321)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 235a161f1bc907e8505ff2db1e2ba3279aefefaa
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Oct 12 23:15:10 2018 +0300

    extras/tools: Add another libtool patch for building with lld on windows
    
    On Windows, the maximum command line length is rather low; linking
    libqt_plugin.la will reach this limit (but this seems to currently be
    the only module linked which reaches the limit). In these cases, instead
    of passing the list of object files to link on the command line, the list
    is passed via a file. GCC/GNU ld supports both a response file and linker
    scripts, while clang/lld only supports response files. This patch
    reverses the priority between the two, by preferring response files.
    
    This patch is included in the libtool package in msys2, which can be
    considered some sort of active upstream.
    
    (cherry picked from commit 1c738deebab7ef262341d3e37e8eaff093981390)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 00a899491f3284cc1b93e2160f2eacf21fcc379a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 27 11:27:54 2019 +0100

    tools: only call the meson script once upon installation
    
    (cherry picked from commit ebf0d29d996350eb065713ebe6f247ac7e876f38)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 90bde4672ab311020435d1ef50d38a3c2c1e0fb4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 23 12:01:50 2018 +0200

    extras/tools: fix packages not found
    
    It could happen when the version was not checked.
    
    (cherry picked from commit 2c6b7238b49af56c4d8a4b913e318ced93255502)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 970a9e9208e232e15c4f0229b115c50216181171
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Jul 13 11:54:26 2018 +0200

    extras/tools: Allow some packages to be built as dependencies only
    
    (cherry picked from commit bb69cd78d267cae0ebba119145dc0cf795abd046) (edited)
    
    edited:
    - this branch already had ninja and meson
    - this branch already created build/bin by default
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 64b56ee2542e0a414a3c1d25fecb51082f4e3670
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jul 12 20:17:53 2018 +0200

    extras/tools: Add an intermediate build target
    
    This allows us to have dependencies across targets, but without
    rebuilding them when it's unnecessary
    
    (cherry picked from commit ff2c7d928e669fdd1189e095b4a044c0cb887636) (edited)
    
    edited:
    - this branch already had ninja and meson
    - this branch already created build/bin by default
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c45c54a0317890973bfa61dc13993ffbeb93ae40
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jul 12 20:16:46 2018 +0200

    extras/tools: Add help2man
    
    Which is needed by libtool, and can't be disabled through configure
    Building automake is enough, but there are cases where we don't want to
    build automake but still build libtool
    
    (cherry picked from commit c4d68e98e57981dd453dd4b2fa2d06b3d03d964e) (rebased)
    
    rebased:
    - meson was already in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit b4926f1907540c55921ae7104566af374b092a35
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jul 12 13:39:13 2018 +0200

    Revert "extras/tools: set AUTOCONF variable so automake can find it"
    
    This reverts commit c1cdd9154cb857a9886d28e9deb8d27b41c1f8e1.
    Since we don't use AUTOCONF since
    6c998c6073e57b8657915be5e741c8e800c62693, don't clobber the AUTOCONF
    variable, especially since we might use an `autoconf` which isn't in the
    tools prefix
    
    (cherry picked from commit 2939e5aed67231302e104e471988e5279def7003)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 7b4a1e4f9423275002e2e967d23197091b8bae0a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Nov 27 10:30:14 2019 +0100

    extra/tools: require a newer version of CMake
    
    Versions older than 3.13 don't work well with clang to create win32+ucrt
    targets.
    
    (cherry picked from commit 2e2a7f63e7ec909167ca6c3b1122d63b8dc82278)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c54846fdda53644924447bbe8a0c7a5f3f6247e9
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 12 14:25:26 2018 +0100

    extras/tools: Bump built cmake version to 3.13.x
    
    This version now contains the patch required for windows store build
    using llvm.
    
    (cherry picked from commit 8eb7a0d0be06f856ab6a5a015ced8ea5d4fadf96) (edited)
    
    edited:
    - this branch was already using cmake 3.13 but the winstore patch wasn't removed
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit bd57f42fc4d41f66e903f2e1c8776125aa24b512
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Feb 15 16:17:07 2019 +0100

    extras: tools: Update cmake to 3.13.4
    
    (cherry picked from commit 951524ed80ad15ef89b488b60c1f0442ff717f28)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e870b58f9c7eaf1fde29adb5495805a762acdc14
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Oct 3 16:51:00 2018 +0200

    tools: don't use sh.exe to call cygpath.exe in cmake
    
    Just look for the .exe in the path and run it. It will find its root from its
    path.
    
    (cherry picked from commit e62999a6b1ccdf6b03204f486ec348eec7931922)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 855ed0808e0b1bb46b5359d72ce7a8c522016515
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Oct 1 16:54:51 2018 +0200

    tools: fix cmake not finding packages on msys2
    
    The PKG_CONFIG_PATH is converted to a Windows-like path and thus pkg-config
    can't use it.
    
    (cherry picked from commit 68fd1eaae9dc8fee485882f186a8b15b42e3a42d)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c4e789676a04e57b221b4bda7c209ddc69db0dd6
Author: Martin Storsjö <martin@martin.st>
Date:   Sun Jul 1 23:22:44 2018 +0300

    extras: tools: Patch cmake to improve support for GCC/Clang targeting WindowsStore
    
    This patch exists in upstream cmake in the master branch, and probably
    will be part of the next release after 3.12 (3.11 is currently the
    latest release).
    
    This is necessary if building for WindowsStore with clang.
    
    (cherry picked from commit 4f7f76348b8d31f9f1eb350a4d83034672466d3e)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2e637ca273ce8346332fa60ba79cc34e34e4dcb0
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Jun 17 20:22:37 2020 +0200

    Update NEWS

commit 78a6405982163fa450a7901e02feddc2687426b3
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Jun 17 20:17:11 2020 +0200

    macosx: Fix broken resume feature of the Music app
    
    Seems to be a copy paste error in the backport, the code in
    vlc.git was right from the beginning

commit 4b868c8d61e4ed5131664ddd56bb85aec49cf488
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Jun 17 19:09:19 2020 +0200

    make dist: Include libtool-2.4.6-clang-libs.patch
    
    Fixes building from source tarball which was missing this file.

commit 7df954cb7b1f65885ac8afce3b3af4d2a05ed29c
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Mon Jun 15 16:30:53 2020 +0200

    mkv: remove typeid code in EBML dispatcher
    
    EBML can associate multiple class to a single EBML ID, which mean that
    it potentially needs typeid checks. However, libmatroska always exposes
    a single type per EBML ID, so it never needs those checks.
    
    In addition, those checks are leading to warnings (attached below) and
    issues depending on the visibility and optimization level on clang. See
    the following mail on the mailing list for reference:
    
    https://lists.llvm.org/pipermail/llvm-dev/2014-June/073465.html
    
    To sum up, typeinfo are becoming different between libmatroska and the
    matroska modules for the same classes, so the matroska demuxer is never
    able to open correctly in those case, and it fallbacks on avformat
    demuxer if available.
    
    Compilation warning fixed by this patch:
    
        ../../../modules/demux/mkv/chapter_command.cpp:35:13: warning: expression with side effects will be evaluated despite being used as an operand to 'typeid'
              [-Wpotentially-evaluated-expression]
                if( MKV_CHECKED_PTR_DECL( p_cpt, KaxChapterProcessTime const, command[i] ) )
                    ^
        ../../../modules/demux/mkv/mkv.hpp:116:63: note: expanded from macro 'MKV_CHECKED_PTR_DECL'
        #define MKV_CHECKED_PTR_DECL( name, type, src ) type * name = MKV_IS_ID(src, type) ? static_cast<type*>(src) : NULL
                                                                      ^
        ../../../modules/demux/mkv/mkv.hpp:115:52: note: expanded from macro 'MKV_IS_ID'
        #define MKV_IS_ID( el, C ) ( el != NULL && typeid( *el ) == typeid( C ) )
                                                           ^
        ../../../modules/demux/mkv/chapter_command.cpp:44:13: warning: expression with side effects will be evaluated despite being used as an operand to 'typeid'
              [-Wpotentially-evaluated-expression]
                if( MKV_CHECKED_PTR_DECL( p_cpd, KaxChapterProcessData const, command[i] ) )
                    ^
        ../../../modules/demux/mkv/mkv.hpp:116:63: note: expanded from macro 'MKV_CHECKED_PTR_DECL'
        #define MKV_CHECKED_PTR_DECL( name, type, src ) type * name = MKV_IS_ID(src, type) ? static_cast<type*>(src) : NULL
                                                                      ^
        ../../../modules/demux/mkv/mkv.hpp:115:52: note: expanded from macro 'MKV_IS_ID'
        #define MKV_IS_ID( el, C ) ( el != NULL && typeid( *el ) == typeid( C ) )
    
    The issue was initially spotted through link-time warnings mentionning
    incompatible visibility settings between the library archives and the
    final static libvlc archive when compiling for iOS.
    
    Fix videolan/VLCKit#372
    
    (cherry picked from commit c764461180d70d1c9fa81e72cd7ad9d9b289eea6)

commit e68a11dd140d764e1ea8c4c3bf927b4a0d87e076
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Thu Oct 10 00:27:57 2019 +0200

    contrib: use rm -f instead of dash prefix
    
    This is more silent and avoid messages like:
    rm: cannot remove 'CMakeCache.txt': No such file or directory
    make: [.mysofa] Error 1 (ignored)
    
    (cherry picked from commit 2147e12a39879f51221916f416da5c5e130bd58a) (rebased)
    
    rebased:
    - the master branch removed pthreadGC2 and related patches before this patch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 8f67e420cb1615b3b38e51c6b80917297698ccb7
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 15 08:23:31 2018 +0200

    contrib: clean dependency on win32 pthread
    
    and define the macros to force using the static version
    
    (cherry picked from commit f52ef651974696f59261d699241d622e323a32df) (edited)
    
    edited:
    - aom had the wrong position for the new CFLAGS/CXXFLAGS
    - vpx already depended on the pthreads package, also add missing VPX_HOSTVARS
    - vpx pass the flags via VPX_HOSTVARS not to disturb android builds
    - zbvi still needs the dependency so leave it unchanged
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e37dc945408722a143d6501db1b7e125fcc621e4
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 18 15:05:58 2018 +0200

    contrib: goom: don't build the xmmx code that is not used
    
    (cherry picked from commit 8d47f6b5faff28fbb2f934669cbf48b2da93319f)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 76b042607eaf2010604aadfc8d3824ca2e7e716f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 15 08:20:40 2018 +0200

    contrib: qt: do not build debug builds
    
    it requires too many tweaks to copy&use the proper target files
    
    (cherry picked from commit cdd6324b58b7a70bc2ec4c1293f0085ca21d2639) (rebased)
    
    rebased:
    - the master branch enabled qt-zlib
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 76e1d37d070d7fe5f72a87a9d67e0ef1066a1b17
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Mar 4 10:02:29 2019 +0100

    contrib:aom: don't use the old pthreadGC2 anymore
    
    (cherry picked from commit ba189e92f8ea393f6355dee1a0f7c2f6eb573bc6)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit df81e4f412b87f3705d32e01755852f1d98fbce4
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 16 15:13:52 2020 +0200

    contrib: pthreads: fix OpenProcess called in mingw-w64 but missing when linking
    
    We should not be calling this code but zvbi fails with this error:
    
     lld-link: error: undefined symbol: _OpenProcess
    >>> referenced by libpthreadGC2.a(pthread.o):(_sched_setscheduler)
    >>> referenced by libpthreadGC2.a(pthread.o):(_sched_getscheduler)
    1 warning generated.
    clang-8: error: linker command failed with exit code 1 (use -v to see invocation)
    make[4]: *** [Makefile:18055: libzvbi_plugin.la] Error 1
    
    This is on registry.videolan.org/vlc-debian-llvm-mingw:20181128171234 it doesn't happen
    anymore on newer images.

commit 7518adcaface092781bcaa12794acb813bb2a17c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Jun 7 19:55:21 2020 +0200

    demux: adaptive: make Content-Type no longer authoritative
    
    tired of bogus HLS configs
    ref #24817
    
    (cherry picked from commit 036bde530b42c96c583447c6dccaceb3e623206e)

commit 904a21f34104ff98e2dc3ecb0bd1d93422f7833d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 16 07:40:21 2020 +0200

    contrib: pthreads: do not build the DLL version pthreadGC2
    
    We don't need it and in UWP it uses OpenProcess which is not available in older
    mingw toolchains (as in registry.videolan.org/vlc-debian-llvm-mingw:20181128171234)

commit 37241405281820fc6dfc3a98cd90fcfb3ff56d3e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 15 13:45:32 2020 +0200

    contrib: pthreads: fix non inlined function in private builds
    
    All other INLINE functions in this file use the same signature.

commit fc8d891c64409f833f6205075ddb41215b0b71ee
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 16 22:11:52 2018 +0200

    contrib: pthreads: fix mode_t being used but without the proper include
    
    in semaphore.h (used by libvpx)
    
    (cherry picked from commit a202d1a352b4b548d2ecff88f81955a44e42728a) (rebased)
    
    rebased: pthread has an extra patch to fix a warning in this branch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 28b996cc54cb114e9dcfb0001b1db3c1d9a9e6f0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 14 12:13:28 2020 +0200

    contrib: pthreads: pass the LDFLAGS in LFLAGS and CFLAGS in PTW32_FLAGS

commit 97a50d8b06dae62856b40c46754b52883bf45226
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Mar 27 15:56:15 2020 +0100

    contrib: pthread: create libpthread.a for pthread-w32
    
    So we don't use a mix of pthread-w32 and winpthread from the system.

commit 1dbb3247af9aba8dbfab35eae7322c5eeffd261e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jun 10 16:32:48 2020 +0200

    demux: ts: handle broken ADTS as LATM
    
    refs #24842
    
    (cherry picked from commit d77d82b4448260c16b2f1b066ddca45c75387c78)

commit da38519fb81dff9141ae2ab37118efc49485fd77
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jun 10 16:29:46 2020 +0200

    packetizer: mpeg4audio: reject truncated data
    
    (cherry picked from commit 4eb7d1c4c63346f020883f5c9d52437e2df45a3a)

commit a3c218f109a29bf3d09da8652f1825d9babbd26c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jun 9 18:59:48 2020 +0200

    demux: ogg: don't set oggds blockalign value
    
    seems incorrect field and breaks decoders
    
    refs #24799

commit a197b635423524130647bb4c34a69658d9b0e3ae
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jun 9 15:47:48 2020 +0200

    codec: opus: replace bogus end trim hack
    
    refs #24830

commit dbcfd767910d2d4b2349189eebc9128a48ca6b02
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 6 20:26:48 2020 +0300

    httpd: don't wait until all clients are idle
    
    As long as at least one client is active, we need to keep trying to
    read/write to drain the RX buffers or fill the TX buffers.
    
    We still need to poll (with zero timeout) to detect new connections.
    
    Fixes #24824.
    
    (cherry picked from commit be6f5dfbe106c9075e5b6a34e257a33f5327c42f)

commit 67cdaeea58641d6d515728596f8b194f52538e2b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 6 20:21:10 2020 +0300

    httpd: process client I/O before polling
    
    In case of TLS, the TCP socket poll state does not necessarily match
    the TLS stream state: data may be in the library-side TLS buffers.
    So we need to try to read/write regardless of the socket events.
    
    Refs #24824.
    
    (cherry picked from commit a1116cbad0504c09b85e1db518e61fc41d4e672f)

commit 6e81e9b5870a9ace20077881fc7e17f7e618284c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 6 20:04:16 2020 +0300

    httpd: update activity time on actual activity
    
    Account for actual data read or written, rather than iteration of the
    poll loop.
    
    Note: This won't count TLS handshake progress as activity. But if
    the client cannot complete the handshake within a time-out interval,
    we might as well drop it.
    
    (cherry picked from commit 2faa146b814fcd7e68b02ccee2d620e42f26fc48)

commit b678041a2e607de4c9abbde3d231363067872ccd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 6 19:59:56 2020 +0300

    httpd: return progress status from I/O functions
    
    So the caller knows if the client needs to be polled or not.
    
    (cherry picked from commit e484fdda358813ebafe55f5aa8ffe7b77057c962)

commit a16a1f24dd9ddcd42aa52aa307ffbe59357b1b8a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 6 19:45:10 2020 +0300

    httpd: reorder, de-indent
    
    (No functional changes)
    
    (cherry picked from commit d8cc7df9628f40f8e1161316561f3fc31243fea9)

commit c30865ca5ab08c7c310a3bbab96158b64f990a18
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 6 20:09:57 2020 +0300

    httpd: reduce variable scope
    
    (cherry picked from commit 8af01b05092ff66ee82ec398fcde2b781b3d2c15)

commit c40e0a527a394a4066aacaecd427db2e6df3606a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 6 19:56:10 2020 +0300

    httpd: don't bother processing failed connection
    
    If the underlying stream failed, there's no point processing an
    outstanding request. It's most likely incomplete, and in any case, we
    won't be able to send the response.
    
    That corner case only made sense for connections half-closed on read
    end. (Even then, it's a little questionable, because half-closed
    connections eventually time out if not fully closed.)
    
    (cherry picked from commit d3ce853dd6c40681a1ad2f50d05b9f119c4b1a16)

commit a31f6bc652877747e652509f546e3ab7dad5782e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 6 09:04:10 2020 +0300

    gnutls: remove EXPORT priority option
    
    This does not or no longer exist.
    
    (cherry picked from commit ff19cfa288472246d2e2b785062d97dec2b3d690)

commit a7ebe225d6b0f62054a1144631ab6040ea199b0a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 20 18:37:17 2020 +0300

    directory: remove PATH_MAX limit (fixes #24754)
    
    (cherry picked from commit 1e23e470e7d59e0376ba861fb83e5c0c92a40de2)

commit dc0c5ced7230e5660142302c7c1aef6cc14f3564
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed May 27 13:04:34 2020 +0200

    hxxx_nal: reindent after previous commit
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit fa5e127ed4130485b781c9809aa9851c6d390316)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d5c43c21c747ff30ed19fcca745dea3481c733e0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed May 27 13:02:08 2020 +0200

    hxxx_nal: remove useless optim
    
    This special case is now useless since p_source is always copied to p_dest,
    right after in the memmove loop.
    
    Furthermore, this caused an invalid payload size when the buffer was actually
    reallocated since the payload calculation was comparing two different buffers
    offset.
    
    CVE-2020-13428
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 56822f03d7a498bb22257d6075723c0e1c7f91fe)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 441907f4352107737523bf9cfb56eabe3563edb4
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jun 4 14:23:53 2020 +0200

    Update NEWS

commit 53a07ea4860b9373a8d1266d7ffb447be7af3992
Author: Marc Haisenko <marc@darkdust.net>
Date:   Tue Jun 2 12:54:20 2020 +0200

    cvpx: fix leaking CVPixelBuffer
    
    CVPixelBuffer references are retained and release by cvpxpic_attach so
    releasing after attaching tie the buffer lifetime to the one of the
    picture, but failing to release afterwards meant that it wouldn't be
    released at all.
    
    (cherry picked from commit c010c528aa191d5936aa72db8874349c8320dae6)
    Signed-off-by: Alexandre Janniaux <ajanni@videolabs.io>

commit 85d700c43db7181bfc4a154e3ad561da006ab023
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jun 3 16:51:07 2020 +0200

    Update NEWS

commit eabd80383393a24bce7fc17026cbc96ef3ff0662
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jun 3 16:18:04 2020 +0200

    macosx: use vlc_safeDrawInBezierPath in more places

commit ca17a12643409621bc58510a73274b6e2999a3d0
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jun 3 16:09:57 2020 +0200

    macosx: add vlc_safeDrawInBezierPath

commit 77a6345fa1aa8f77b83be8207449d5a258e44492
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jun 3 15:45:48 2020 +0200

    macosx: use vlc_safeDrawInBezierPath:angle:
    
    (cherry picked from commit 6c1786b6e0ff677ec7bff9de47f506443d889765)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 0ce240a45e505f7263738e8746d92ad847bd1df8
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jun 3 15:45:22 2020 +0200

    macosx: add category for safe NSGradient drawing
    
    Trying to draw a NSGradient into an empty NSBezierPath throws
    and exception, crashing the application.
    
    To prevent that we have workarounds at every place where we called
    drawInBezierPath:angle:, instead just use a category which makes
    the code cleaner and keeps the logic for the workaround in one place.
    
    (cherry picked from commit 2a5d25e03a051287248afb47e540e43b9a6afd6e)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 0686807923907255ff89ec8bc0ebd724192a47bc
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jun 3 14:58:17 2020 +0200

    Update NEWS

commit e2319a5a1ada521314c89b5217a4730fc04f20a1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jun 3 14:44:53 2020 +0200

    configure.ac: On the road to 3.0.11

commit e039fcaca21024e29247664cc3c44e8041ef48c5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat May 30 11:19:20 2020 +0200

    youtube.lua: update parsing for new signature parameters' name
    
    (cherry picked from commit 8ed74ac70f6b5452938e07f80cf158aa13e4e666)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit dade737387c421b5bc9697728a1a6360bc1f7d6d
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon May 4 20:40:23 2020 +0200

    macosx: move breakpad initialization and allow opt-out
    
    Move the breakpad initialization right to the start of the program
    and do not initialize breakpad if the VLC_DISABLE_BREAKPAD env variable
    is set.
    
    (cherry picked from commit 8aadaf3db18202ee4d05b84612ccd590f9774a07)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit ffd69e124b806809d67fb84976d4585d592c5f57
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri May 1 14:56:42 2020 +0300

    snap: Added avahi-control to the available plugs
    
    Fixes #24657
    
    (cherry picked from commit 092a5b4fa50574667a8f73288555d44b17dd8cb3)

commit fd51779a22721bfbb063a1db964cec8bce28123c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon May 25 14:04:18 2020 +0200

    demux: adaptive: check vod template limit
    
    (cherry picked from commit 808e99328dc49b24827384ef9022c38410cdf498)

commit 11b40bb80019c83e9121f80dba5f2ab1a344c69e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon May 25 14:59:41 2020 +0200

    demux: adaptive: fix rounding in period/playlist duration
    
    (cherry picked from commit 19fc4c591f31d0370822892dbff08709c02ae20a)

commit 52945dfcc1fa1edf407491aecb22b0157a8a963f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 11 14:36:07 2018 +0200

    demux:adaptive: store the IsoTime directly to vlc_tick_t
    
    They are never used as seconds
    
    (cherry picked from commit f18894b58967ee61b86254bd5acd8f8897b68c67)

commit 3915b312a176404a2f39a4a1a92d5a26800da236
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri May 22 15:38:01 2020 +0200

    demux: mp4: no sync table means all sync
    
    A.7 3) The absence of the sync sample table indicates that all
    samples are synchronization points
    
    ref VLCKit/-/issues/367
    
    (cherry picked from commit 712624978f114b4bfdca88e8d89ac5bc54a0d6b4)

commit aed9e8525bf093cd04b8d82530b57d45d9203d40
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri May 22 12:43:03 2020 +0200

    demux: adaptive: fix invalid offset on start
    
    (cherry picked from commit 1027e60b7821888e6be1bf839591329161e8de90)

commit b8430ae00d572f47b96b6904adda3e20abfade66
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri May 22 12:42:05 2020 +0200

    demux: adaptive: set current segment start time on init
    
    (cherry picked from commit 0cb5b91f975b4bcfd2bfb7a05776726941d634b4)

commit 0d74c2d2af2e0caf7991b646b15b48ae29645308
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed May 20 17:02:53 2020 +0200

    demux: adaptive: fixup AnyURI
    
    (cherry picked from commit 6b2e2ee875332ba3a33eaf88a7837642f9695d16)

commit f507868d1c7cf616e7bfeb4699429f0cee9e574b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri May 22 20:26:02 2020 +0200

    coreaudio: fix invalid delay after a unpause
    
    The render host time was not updated while paused.
    
    This caused the first time_get(), after a unpause, to return a delay way too
    early (corresponding to the pause time). This could happen only when the ca
    render callback was not triggered between an unpause and a time_get.
    
    This invalid delay caused the insertion of a long silence, that was not
    interruptible, hence the impression of a deadlock.
    
    Fixes #24668
    
    (cherry picked from commit f9fce13591bf3f99c4d9401fe3ba67fb30b0fb75)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5476f6252571b11c41fcf93014ed5e916fa08607
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat May 23 00:15:00 2020 +0300

    contribs: bump dav1d to 0.7.0
    
    (cherry picked from commit aecd2122ea879910f714875b247d9f9f873a74e2)

commit 5928579a9a05d58b1fe3ce3dc9cb97611da01a77
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon May 18 15:39:59 2020 +0200

    demux: adaptive: rely on live offset for edge control
    
    fixes start case when min buffering < playlist duration
    
    refs VLCKit/-/issues/374
    
    (cherry picked from commit 75c2df6cee84452ac65038ddccaff2a2c18bbb7c)

commit 9c4f9702cd32ab7f889a26b816754c1019cc2458
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon May 18 17:56:46 2020 +0200

    demux: adaptive: use current segment number when available
    
    (cherry picked from commit a59a0690dce601b26ed205a6bb1cf408f745a007)

commit 96c9a400b1062129c5fcd5f7abb54695e7e9c641
Author: Anton Regnander <anton_r_3@hotmail.com>
Date:   Sat May 9 21:37:55 2020 +0200

    l10n: Swedish NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit d13b7935e5cc2fe4f3dd504488a153056c9c82f9
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sat May 16 02:03:33 2020 +0200

    l10n: vlc.desktop update

commit 9b547b9d83a10a706d70673b53109b8517708df1
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Mon May 4 14:54:00 2020 +0200

    l10n: Portuguese (Portugal) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3082d7c1f032f15292d77c3b2b7d9756409b3ffd
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Thu May 7 04:17:25 2020 +0200

    l10n: Norwegian Bokmål (Norway) update
    
    94% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit abe32bb0b5a1df9603aa4a714f56b1887044121e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Tue May 12 06:17:48 2020 +0200

    l10n: Hebrew update
    
    64% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 77786b1fed6473db177751c524b5f171de5f288d
Author: Yann Ricquebourg <yann.ricquebourg@gmail.com>
Date:   Fri Apr 24 22:11:58 2020 +0200

    l10n: French update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit cf00c007e9620e47a57d4ac16038ce0354a148ff
Author: Alexander Gabilondo <alexgabi@disroot.org>
Date:   Sun May 3 22:42:57 2020 +0200

    l10n: Basque update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit bacb35b3463090ed6eef4c19afe220cd4bb949ea
Author: picodotdev <pico.dev@gmail.com>
Date:   Fri May 15 10:45:00 2020 +0200

    l10n: Spanish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 67ddbd67d3f9ef781510da46e5819a82ba3062e2
Author: Vincenzo Reale <vinx.reale@gmail.com>
Date:   Wed Apr 15 06:48:30 2020 +0200

    l10n: Italian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 447439da7d1e9f77f5bbc225aa702662a97b10d5
Author: Goudarz Jafari <goudarz.jafari@gmail.com>
Date:   Tue Apr 14 23:08:25 2020 +0200

    l10n: Persian update
    
    28% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

